{% from slspath ~ "/map.jinja" import atp_conf, atp_config, atp_key, atp_key_pillar, atp_version_suffix with context %}

include:
  - syslog-conf

sae|atp|v|logdir:
  file.directory:
    - name: /logs/atp
    - makedirs: True
    - mode: '0755'
    - owner: root
    - group: wheel

sae|atp|v|pkg:
  pkg.installed:
    - name: authtokenprovider{{ atp_version_suffix }}
    - require:
        - sae|atp|v|logdir

sae|atp|v|private-key:
  file.managed:
    - name: {{ atp_key }}
    - contents_pillar: {{ atp_key_pillar }}
    - mode: '0600'
    - owner: root
    - group: wheel

sae|atp|v|config:
  file.managed:
    - name: {{ atp_conf }}
    - contents: '{{ atp_config|json }}'
    - mode: '0755'
    - owner: root
    - group: wheel

sae|atp|v|service:
  service.running:
    - name: authtokenprovider
    - enable: True
    - require:
        - sae|atp|v|logdir
        - sae|atp|v|pkg
    - watch:
        - sae|atp|v|config

sae|atp|v|newsyslog:
  file.append:
    - name: /etc/newsyslog.conf
    - text:
      - '/logs/atp			644  9	   1000	*     C'
    - require:
      - service: core|syslog-ng|service
