{% from slspath ~ "/map.jinja" import atp_accounts_json, atp_conf, atp_config, atp_etcdir, atp_version_suffix with context %}

{% set device_class = salt['grains.get']('cornerstone:device_class_name','') %}
include:
  - syslog-conf
{% if device_class == 'mmd-token' %}
  - .dedicated-atp-hosts
  - .dedicated-firewall
  - .healthcheck
{% endif %}

sae|atp|v|logdir:
  file.directory:
    - name: /logs/atp
    - makedirs: True
    - mode: '0755'
    - owner: root
    - group: wheel

sae|atp|v|pkg:
  pkg.installed:
    - name: authtokenprovider{{ atp_version_suffix }}
    - require:
        - sae|atp|v|logdir

{% if device_class != 'mmd-token' %}
sae|atp|v|limited-mode-cleanup:
  file.absent:
    - name: {{ atp_accounts_json }}
    - require_in:
      - sae|atp|v|service
{% endif %}

sae|atp|v|config:
  file.managed:
    - name: {{ atp_conf }}
    - contents: '{{ atp_config|json }}'
    - mode: '0755'
    - owner: root
    - group: wheel

sae|atp|v|service:
  service.running:
    - name: authtokenprovider
    - enable: True
    - require:
        - sae|atp|v|logdir
        - sae|atp|v|pkg
    - watch:
        - sae|atp|v|config

sae|atp|v|newsyslog:
  file.append:
    - name: /etc/newsyslog.conf
    - text:
      - '/logs/atp			644  9	   1000	*     C'
    - require:
      - service: core|syslog-ng|service
