{% from slspath ~ "/map.jinja" import atp_accounts_json, atp_etcdir, atp_gpgkey, atp_version_suffix with context %}
{% import_yaml "sae-atp/accounts.yaml" as accounts %}

sae-atp|v|dedicated-atp-hosts|gpgkey:
  file.managed:
    - name: {{ atp_etcdir ~ atp_gpgkey }}
    - contents_pillar: 'secrets:sae-atp:atp_encrypt_priv_gpg_key'
    - mode: '0600'
    - owner: root
    - group: wheel

sae-atp|v|dedicated-atp-hosts|accounts-json:
  file.managed:
    - name: {{ atp_accounts_json }}
    - contents: '{{ accounts|json }}'
    - mode: '0755'
    - owner: root
    - group: wheel
    - require:
        - sae-atp|v|dedicated-atp-hosts|gpgkey
    - watch_in:
        - sae|atp|v|service

{% set secret = salt['pillar.get']('secrets:sae-atp:atp_mediavault_secret') %}
{% for account in accounts['AccountDetails'] %}
  {% set key_id = account['RSAKeyID'] %}
  {% set shortname = account['Name'] %}
  {% set key_url = "https://lldrmprod.vo.llnwd.net/v1/" ~ key_id ~ ".der.asc" %}
  {% set key_hash_url = "https://lldrmprod.vo.llnwd.net/v1/" ~ key_id ~ ".der.asc.md5" %}
  {% set mv_key_url = salt['mediavault.buildurl'](secret,key_url) %}
  {% set mv_key_hash_url = salt['mediavault.buildurl'](secret,key_hash_url) %}
  {% set key_file_path = atp_etcdir ~ key_id ~ ".der.asc" %}

sae-atp|v|fetch-{{ shortname }}-key|{{ key_id }}:
  file.managed:
    - name:  {{ key_file_path }}
    - source: {{ mv_key_url }}
    - source_hash: {{ mv_key_hash_url }}
    - mode: '0755'
    - owner: root
    - group: wheel
    - require_in:
      - sae-atp|v|dedicated-atp-hosts|accounts-json
{% endfor %}
