# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{%- set oscodename = salt['grains.get']('oscodename') %}

include:
  - base_repos.ubuntu

sae|build|go|repo:
  pkgrepo.managed:
    - file: /etc/apt/sources.list.d/gophers-{{ oscodename }}.list
    - name: deb [ arch=amd64 ] http://llnwsae.vo.llnwd.net/v1/packages/mirrors/daily-update/debian/ppa.launchpad.net/gophers/archive/ubuntu {{ oscodename }} main
    - key_url: http://llnwsae.vo.llnwd.net/v1/packages/mirrors/daily-update/debian/ppa.launchpad.net/gophers/archive/ubuntu/0x308C15A29AD198E9.key
    - watch_in:
      - module: core|base_repos|apt-refresh-db

{% for go_version in ['1.10'] -%}
sae|build|go|pkg-{{ go_version }}:
  pkg.installed:
    - name: golang-{{ go_version }}
    - require:
      - pkgrepo: sae|build|go|repo
{% endfor %}

