# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - jenkins.slave
  - sudoers.configmgmt-admin
  - base_repos
  - mta.postfix.relay
  - .golang

sae|build|ub16|update-motd:
  file.managed:
    - name: /etc/update-motd.d/99-build-host
    - source: salt://sae-build/files/update-motd_build-host
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - backup: False

sae|build|ub16|pkgs:
  pkg.latest:
    - names:
      - build-essential
      - autoconf
      - automake
      - debhelper
      - po-debconf
      - dpatch
      - devscripts
      - perl-doc

sae|build|ub16|rancid-build-deps:
  pkg.latest:
    - names:
      - expect

sae|build|ub16|mrtg-build-deps:
  pkg.latest:
    - names:
      - libgd-dev
      - libpng12-dev
      - zlib1g-dev

sae|build|ub16|znc-build-deps:
  pkg.latest:
    - names:
      - libssl-dev
      - libperl-dev
      - libsasl2-dev
      - python3-dev
      - tcl-dev
      - libicu-dev

sae|build|ub16|python-mods-deps:
  pkg.latest:
    - names:
      - python-all-dev
      - python-stdeb
