# vim: sts=2 ts=2 sw=2 et ai

{%- set confdir = "/usr/local/limelight/etc/" %}

sae|cdn-mgmt|confdir:
  file.directory:
    - name: {{ confdir }}
    - user: xfer
    - group: xfer
    - mode: 700
    - makedirs: True

sae|cdn-mgmt|conf|database.yml:
  file.managed:
    - name: {{ confdir }}/database.yml 
    - source: salt://sae-cdn-mgmt/templates/database.yml.jinja
    - template: jinja
    - user: xfer
    - group: xfer
    - mode: 600
    - require:
      - sae|cdn-mgmt|confdir

sae|cdn-mgmt|conf|database.yml.md5:
  cmd.run:
    - name: cd {{ confdir }}; md5sum database.yml > database.yml.md5
    - onchanges:
      - sae|cdn-mgmt|conf|database.yml

sae|cdn-mgmt|conf|snmp-communities.yml:
  file.managed:
    - name: {{ confdir }}/snmp-communities.yml 
    - source: salt://sae-cdn-mgmt/templates/snmp-communities.yml.jinja
    - template: jinja
    - user: xfer
    - group: xfer
    - mode: 600
    - require:
      - sae|cdn-mgmt|confdir

sae|cdn-mgmt|conf|snmp-communities.yml.md5:
  cmd.run:
    - name: cd {{ confdir }}; md5sum snmp-communities.yml > snmp-communities.yml.md5
    - onchanges:
      - sae|cdn-mgmt|conf|snmp-communities.yml

sae|cdn-mgmt|conf|console.txt:
  file.managed:
    - name: {{ confdir }}/console.txt 
    - source: salt://sae-cdn-mgmt/templates/console.txt.jinja
    - template: jinja
    - user: xfer
    - group: xfer
    - mode: 600
    - require:
      - sae|cdn-mgmt|confdir

sae|cdn-mgmt|conf|console.txt.md5:
  cmd.run:
    - name: cd {{ confdir }}; md5sum console.txt > console.txt.md5
    - onchanges:
      - sae|cdn-mgmt|conf|console.txt

sae|cdn-mgmt|conf|mq.yml:
  file.managed:
    - name: {{ confdir }}/mq.yml 
    - source: salt://sae-cdn-mgmt/templates/mq.yml.jinja
    - template: jinja
    - user: xfer
    - group: xfer
    - mode: 600
    - require:
      - sae|cdn-mgmt|confdir

sae|cdn-mgmt|conf|mq.yml.md5:
  cmd.run:
    - name: cd {{ confdir }}; md5sum mq.yml > mq.yml.md5
    - onchanges:
      - sae|cdn-mgmt|conf|mq.yml

# nginx.limit.conf is used for cert_map.conf validation on unix
sae|cdn-mgmt|conf|nginx.limit.conf:
  file.managed:
    - name: {{ confdir }}/nginx.limit.conf
    - source: salt://sae-ep-ssl/templates/nginx.limit.conf
    - user: xfer
    - group: xfer
    - mode: 600
    - require:
      - sae|cdn-mgmt|confdir

sae|cdn-mgmt|conf|nginx.limit.conf.md5:
  cmd.run:
    - name: cd {{ confdir }}; md5sum nginx.limit.conf > nginx.limit.conf.md5
    - onchanges:
      - sae|cdn-mgmt|conf|nginx.limit.conf

sae|cdn-mgmt|conf|mk-regression-load-factors.yml:
  file.managed:
    - name: {{ confdir }}/mk-regression-load-factors.yml
    - source: salt://sae-cdn-mgmt/templates/mk-regression-load-factors.yml.jinja
    - template: jinja
    - user: xfer
    - group: xfer
    - mode: 600
    - require:
      - sae|cdn-mgmt|confdir

sae|cdn-mgmt|conf|mk-regression-load-factors.yml.md5:
  cmd.run:
    - name: cd {{ confdir }}; md5sum mk-regression-load-factors.yml > mk-regression-load-factors.yml.md5
    - onchanges:
      - sae|cdn-mgmt|conf|mk-regression-load-factors.yml