# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - crontab

sae|cds|autorate|script:
  file.managed:
    - name: /usr/local/bin/autorate.py
    - source: salt://sae-cds/files/autorate.py
    - mode: 755
    - makedirs: True

sae|cds|autorate|config:
  file.managed:
    - name: /etc/sq/autorateconfig.yml
    - source: salt://sae-cds/files/autorateconfig.yml
    - mode: 644
    - makedirs: True

sae|cds|autorate|local-logs-dir:
  file.directory:
    - name: /logs/autorate
    - user: root
    - group: {{ defaults['root_group'] }}
    - dir_mode: 755

sae|cds|autorate|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        */5 * * * * root /usr/local/bin/autorate.py --level debug --squelch --send-to-tsdb tsdb-data.lldns.net:4242 > /dev/null 2>&1
    - require:
      - file: sae|cds|autorate|script
      - file: sae|cds|autorate|config
      - file: sae|cds|autorate|local-logs-dir
    - require_in:
      - file: core|crontab|base
