# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-ep.ep-reconfig

{% set edge_conf_cdn = 'http://test.vo.llnwd.net/cdn-edge-config/sq' %}
{% set edge_conf_secret = salt['pillar.get']('secrets:sae:edge_conf_cdn_mediavault_secret') %}

{% for edge_conf in ['cdn_rewrite-v341.conf', 'pg_cache_peer.conf'] %}
{%   set edge_conf_mediavault_url = salt['mediavault.buildurl'](
         edge_conf_secret,
         '%s/%s'|format(edge_conf_cdn, edge_conf))
%}
{%   set edge_conf_csum_mediavault_url = salt['mediavault.buildurl'](
         edge_conf_secret,
         '%s/%s.md5'|format(edge_conf_cdn, edge_conf))
%}

sae|cds|cdn-config-{{ edge_conf }}:
  file.managed:
    - name: /etc/sq/{{ edge_conf }}
    - user: xfer
    - group: xfer
    - source: {{ edge_conf_mediavault_url }}
    - source_hash: {{ edge_conf_csum_mediavault_url }}
    - onchanges_in:
      - file: sae|ep|ep-reconfig
{% endfor %}
