{%- from "pepper/map.jinja" import defaults %}

sae|cds|gridconfig_delay|script:
  file.managed:
    - name: /usr/local/bin/EPGridconfigDelay.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://sae-cds/files/EPGridconfigDelay.sh


{%- if grains['os'] == 'FreeBSD' %}
include:
  - crontab

sae|cds|gridconfig_delay|cron:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        # Collect stats on Edgeprism Gridconfig delay times
        * * * * * root /usr/bin/lockf -t 0 /var/run/EPGridconfigDelay.lock /usr/local/bin/EPGridconfigDelay.sh > /dev/null 2>&1
    - require_in:
      - file: core|crontab|base
    - require:
      - file: sae|cds|gridconfig_delay|script

{%- elif grains['os'] == 'Ubuntu' %}
sae|cds|gridconfig_delay|cron:
  file.managed:
    - name: /etc/cron.d/gridconfigdelay
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - contents: |
        PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
        * * * * * root /usr/bin/flock -w 0 /var/run/EPGridconfigDelay.lock /usr/local/bin/EPGridconfigDelay.sh > /dev/null 2>&1
    - require:
      - file: sae|cds|gridconfig_delay|script
{%- endif %}
