# vim: sts=2 ts=2 sw=2 et ai

# Adding conditional to permit linux salt states via cornerstone tags.
# The salt states for future EdgePrism on Linux can be foud at the following URL:
# https://github.llnw.net/llnw/salt-ep/tree/master/ep-cds-linux

{% if salt['grains.get']('os') == 'Ubuntu' %}
sae|cds|linux-skip-init:
  test.nop:
    - name: linux-skip-init
{% else %}
include:
{% if salt['grains.get']('cornerstone:status') == '100' %}
  - pepper.nobluekey
{% endif %}
  - bios
  - cfengine.remove
  - resolver-components.named-cache
  - resolver.mkresolvsh
  - sae-csmotd
  - sae-ep
  - sae-ep.ssl
  - sae-gridconfig-client
  - sae-collectd.lastrites.remove-exec-conf
  - sae-edge-metrics
  - sae-edgetools.nicinfo
  - sae-edgetools.conndrop
  - sae-edgetools.fd_collector
  - sae-edgetools.irr_sock_parse
  - sae-edgetools.firmware.monitor
{% if 'canary-netstat-collector' in salt['grains.get']('cornerstone:tags', {}) %}
  - sae-edgetools.netstat_collector
{% endif %}
  - .crontab
  - .logpusher
  - .beats
{% if grains['singel'] is not defined %}
  - sae-ipgeo.next-asn-db
  - sae-ipgeo.geo-ipv6-db
  - .eq-agent
  - .eq-logstreamer
  - .salt-delay
  - .gridconfig-delay
  - .cds_vm_stats
{% endif %}
  - .packages
  - .pmcprofiler
  - .sysctl
  - .lostfound
  - .collectd
  - .cachedir_clean
  - .account_map
  - .logexpand
{% if 'serverqos-canary' in salt['grains.get']('cornerstone:tags', {}) %}
  - .autorate
{% endif %}
  - .bios-collector
  - sae-xfer
  - sae-etchosts
  - sae-sudoers.edgeprism-xfer
  - sae-sudoers.edgekeyd
  - sae-drivetest
  - sae-ep-ssl
  - sae-ep-ssl.cert-mgmt
  - sae-mcdn.asset_owner
  - dns-popsel-agent
  - backtraceio
  - sae-capclass
  - sae-logcompressor
  - ep-cds #salt-ep repo for new ep-os entry point DCE-168
{% endif %} {#{% if salt['grains.get']('os') == 'Ubuntu' %}#}
