# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-logpusher
  - crontab

sae|cds|logpusher|v|config:
  file.managed:
    - name: /etc/logpusher.conf
    - follow_symlinks: False
    - require:
      - file: sae|logpusher|sym-clean
# Hold off on linking the restart until after we disable rc.squid creating symlinks
#   - watch_in:
#     - cmd: sae|logpusher|restart
    - contents: |
        log /logs/squid/access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type squid compresslevel 1
        log /logs/squid/ssl_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type https compresslevel 1
        log /logs/squid/hls_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type hls compresslevel 1
        log /logs/squid/hds_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type hds compresslevel 1
        log /logs/squid/ss_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type ss compresslevel 1
        log /logs/squid/dash_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type dash compresslevel 1
        log /logs/squid/sw_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type squid compresslevel 1
        log /logs/squid/ssl_sw_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type https compresslevel 1
        log /logs/squid/sw_hls_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type hls compresslevel 1
        log /logs/squid/sw_hds_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type hds compresslevel 1
        log /logs/squid/sw_ss_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type ss compresslevel 1
        log /logs/squid/sw_dash_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type dash compresslevel 1
        log /logs/squid/sqstats*.log bzip2 flock oldtime 60s olddir /logs/squid/old type perf compresslevel 1 flushtime 5m
        oldFilesInterval 5000
        moreFilesInterval 30
        maxOpenLogs 500

sae|cds|logpusher|v|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        30 * * * * root find /logs/*/old -type f -mtime +1 -exec rm {} \;
    - require:
      - file: sae|cds|logpusher|v|config
    - require_in:
      - file: core|crontab|base
