{% from "pepper/map.jinja" import defaults %}

include:
  - crontab

sae|cds|salt_delay|script:
  file.managed:
    - name: /usr/local/bin/salt_delay.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://sae-cds/files/salt_delay.sh

sae|cds|salt_delay|cron:
  file.accumulated:
    - filename: /etc/crontab
    - require_in:
      - file: core|crontab|base
    - text: |
        # Collect stats on highstate times
        {%- if grains['os'] == 'FreeBSD' %}
        */5 * * * * root /usr/bin/lockf -t 0 /var/run/salt_delay.lock /usr/local/bin/salt_delay.sh > /dev/null 2>&1
        {%- elif grains['os'] == 'Ubuntu' %}
        */5 * * * * root /usr/bin/flock -w 0 /var/run/salt_delay.lock /usr/local/bin/salt_delay.sh > /dev/null 2>&1
        {%- endif %}

sae|cds|salt_delay|updateTime:
  cmd.run:
    - name: date +%s > /etc/salt.completedTime
    - order: last
