
{% from "pepper/map.jinja" import defaults with context %}
{% from "collectd/map.jinja" import collectd with context %}
{% from "sae-collectd/map.jinja" import saecollectd with context %}

include:
  - collectd.config
  - sae-collectd

sae|collectd|fetchics|script:
  file.managed:
    - name: {{ saecollectd['localllnwdir'] }}/bin/fetchics.pl
    - source: salt://sae-collectd/fetchics/files/fetchics.pl
    - mode: 755
    - makedirs: True
    - require:
      - file: sae|collectd|localllnwdir

sae|collectd|fetchics|conf:
  file.managed:
    - name: {{ collectd['llnwdir'] }}/fetchics.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - makedirs: True
    - require:
      - file: core|collectd|llnwdir
      - file: sae|collectd|fetchics|script
    - watch_in:
      - service: core|collectd|service
    - contents: |
        <Plugin exec>
          Exec "squid" "{{ saecollectd['localllnwdir'] }}/bin/fetchics.pl"  
          Exec "squid" "{{ saecollectd['localllnwdir'] }}/bin/fetchics.pl" "-i1" 
        </Plugin>

sae|collectd|cds-collectd|conf:
  file.absent:
    - name: {{ collectd['llnwdir'] }}/cds-collectd.conf

