# vim: sts=2 ts=2 sw=2 et ai

{%- from slspath~"/macros.jinja" import get_local_env with context %}
{% set environment = get_local_env() %}

sae|cornerstone|edsync:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/edsync.pl > /tmp/edsync.log 2>&1
    - user: root
    - minute: '*/30'
    - identifier: cs_edsync

sae|cornerstone|eventlogger-restart:
  cron.present:
    - name: /usr/sbin/service cs-eventlogger restart > /dev/null 2>&1
    - user: root
    - minute: 0
    - identifier: cs_eventlogger_restart

{% if environment == 'production' %}

sae|cornerstone|phx-server-status-change-report:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/report-server-status-change.pl > /tmp/report-server-status-change.log 2>&1
    - user: root
    - minute: 0
    - hour: 8
    - dayweek: 1
    - identifier: cs_phx_server_status_change_report

sae|cornerstone|phx-server-hostname-change-report:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/report-server-hostname-change.pl > /tmp/report-server-hostname-change.log 2>&1
    - user: root
    - minute: 0
    - hour: 8
    - dayweek: 1
    - identifier: cs_phx_server_hostname_change_report

sae|cornerstone|server-report:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/new-server-report.pl > /tmp/report-new-servers.log 2>&1
    - user: root
    - minute: 0
    - hour: 8
    - dayweek: 1
    - identifier: cs_new_server_report

sae|cornerstone|device-class-email:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/report-device-class-mail.pl > /tmp/report-device-class.log 2>&1
    - user: root
    - minute: 0
    - hour: 9
    - daymonth: 1
    - month: 1,4,7,10
    - identifier: cs_device_class_email

sae|cornerstone|cs-in-service-dns:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/report-in-service-dns.pl > /tmp/report-in-service-dns.log 2>&1
    - user: root
    - minute: 0
    - hour: 9
    - daymonth: 1
    - month: 1,4,7,10
    - identifier: cs_in_service_dns

sae|cornerstone|edgeinfo-sync:
  cron.present:
    - name: /usr/bin/env PERL5LIB=/usr/share/cornerstone/site /usr/share/cornerstone/scripts/edgeinfosync.pl > /tmp/edgeinfosync.log 2>&1
    - user: root
    - minute: 0
    - hour: 10
    - identifier: cs_edgeinfo_sync

{%- endif -%}
