# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{%- if salt["grains.get"]("os", "") == "Ubuntu" %}
sae|csmotd|ubuntu|prereq:
  pkg.installed:
    - name: libwww-perl
    - require_in:
      - file: sae|csmotd|script
{%- endif %}

sae|csmotd|script:
  file.managed:
    - name: /usr/local/bin/csmotd.pl
    - source: salt://sae-csmotd/files/csmotd.pl.jinja
    - template: jinja
    - backup: False
    - mode: 755
    - user: root
    - group: {{ defaults.root_group }}
    - context:
        csmotd_cs_api_pass: "{{ salt['pillar.get']('secrets:sae-csmotd:cs_api_pass') }}"
        csmotd_zbx_api_pass: "{{ salt['pillar.get']('secrets:sae-csmotd:zbx_api_pass') }}"

{% if grains['singel'] is not defined %}
sae|csmotd|run-csmotdpl:
  cmd.run:
    - name: /usr/local/bin/csmotd.pl
    - require:
      - file: sae|csmotd|script
{% endif %}
