{% from "pepper/map.jinja"  import defaults, netblocks with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

{% if 'team_env' in  grains -%}
{% set environment = grains['team_env'] -%}
{%- else -%}
{% set environment = 'staging' -%}
{%- endif -%}

{% import_yaml "sae-czsync/map.yml" as czsync_map %}
{% set env_map = czsync_map[environment] %}


{% set release = grains['oscodename'] %}

include:
  - sudoers.setup

sae|czsync|core-sudo:
  file.absent:
    - name: {{ sudo_map.includedir }}/czsync

sae|zabbix|repo:
  file.absent:
    - name: /etc/apt/sources.list.d/zabbix.{{ release }}.list

sae|czsync|package:
  pkg.removed:
    - name: czsync-cli

# Don't delete zabbix directory
sae|czsync|cz_sync.yml:
  file.absent:
    - name: /usr/local/etc/zabbix/cz_sync.yml

sae|czsync|czsync_cron:
  file.absent:
    - name: /etc/cron.d/czsync


sae|czsync|cz_sync_ht_map.json:
  file.absent:
    - name: /usr/local/etc/zabbix/cz_sync_ht_map.json

sae|czsync|cz_proxy_map.json:
  file.absent:
    - name: /usr/local/etc/zabbix/cz_proxy_map.json

sae|czsync|cz_sync_logging.conf:
  file.absent:
    - name: /usr/local/etc/zabbix/cz_sync_logging.conf

sae|czsync|www_dir:
  file.absent:
    - name: /var/www/cz_sync

# Don't touch Colorful.pm or other perl modules

sae|czsync|proxymap.get.sh:
  file.absent:
    - name: /usr/local/bin/proxymap.get.sh

sae|czsync|cron--full-summary.sh:
  file.absent:
    - name: /usr/local/bin/cron--full-summary.sh
