#!/usr/bin/perl

my $host = (split /\ /, `uname -a`)[1]; chomp $host;

my @mounts = ();

#push @mounts, "logproc1.phx7:/logproc1 /logproc1";
push @mounts, "daily-logs.phx7:/content /content";

foreach my $mountPoint (@mounts) {
	my ($source, $dest) = split ' ', $mountPoint;

	$name = (split /\:/, $source)[0];

	if ($host =~ m/$name/i) {
		# ignore outselves
		next;
	}

	if (!-d $dest) {
		mkdir $dest, 0755;
		print "created: $dest\n";
	}

	if (!&isMounted($source)) {
		print "mounting: $source => $dest\n";
		my $cmd = "mount -t nfs -o rw,soft,intr,bg $source $dest";
		system $cmd;
	}
}

sub isMounted
{
	my ($source) = @_;

	open F, "mount|";
		while (my $buf = <F>) {
			my $var1 = (split ' ', $buf)[0];
			if ($var1 eq $source) {
				close F;
				return 1;
			}
		}
	close F;

	return 0;
}

