#!/bin/bash

w=38
ip=`hostname -I | awk '{print $1}'`
host=`hostname -f`
procs=`ps ax | egrep 'logu|logp' | grep -v grep | wc -l`
perc=`/root/logproc/dailylogs/src/lslog.sh | tail -n 1 | awk '{print $6}'`
gray="$(tput bold ; tput setaf 0)"
up="`uptime | awk -F"up " '{print $2}' | awk -F"," '{print $1}'`"
used=`df -h /opt | egrep '(opt)' | awk '{print $3}'`
avail=`df -h /opt | egrep '(opt)' | awk '{print $4}'`
suf="$(tput setaf 7).org$(tput setaf 6)"
site="$(tput setaf 4)$host$(tput sgr0) $(tput setaf 1)"
ipsite="$(tput setaf 4)$gray$ip$(tput sgr0) $(tput setaf 1)"
rprocs="$(tput setaf 4)$gray$procs log processes running $perc $(tput sgr0) $(tput setaf 1)"
info="$gray$used used $(tput setaf 4)|$gray $avail avail $(tput setaf 4)|$gray $up up$(tput sgr0) $(tput setaf 1)"
noauth="$(tput setaf 1)no unauthorized access$(tput sgr0)"

echo
x=$(( $w + ${#site} - $(( ${#host} )) ))
echo -n "$site" | sed -e :a -e 's/^.\{1,'$x'\}$/ & /;ta'

echo
x=$(( $w + ${#ipsite} - $(( ${#ip} )) ))
echo -n "$ipsite" | sed -e :a -e 's/^.\{1,'$x'\}$/ & /;ta'

echo
x=$(( $w + ${#noauth} - 22 ))
echo "$noauth" | sed -e :a -e 's/^.\{1,'$x'\}$/ & /;ta'

echo "$(tput setaf 2)
 ____     ____     _______  __      __ 
|    |   |    |    \\      \\/  \\    /  \\
|    |   |    |    /   |   \\   \\/\\/   /
|    |___|    |___/    |    \\        / 
|_______ \\_______ \\____|__  /\\__/\\  /  
        \\/       \\/       \\/      \\/   
$(tput sgr0)"

x=$(( $w + ${#info} - $(( ${#used} + ${#avail} + ${#up} )) - 21 ))
echo "$info" | sed -e :a -e 's/^.\{1,'$x'\}$/ & /;ta'

x=$(( $w + ${#rprocs} - $(( ${#procs} )) - 32 ))
echo -n "$rprocs" | sed -e :a -e 's/^.\{1,'$x'\}$/ & /;ta'

echo
echo

