# vim: sts=2 ts=2 sw=2 et ai

{% from "tcpwrappers/map.jinja" import extend_hosts with context -%}
{{ extend_hosts('sshd', '68.142.85.', 'Daily Log Servers') }}
{{ extend_hosts('sshd', '10.14.17.32', 'storage-ops-1.phx7.llnw.net') }}
{{ extend_hosts('sshd', '10.14.17.33', 'storage-ops-2.phx7.llnw.net') }}
{{ extend_hosts('sshd', '10.14.17.34', 'storage-metrics-1.phx7.llnw.net') }}
{{ extend_hosts('sshd', '10.14.17.35', 'storage-metrics-1.phx7.llnw.net') }}

include:
  - firewall.standard
  - resolver.anycachestatic
  - tcpwrappers
  - .dirs
  - .files
  - .keys
  - .apps
  - .cmds
  - .cron

sae|dailylogs|firewall-allow-ftp:
  firewall.accept:
    - tcp:
      - [0, ['10.14.24.0/22']]
      - [0, ['10.14.17.0/22']]
      - [0, ['68.142.85.0/24']]
      - [0, ['69.28.128.128/26']]
    {% if salt['grains.get']('fqdn') == 'daily-logs.phx7.llnw.net' %}
      - [21, ['0.0.0.0/0']]
    {% endif %}
    - udp:
      - [0, ['10.14.24.0/22']]
      - [0, ['10.14.17.0/22']]
      - [0, ['68.142.85.0/24']]
      - [0, ['69.28.128.128/26']]
    - require_in:
      - firewall: core|firewall|final-reject

sae|dailylogs|ftp-module:
  kmod.present:
    - name: nf_conntrack_ftp

sae|dailylogs|update-grub:
  cmd.run:
    - name: update-grub
    - onchanges:
      - file: sae|dailylogs|grub
