# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - sae-logpusher

sae|discrete-origin|logpusher:
  file.managed:
    - name: /usr/local/bin/logpusher
    - source: http://images.llnw.net/bins/logpusher-ubuntu
    - source_hash: http://images.llnw.net/bins/logpusher-ubuntu.md5
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|discrete-origin|logpusherconf:
  file.managed:
    - name: /etc/logpusher.conf
    - follow_symlinks: False
    - require:
      - file: sae|discrete-origin|logpusher
      - file: sae|logpusher|sym-clean
    - watch_in:
      - cmd: sae|logpusher|restart
    - contents: |
        log /logs/du/diskusage.*.log bzip2 flock oldtime 3600s olddir /logs/du/old type du
        log /logs/apache/access*.log bzip2 flock oldtime 60m olddir /logs/apache/old type apache
