# origins directory

This directory contains two types of files:

 - the Salt macro *origin_enable_site*
 - Salt states with the name of the primary origin server

ALL origins get ALL configs in the **/etc/apache2/sites-available/** directory; these configs are located one directory above this in *custconfs*. 

The Salt macro *origin_enable_site* is fairly self explanatory if you view it; essentially it contains a macro that automatically symlinks a file in the **/etc/apache2/sites-available/** directory to the **/etc/apache2/sites-enabled/** directory.

The macro doesn't do anything by itself. We must set it in a salt state and give it a parameter, which happens to be the name of the .conf file that's listed in the Salt directory **salt://sae-discrete-origin/xenial/custconfs/**without the .conf.

Now, Apache reads from the /etc/apache2/sites-enabled/ directory so if their configuration file isn't here, it won't be activated. Most commonly people create a symlink here in sites-enabled/, then reload Apache to activate the site. We are going to do the same except in salt.

Locate the primary server of this customer. Find it in this directory; drop the .llnw.net and replace the dots with dashes then add .sls to the end of it (so *rocs-1.ocs.nrt.llnw.net* becomes *rocs-1-ocs-nrt.sls*).

Then place this in the configuration:

    {{ origin_enable_site('example') }}

Be sure to include the single quotes and leave OFF the .conf in the name.

Then you will need to run the following command on BOTH the primary and backup discrete server:

    salt-call state.apply sae-discrete-origin.xenial.origins.<name_of_origin_sls>

## TL;DR

 1. Add their Apache configurations to Salt under the filename **\<shortname\>.conf**  in the **custconfs** directory
 2. Add the *origin_enable_site* macro to the origin file with the filename as the input (without the .conf) under the appropriate Salt state in the **origins** directory
 3. Manually run the appropriate Salt state on the proper origin pair (both primary and backup)
