{% set rootdevice = salt['cmd.shell']('sysctl -n kern.disks | egrep -o -w "(a|vtb)?da?0"').replace('\n','') %}

include:
  - .executables

sae|dns100|fstab|dnsdisk-local:
  cmd.run:
    - name: /usr/local/bin/dnsdisk.pl
    - stdin: "y\ny\ny\ny\ny\ny\ny\ny\ny\ny\ny\n"
    - unless: df | egrep '/local$'
    - timeout: 60
    - require:
      - file: sae|dns100|exec|dnsdisk.pl

sae|dns100|fstab|dnsdisk-logs:
  cmd.run:
    - name: /usr/local/bin/dnsdisk.pl
    - stdin: "y\ny\ny\ny\ny\ny\ny\ny\ny\ny\ny\n"
    - unless: df | egrep '/logs$'
    - timeout: 60
    - require: 
      - file: sae|dns100|exec|dnsdisk.pl

sae|dns100|fstab|mount-local:
  mount.mounted:
    - name: /local
    - device: /dev/{{ rootdevice }}s1d
    - fstype: ufs
    - mkmnt: True
    - dump: 2
    - pass_num: 2
    - opts: rw
    - user: root
    - unless: mount | grep '^/dev/.*on /local'
    - require:
      - cmd: sae|dns100|fstab|dnsdisk-local

sae|dns100|fstab|mount-logs:
  mount.mounted: 
    - name: /logs
    - device: /dev/{{ rootdevice }}s1e
    - fstype: ufs
    - mkmnt: True
    - dump: 2
    - pass_num: 2
    - opts: rw
    - user: root
    - unless: mount | grep '^/dev/.*on /logs'
    - require:
      - cmd: sae|dns100|fstab|dnsdisk-logs
