# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-logpusher.fbsd
  - crontab

sae|dns100|logpusher:
  file.managed:
    - name: /etc/logpusher.conf
    - follow_symlinks: False
    - require:
      - file: sae|logpusher|sym-clean
    - contents: |
        log /logs/dns/named*queries* bzip2 flock oldtime 300s olddir /logs/dns/old type dns flushtime 60s
        oldFilesInterval 14400

sae|dns100|logpusher|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        30 * * * * root find /logs/*/old -type f -mtime +1 -exec rm {} \;
    - require:
      - file: sae|dns100|logpusher
    - require_in:
      - file: core|crontab|base
