# vim: sts=2 ts=2 sw=2 et ai

# This is only used for split horizon servers like GRU

{% from "pepper/map.jinja" import defaults with context %}

sae|dns100|routetracker:
  file.managed:
    - name: /usr/local/bin/routetracker.pl
    - source: salt://sae-dns100/files/routetracker.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
  cmd.run:
    - name: /usr/local/bin/routetracker.pl
    - require:
      - file: sae|dns100|routetracker

sae|dns100|htcopy|config_urls.txt:
  file.managed:
    - name: /etc/geo/config_urls.txt
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - makedirs: True
    - contents: |
        gru.flb http://cdn-edge-config.llnw.net/splitsite/gru.flb default.pcds.llnwd.net

sae|dns100|htcopy:
  file.managed:
    - name: /usr/local/bin/htcopy.pl
    - source: salt://sae-dns100/files/htcopy.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
  cmd.run:
    - name: /usr/local/bin/htcopy.pl
    - require:
      - file: sae|dns100|htcopy
      - file: sae|dns100|htcopy|config_urls.txt

sae|dns100|gen_pbslb:
  file.managed:
    - name: /usr/local/bin/gen_pbslb.sh
    - source: salt://sae-dns100/files/gen_pbslb.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
  cmd.run:
    - name: /usr/local/bin/gen_pbslb.sh
