# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-logpusher.linux

# logpusher.conf based on section 5.3.3 from
# https://confluence.atlas.llnw.com/pages/viewpage.action?pageId=54463619
sae|dnsxd|logpusherconf:
  file.managed:
    - name: /etc/logpusher.conf
    - source: salt://sae-dnsxd/dns3xx/files/logpusher.conf.yaml
    - follow_symlinks: False
    - require:
      - file: sae|logpusher|logpusher-bin-ubuntu
      - file: sae|logpusher|sym-clean

sae|dnsxd|logpusher|crontab:
  cron.present:
    - name: find /var/log/dns/*/old -type f -mtime +1 -exec rm {} \; 2> /dev/null
    - identifier: LOGPUSHER
    - user: root
    - minute: 30
    - require:
      - file: sae|dnsxd|logpusherconf

sae|dnsxd|logpusher|upstart-init:
  file.managed:
    - name: /etc/init/logpusher.conf
    - source: salt://sae-dnsxd/dns3xx/files/logpusher-upstart-init.conf
    - user: root
    - group: root
    - mode: 644

sae|dnsxd|logpusher|service-running:
  service.running:
    - name: logpusher
    - enable: True
    - reload: True
    - watch:
        - file: sae|logpusher|logpusher-bin-ubuntu
        - file: sae|dnsxd|logpusher|upstart-init
        - file: sae|dnsxd|logpusherconf
    - require:
        - file: sae|logpusher|logpusher-bin-ubuntu
        - file: sae|dnsxd|logpusher|upstart-init
        - file: sae|dnsxd|logpusherconf
