#!/usr/bin/perl

use strict;
use warnings;

my $if_file = '/etc/network/interfaces';
open my $in, '<', $if_file or die "Failed to open $if_file: $!";
my $seen = 0;
while (my $line = <$in>) {
    if ($line =~ /ucarp/) {
        $seen++;
        last;
    }
}

exit $seen;
close $in or die "Failed to close handle: $!";


__END__

=head1 PURPOSE

    Read the contents of /etc/network/interfaces.  Exit 1 if the word "ucarp is seen".  Exit 0 otherwise.
    Used to gate cmd.run in salt.

=head1 SYNOPSIS

    ucarp-not-configured.pl

=head1 Author

    Jeremy Singletary <jsingletary@llnw.com>, <jeremys@rickyninja.net>
