# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
# If a year is not included, it defaults to 1900
# If you go east of your time out city and step back prior to midnight, it rolls the year to 1899 causing an error
# For this reason we provide an arbitrary date to ensure we always get a proper %M %H
# Also, only use this runner if drive-test entries aren't present to save resources
# If we ever make changes to existing entries, we can just remove this conditional

{% set city = salt['grains.get']('cornerstone:building_group_name') %}
{% set healthcron = salt['publish.runner']('lltime.localtime_by_iata', ['2016-01-02 00 04', city, 'PHX', '%Y-%m-%d %M %H', '%M %H', False]) %}


include:
  - crontab

sae|drivetest|script:
  file.managed:
    - name: /usr/local/bin/drive-test.sh
    - source: salt://sae-drivetest/files/drive-test.sh
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755

# Do not add the cron entries during image building
{% if grains['singel'] is not defined %}
sae|drivetest|crontab|healthcron:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        {{ healthcron }} * * * root /usr/local/bin/drive-test.sh healthcron > /dev/null
    - require:
      - file: sae|drivetest|script
    - require_in:
      - file: core|crontab|base
{% endif %}

sae|drivetest|remove-drivetest-new:
  file.absent:
    - name: /usr/local/bin/drive-test.sh.new
