# vim: sts=2 ts=2 sw=2 et ai

include:
  - crontab
  - .crontab

sae|edge-metrics|v|fetchsquid|script:
  file.managed:
    - name: /usr/local/bin/fetchsquid.pl
    - source: salt://{{ slspath }}/files/fetchsquid.pl.jinja
    - template: jinja
    - mode: 755
    - makedirs: True
    - defaults:
        cachepool: {{ grains.get('cachepool', 'Unknown') }}
        fqdn: {{ grains['fqdn'] }}
        pop: {{ salt['grains.get']('cornerstone:building_group_name') }}

sae|edge-metrics|fetchsquid6h|script:
  file.managed:
    - name: /usr/local/bin/fetchsquid6h.pl
    - source: salt://{{ slspath }}/files/fetchsquid6h.pl.jinja
    - template: jinja
    - mode: 755
    - makedirs: True
    - defaults:
        cachepool: {{ grains.get('cachepool', 'Unknown') }}
        fqdn: {{ grains['fqdn'] }}
        pop: {{ salt['grains.get']('cornerstone:building_group_name') }}

sae|edge-metrics|sysmon|script:
  file.managed:
    - name: /usr/local/bin/sysmon.pl
    - source: salt://{{ slspath }}/files/sysmon.pl.jinja
    - template: jinja
    - mode: 755
    - makedirs: True
    - defaults:
      fqdn: {{ grains['fqdn'] }}
      pop: {{ salt['grains.get']('cornerstone:building_group_name') }}

