# vim: sts=2 ts=2 sw=2 et ai
{%- from "sae-edgeinfo/map.jinja" import ei_api_pkg_install, ei_api_os_defaults with context %}
{% from "pepper/map.jinja" import defaults with context %}

{% if ei_api_pkg_install['apache'] is defined %}
sae|edgeinfo|api|apache|api_pkgs:
  pkg.installed:
    - names:
      {% for pkg in ei_api_pkg_install['apache'] %}
      - {{ pkg }}
      {% endfor %}
{% endif %}

sae|edgeinfo|api|apache|cgi_load:
  file.symlink:
    - name: {{ei_api_os_defaults.apache_dir}}/mods-enabled/cgi.load
    - target: {{ei_api_os_defaults.apache_dir}}/mods-available/cgi.load
    - user: root
    - group: {{ defaults.root_group }} 
    - mode: 777
    - require:
      - pkg: sae|edgeinfo|api|apache|api_pkgs
    

sae|edgeinfo|api|apache|mime_update:
  file.replace:
    - name:  {{ei_api_os_defaults.apache_dir}}/mods-available/mime.conf
    - pattern: {{ ei_api_os_defaults.handler_search }}
    - repl: {{ ei_api_os_defaults.handler_replace }}
    - count: 1
    - backup: False
    - require:
      - sae|edgeinfo|api|apache|cgi_load


sae|edgeinfo|api|apache|running:
  service.running:
    - name: {{ ei_api_os_defaults.apache }}
    - enable: True
    - require:
      - pkg: sae|edgeinfo|api|apache|api_pkgs 
    - watch:
      - file: sae|edgeinfo|api|apache|mime_update
      - file: sae|edgeinfo|api|apache|cgi_load
