# vim: sts=2 ts=2 sw=2 et ai
{%- from "sae-edgeinfo/map.jinja" import ei_api_pkg_install, ei_api_os_defaults, ei_api_defaults with context %}
{% from "pepper/map.jinja" import defaults with context %}

include:
  - firewall.standard
  - firewall.web
  - base_repos
  - .validation
  - sysctl.ipv6_disable

sae|edgeinfo|edgeinfo-pl:
  file.managed:
    - name: /usr/lib/cgi-bin/edgeinfo.pl
    - user: root
    - template: jinja
    - makedirs: True
    - mode: 755
    - show_changes: False    
    - source: salt://sae-edgeinfo/templates/edgeinfo.pl.jinja
    - defaults:
        database_password: {{ salt['pillar.get']('secrets:sae-edgeinfo:database_password') }}
   
{% if ei_api_pkg_install['dbi'] is defined %}
sae|edgeinfo|api|dbi_pkgs:
  pkg.installed:
    - names:
      {% for pkg in ei_api_pkg_install['dbi'] %}
      - {{ pkg }}
      {% endfor %}
{% endif %}

{% if ei_api_pkg_install['api'] is defined %}
sae|edgeinfo|api|api_pkgs:
  pkg.installed:
    - names:
      {% for pkg in ei_api_pkg_install['api'] %}
      - {{ pkg }}
      {% endfor %}
{% endif %}

sae|edgeinfo|api|db_cfg:
  file.managed:
    - name: {{ei_api_defaults.cgi_dir}}/eiapi_sql.cfg
    - user: {{ ei_api_os_defaults.apache_user }}
    - group: {{ ei_api_os_defaults.apache_user }}    
    - mode: 600
    - template: jinja
    - source: salt://sae-edgeinfo/templates/eiapi_sql.cfg.jinja
    - show_changes: False    
    - defaults:
        host: {{ ei_api_defaults.host }}
        database: {{ ei_api_defaults.database }}
        user: {{ ei_api_defaults.user }}
        password: {{ salt['pillar.get']('secrets:sae-edgeinfo:database_password_ro') }}
    - require:
      - sae|edgeinfo|api|api_pkgs
      - sae|edgeinfo|api|dbi_pkgs

sae|edgeinfo|api|edgeinfo_api_pl:
  file.managed:
    - name: {{ei_api_defaults.cgi_dir}}/edgeinfo_api.pl
    - user: root
    - group: {{ defaults.root_group }}    
    - template: jinja
    - makedirs: True
    - mode: 755
    - source: salt://sae-edgeinfo/templates/edgeinfo_api.pl.jinja
    - defaults:
        perlpath: {{ ei_api_os_defaults.perl_path }}
    - require:
      - sae|edgeinfo|api|db_cfg
  
