sae-edgetools/conndrop
==============

The conndrop script is designed to find TCP sockets in a given state and with the last packet receive time above a given threshold. Once found we run "tcpdrop" on that socket. This tooling is in response to #ia0004231 to address a FreeBSD Security Advisory. 

Resource exhaustion due to sessions stuck in LAST_ACK state
[FreeBSD-SA-15:13](https://www.freebsd.org/security/advisories/FreeBSD-SA-15:13.tcp.asc)

    DEFAULT BEHAVIOR
    The default action that will be taken if this script is run with no parameters will be to 
    look for TCP(4|6) sockets in the LAST_ACK,FIN_WAIT_1,FIN_WAIT_2,CLOSING state without a 
    received packet in the last ${max_receive_time} seconds. A summary will be printed and the user  
    will be prompted if they would like to drop the connections. If the user agrees, the sockets
    will be dropped. 

    Generic Options:
        -h, --help 
            This help output.
                
        -v,--verbose
            Explain the actions taken at each step. This can be very noisy depending on the number of sockets. 

        -d,--dry-run
            Generates the sockets that will be dropped. Note this will still log and use normal locking.
    

    Filters:
        -m,--max-receive-time <time in seconds>
            Max time, in seconds, since the last packet received for a given socket.
            Default: 120

        -i,--ip-version <4|6|any>
            Select the IP version to filter.
            Default: any

        -s,--state <comma seperated list>
            Select the tcp states to target. The list can be seen
            from " netstat -sp tcp" command output.
            Default: LAST_ACK,FIN_WAIT_1,FIN_WAIT_2,CLOSING
    
    Runtime:
        -w,--wait-interval <time in seconds>
            Add sleep time in seconds between each drop command to slow down TCP drops.
            Default: None

        -L,--dropped-socket-limit <Max number sockets to drop>
            Limit the number of drops that will happen in a single run. 
            Default: None

        -n,--no-lock
            Skip checking for process lock.

        -f,--force
            Don't prompt for confirmation before running. Useful for automated runs.

    Reporting:
        -l,--log-target <File location|syslog>
            Log output path and file name.
            Default: None

        -r,--report-metrics
            Send metrics into openTSDB on the status of the results of the run. 

            Metrics:
            	- Number of sockets dropped
            Tags:
            	- FQDN
            	- pop
            	- IP Version
            	- State 
            	- Port {80|443|other}