#!/usr/bin/env bash
#This is ment to search for ha1secret_versioned|s3_sign_basic|req_send_header|oldhashsecret|cust_dbg_secret|cust_dbg_oldsecret and redact customer detail.
#Then files not matching star_hs_llnwd_net* will be removed from /etc/sq/pems/ and /usr/local/etc/ssl/

# Ensure that user is root before allowing script to run.
if [ $UID -ne 0 ]; then
        echo "Must be root to run the script, Exiting"
        exit 1
fi

# Global Vars and defaults
force=false
#flag rules are set
while test $# -gt 0; do
        case "$1" in
                -f|--force)
                shift
                force=true
                shift
                ;;
                *)
                echo "$1 is not a recognized flag!"
                return 1;
                ;;
        esac
done

if ! $force; then
        echo
        read -r -p " If you choose to proceed the listed files above and the following directories '/etc/sq/pems/' '/usr/local/etc/ssl/' well be
modified. Type Continue to proceed or press enter to exit script? " input
        if [[ $input =~ ^([cC][oO][nN][tT][iI][nN][uU][eE])$ ]]; then
                echo -e "\e[1;35m Confirmed Continue! \e[0m"
        else
                echo -e "\e[1;31m Exiting script. \e[0m"
                exit 0
        fi
fi
#a sudo search and replace that will enter redacted
sed -i 's/cust_dbg_oldsecret  *[^ ]*/cust_dbg_oldsecret redacted/g' /etc/sq/*.*
sed -i 's/cust_dbg_secret  *[^ ]*/cust_dbg_secret redacted/g' /etc/sq/*.*
sed -i 's/hashsecret  *[^ *]*/hashsecret redacted/g' /etc/sq/*.*
sed -i 's/oldhashsecret  *[^ ]*/oldhashsecret redacted/g' /etc/sq/*.*
sed -i 's/req_send_header  *\([^ ]*\)  *[^ ]*/req_send_header \1 redacted/g' /etc/sq/*.*
sed -i 's/s3_sign_basic  *[^ ]*  *[^ ]*/s3_sign_basic redacted redacted/g' /etc/sq/*.*
sed -i 's/sha1secret_versioned  *\([^ ]*\)  *[^ ]*/sha1secret_versioned \1 redacted/g' /etc/sq/*.*

#Will search the given path for all files but not star_hs_llnwd_net* and removes
find /etc/sq/pems/ ! -name 'star_hs_llnwd_net*' -type f -exec rm -f {} +
find /usr/local/etc/ssl/ ! -name 'star_hs_llnwd_net*' -type f -exec rm -f {} +
clear
echo -e "\e[1;36m Done script will now exit! \e[0m"
