# vim: sts=2 ts=2 sw=2 et ai

{% set group = salt['file.gid_to_group']('0') %}

sae|edgetools|fd_collector|script:
  file.managed:
    - name: /usr/local/bin/fd_proc_collector.py
    - source: salt://{{ slspath }}/files/fd_proc_collector.py
    - mode: 755
    - user: root
    - group: {{ group }}
    - makedirs: True

{%- if grains['os'] == 'FreeBSD' %}
include:
  - crontab

sae|edgetools|fd_collector|cron:
  file.accumulated:
    - filename: /etc/crontab
    - require_in:
      - file: core|crontab|base
    - text: |
        */5 * * * * root /usr/bin/lockf -t 0 /var/run/fd_proc_collector.lock python /usr/local/bin/fd_proc_collector.py > /dev/null 2>&1 
    - require:
      - file: sae|edgetools|fd_collector|script
{%- elif grains['os'] == 'Ubuntu' %}
sae|edgetools|fd_collector|cron:
  file.managed:
    - name: /etc/cron.d/fd_collector
    - user: root
    - group: root
    - mode: 644
    - contents: |
        PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
        */5 * * * * root /usr/bin/flock -w 0 /var/run/fd_proc_collector.lock python /usr/local/bin/fd_proc_collector.py > /dev/null 2>&1
    - require:
      - file: sae|edgetools|fd_collector|script
{%- endif %}