{%- from "pepper/map.jinja" import defaults with context %}
{%- import_yaml "sae-edgetools/firmware/devicemap.yaml" as devicemap %}

{# This is a bit of a brute force state #}
{# Anything that is currently targeted as the upto date firmware #}
{# we have to ensure is on the box before we reboot to apply the #}
{# firmware durring boot. Ideally this could be solved by        #}
{# storing the divice info as grains that would only pull down   #}
{# the firmware for the hardware installed                       #}

{%- for device_type, models in devicemap.iteritems() %}
    {%- for model, data in models.iteritems() if data.firmware is defined and data.firmware is mapping and 
                                                 data.firmware.remote and data.firmware.local and data.firmware.checksum %}
        {%- if data.firmware.remote.endswith('.tar') %}
{# tar file with multiple files that need to be extracted #}
sae|edgetools|firmware|flash|vs|firmware|{{ device_type }}|{{ model }}:
    archive.extracted:
    - name: {{ data.firmware.local }}
    - source: {{ data.firmware.remote }}
    - source_hash: {{ data.firmware.checksum }}
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 0644
    - enforce_toplevel: False
    - require_in:
      - file: sae|edgetools|firmware|flash|vs|firmware|{{ device_type }}|{{ model }}|target_symlink
        {% else %}
{# Single bin that can be put into place #}
sae|edgetools|firmware|flash|vs|firmware|{{ device_type }}|{{ model }}:
  file.managed:
    - name: {{ data.firmware.local }}
    - source: {{ data.firmware.remote }}
    - source_hash: {{ data.firmware.checksum }}
    - user: root
    - group: {{ defaults.root_group }}
    - makedirs: True
    - mode: 0644
    - require_in:
      - file: sae|edgetools|firmware|flash|vs|firmware|{{ device_type }}|{{ model }}|target_symlink
        {%- endif -%}   

        {# Symlink to the latest firmware folder so that bash script dont have to parse json/yaml #} 
        {% set symlink_target = salt['file.dirname'](data.firmware.local) %} 
        {% set symlink_name = "/usr/local/firmware/" + device_type + "/" + model + "/target" %}            
sae|edgetools|firmware|flash|vs|firmware|{{ device_type }}|{{ model }}|target_symlink:
  file.symlink:
    - name: /usr/local/firmware/{{ device_type }}/{{ model }}/target
    - target: {{ symlink_target }}
    - force: False
    - user: root
    - group: {{ defaults.root_group }}
    {%- endfor %}
{%- endfor %} 