{% from "pepper/map.jinja" import defaults with context %}
{% import_yaml "sae-edgetools/firmware/devicemap.yaml" as devicemap %}

{# This is a bit of a brute force state #}
{# Anything that is currently targeted as the upto date firmware #}
{# we have to ensure is on the box before we reboot to apply the #}
{# firmware durring boot. #}
{%- for device, models in devicemap.iteritems() -%}
    {%- for model, data in models.iteritems() -%}
        {%- if data.firmware is defined and data.firmware|length -%}
            {%- if data.firmware.remote.endswith('.tar') -%}
{# tar file with multiple files that need to be extracted #}
sae|edgetools|firmware|flash|vs|firmware|{{ device }}|{{ model }}:
    archive.extracted:
    - name: {{ data.firmware.local }}
    - source: {{ data.firmware.remote }}
    - source_hash: {{ data.firmware.checksum }}
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 0644
    - enforce_toplevel: False
            {% else %}
{# Single bin that can be put into place #}
sae|edgetools|firmware|flash|vs|firmware|{{ device }}|{{ model }}:
  file.managed:
    - name: {{ data.firmware.local }}
    - source: {{ data.firmware.remote }}
    - source_hash: {{ data.firmware.checksum }}
    - user: root
    - group: {{ defaults.root_group }}
    - makedirs: True
    - mode: 0644
            {%- endif -%}
        {%- endif -%}
    {%- endfor -%}
{%- endfor -%}