# vim: sts=2 ts=2 sw=2 et ai
{% set group = salt['file.gid_to_group']('0') %}

sae|edgetools|firmware|monitoring|vs|check_firmware|script:
  file.managed:
    - name: /usr/local/bin/check_firmware.py
    - source: salt://{{ slspath }}/files/check_firmware.py
    - mode: 755
    - user: root
    - group: {{ group }}
    - makedirs: True
    - require:
      - file: sae|edgetools|firmware|monitoring|vs|devicemap|json
    

sae|edgetools|firmware|monitoring|vs|devicemap|yaml:
  file.managed:
    - name: /usr/local/llnw/firmware/devicemap.yaml
    - source: salt://sae-edgetools/firmware/devicemap.yaml
    - mode: 644
    - user: root
    - group: {{ group }}
    - makedirs: True

{% import_yaml "sae-edgetools/firmware/devicemap.yaml" as devicemap %}
sae|edgetools|firmware|monitoring|vs|devicemap|json:
  file.serialize:
    - name: /usr/local/llnw/firmware/devicemap.json
    - user: root
    - group: {{ group }}
    - mode: 644
    - formatter: json
    - dataset: {{ devicemap }}
    - makedirs: True