# vim: sts=2 ts=2 sw=2 et ai

include:
  - crontab

{% set group = salt['file.gid_to_group']('0') %}
sae|edgetools|netstat_colelctor|script:
  file.managed:
    - name: /usr/local/bin/netstat_collector.py
    - source: salt://{{ slspath }}/files/netstat_collector.py
    - mode: 755
    - user: root
    - group: {{ group }}
    - makedirs: True

sae|edgetools|netstat_colelctor|cron:
  file.accumulated:
    - filename: /etc/crontab
    - require_in:
      - file: core|crontab|base
    - text: |
        # Collect Netstat -s output and send to opscap
        * * * * * root /usr/bin/lockf -t 0 /var/run/netstat_collector.lock /usr/local/bin/python /usr/local/bin/netstat_collector.py > /dev/null 2>&1
