{% from "pepper/map.jinja" import defaults with context %}

sae|eg-rttcollector|hostlist:
  file.serialize:
    - name: /usr/local/llnw/ms-ops-hosts.json
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - formatter: json
    - dataset: { boxes: {{ salt['publish.runner']('cs.cached_search', [['AND', ['=', 'tag_name', 'role-sae-msops'], ['=', 'status', '100']], "keys=['name', 'domain_name']"])|sequence|sort }} }

sae|eg-rttcollector|eghostlist:
  file.serialize:
    - name: /usr/local/llnw/ericsson-hosts.json
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - formatter: json
    - dataset: { boxes: {{ salt['publish.runner']('cs.cached_search', [['AND',['REGEXP','name','^cds'],['=','status','100'],['=','owner_name','Ericsson Edge Gravity Inc.']], "keys=['name', 'domain_name']"])|sequence|sort }} }

sae|eg-rttcollector|rttcollector|script:
  file.managed:
    - name: /usr/local/bin/rttcollector.sh
    - source: salt://sae-eg-rttcollector/files/rttcollector.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True


{% set team_env = salt['grains.get']('team_env','production') %}
sae|eg-rttcollector|rttcollector|cron:
  cron.present:
    {% if team_env == 'dynamic' %}
    - name: '/usr/local/bin/rttcollector.sh -d > /tmp/rttcollector.out'
    {% else %}
    - name: '/usr/local/bin/rttcollector.sh'
    {% endif %}
    - identifier: rttcollector
    - minute: '*/5'
    - require:
      - file: sae|eg-rttcollector|rttcollector|script
      - file: sae|eg-rttcollector|hostlist