## Ericsson RTT Collector

#### Goal
In all site that have ms-ops hosts we run [perftest.pl](https://github.llnw.net/llnw/salt-sae/blob/master/sae-msops/files/perftest.pl) but Ericsson sites do not have these hosts. This collector will run the ping tests to generate the `app.ping.rtt.*` metrics from EG sites to all other sites that have ms-ops hosts. 

#### Data
The list of ms-ops hosts is generated by the salt state queriing CS for `['AND', ['=', 'tag_name', 'role-sae-msops'], ['=', 'status', '100']]` 

For each of these ms-ops hosts we run `ping -W 5 -c 10` against the host and collect the min avg max and mdev of the pings. This data is sent into tsdb as the following metrics.


```
app.ping.packet_loss TIME VALUE source=SRCPOP dest=MSOPS_POP
app.ping.rtt.min TIME VALUE source=SRCPOP dest=MSOPS_POP
app.ping.rtt.avg TIME VALUE source=SRCPOP dest=MSOPS_POP
app.ping.rtt.max TIME VALUE source=SRCPOP dest=MSOPS_POP
app.ping.rtt.mdev TIME VALUE source=SRCPOP dest=MSOPS_POP
```


Here is an example of the data
```
put app.ping.packet_loss 1561484340 0 source=eaaa dest=snv
put app.ping.rtt.min 1561484340 200.273 source=eaaa dest=snv
put app.ping.rtt.avg 1561484340 200.310 source=eaaa dest=snv
put app.ping.rtt.max 1561484340 200.346 source=eaaa dest=snv
put app.ping.rtt.mdev 1561484340 0.036 source=eaaa dest=snv
```

#### Uses
This data is used to generate CDN rtt data for carp site collection.
