# salt-edgegravity
Salt States for EdgeGravity

The `sae-eglf-agent` uses the macros2-style Versioned States.

### The `v0` pattern

This state adopts the `v0` pattern of Versioned States which uses a `v0` directory for all active development, and creates all new versions to be deployed to the upper environments from copies of this `v0` directory.


#### Contributing changes using the `v0` pattern

Generally, the process for introducing changes is as follows:

- Create a PR (1) updating the configuration as desired in v0
- Merge PR (1)
- Test in lower environments (dynamic, dev) running v0
- Create a PR (2) introducing a new versioned state made from a copy of v0
- Merge PR (2) anytime, won't update any environment yet, just makes the new version available
- Roll out the new version as desired using filters in `version_wants_nonprod.yaml` and `version_wants_production.yaml`
- Create PR (3) to update the minimum version number in `init.sls`, "finalizing" the version as the new default

The numbering convention used at present is a representation of the UTC time at the time the `v0` directory is "frozen" in each "snapshot" version.

e.g.

```
cp -a v0 v`date -u +%Y%m%d%H%M`
```

### Coordinating changes

All changes that need to be made to `sae-eglf-agent` should be coordinated with the following people so that they may be properly prioritized, collated, and serialized into the ongoing stream of work.

- Stephen Lanyi (Project Manager)
  - Email / Hangouts: slanyi@llnw.com
- Geoffrey Lisk (Developer)
  - Email / Hangouts: glisk@llnw.com
 - Benjamin Rousch (DevOps)
  - Slack: brousch
  - Email / Hangouts: brousch@llnw.com

## Changelog

This project includes a Changelog documenting the changes made from one version to the next:

[CHANGELOG.md](./CHANGELOG.md)

## States and files

This portion of the documentation is the most likely to go stale quickly, please refer to the code in the states themselves for the latest details.