{% from "pepper/map.jinja" import defaults %}
{% from slspath~"/map.jinja" import eglf_config %}

{% if grains['os_family'] == 'FreeBSD' %}
sae|eglf-agent|deps:
  pkg.installed:
    - names:
      - py27-yaml
      - py27-requests

sae|eglf-agent|install:
  pkg.installed:
    - name: eglf-agent
    - version: {{ eglf_config.version }}
    - require:
      - pkg: sae|eglf-agent|deps

sae|eglf-agent|config:
  file.managed:
    - name: /usr/local/eglf-agent/eglf-agent.yaml
    - source: salt://{{ slspath }}/files/eglf-agent.yaml.jinja
    - template: jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - makedirs: True
    - config: {{ eglf_config }}
    - watch:
      - pkg: sae|eglf-agent|install

sae|eglf-agent|rcd:
  file.managed:
    - name: /usr/local/etc/rc.d/eglf_agent
    - source: salt://{{ slspath }}/files/eglf-agent-rcd
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 555
    - require:
      - pkg: sae|eglf-agent|install

sae|eglf-agent|tmp-dir:
  file.directory:
    - name: /tmp/eglf
    - user: root
    - group: {{ defaults['root_group'] }}
    - dir_mode: 775
    - file_mode: 664
    - require:
      - pkg: sae|eglf-agent|install

sae|eglf-agent|service-running:
  service.running:
    - name: eglf_agent
    - enable: True
    - watch:
      - file: sae|eglf-agent|config
      - pkg: sae|eglf-agent|install
      - file: sae|eglf-agent|rcd
      - file: sae|eglf-agent|tmp-dir
{% endif %}
