# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks, egblocks %}
{%- from "sae-elastic/envs.jinja" import elastic_envs with context %}

include:
  - .init
  - firewall.standard
  - java.default-openjdk8
  - zfs
  - .elastic
{# don't install logstash on anything but 'main' #}
{% if "standalone" not in elastic_envs['env'] and 'elastic-etcd-ingest-' not in grains['fqdn'] %}
  - .logstash
{% endif %}

sae|elastic|ingest|firewall:
  firewall.accept:
    - udp:
      - [514, {{ netblocks + egblocks }}] # syslog port
      - ['5500:5600', {{ netblocks + egblocks }}] # large block for various ingests
    - tcp:
      - [514, {{ netblocks + egblocks }}] # syslog port
      - [9200, {{ netblocks + egblocks }}] # allow access from llnw
      - ['5044', {{ netblocks + egblocks }}] # beats
      - ['5500:5600', {{ netblocks + egblocks }}]  # large block for various ingests
      - ['9300:9400', '68.142.64.165/32'] # ms-db-5 dba logstash host
    - require_in:
      - firewall: core|firewall|final-reject
