# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sae-elastic/envs.jinja" import elastic_envs with context %}

{% if ('salt_states_vb' in grains and grains['salt_states_vb'] == True) or grains['singel'] is defined %}
# Dynamic is defined as any short term VM turnup
# Vagrant / Openstack / etc
  {% set environment='dynamic' %}
  {% set repo_env='testing' %}
{% else %}
  {% set environment=salt['grains.get']('team_env', 'production') %}
  {% if 'dev' in environment %}
    {% set repo_env='testing' %}
  {% else %}
    {% set repo_env=environment %}
  {% endif %}
{% endif %}

include:
  - base_repos
  - sae-sudoers.elk-admin
# add me later, for shoveling stuff to splunk from elastic
#  - splunkforwarder

{%- if elastic_envs['sysctl_all'] is defined %}
{%-   for item, value in elastic_envs['sysctl_all'].iteritems() %}
sae|elastic|init|sysctl.{{ item }}:
  sysctl.present:
  - name: {{ item }}
  - value: {{ value }}
{%-   endfor %}
{%- endif %}

sae|elastic|elastic-repo:
  pkgrepo.managed:
    - name: deb [trusted=yes] http://repo.llnw.net/llnw/ubuntu/{{ repo_env }}/elastic/ {{ grains['oscodename'] }}/
    - file: /etc/apt/sources.list.d/llnw.elastic.{{ grains['oscodename'] }}.list
    - clean_file: True
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

sae|elastic|other-pkgs:
  pkg.latest:
    - names:
      - iftop
      - iotop
      - nmap
      - tcpflow
      - lsscsi
      - nload
      - bc
      - socat
      - unzip
      - dump
