# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks %}
{%- from "sae-elastic/envs.jinja" import elastic_envs with context %}

# JDBC host(s) are one-offs for ingesting data from external DBs.

include:
  - .init
  - firewall.standard
  - java.default-openjdk8
  - .elastic
  - .logstash

sae|elastic|jdbc-pkgs:
  pkg.latest:
    - names:
      - libmysql-java

sae|elastic|logstash|jdbc-config-files:
  file.recurse:
    - name: /etc/logstash/conf.d/
    - user: logstash
    - group: adm
    - recurse:
      - user
      - group
    - clean: true
    - source: salt://sae-elastic/files/jdbc/
    - require:
      - pkg: sae|elastic|logstash|logstash-pkg

