# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks %}
{%- from "sae-elastic/envs.jinja" import elastic_envs with context %}

include:
  - java.default-openjdk8

sae|elastic|kibana|kibana-pkg:
  pkg.installed:
    - name: kibana
{% if elastic_envs['kibana_ver']|default(False) %}
    - version: {{ elastic_envs['kibana_ver'] }}
{% endif %}
    - require:
      - pkg: core|java|pkg-openjdk8
      - pkgrepo: sae|elastic|elastic-repo

sae|elastic|kibana|kibana-yml:
  file.managed:
    - name: /etc/kibana/kibana.yml
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-elastic/templates/kibana.yml.jinja
    - template: jinja
    - elastic_envs: {{elastic_envs}}
    - backup: True
    - require:
      - pkg: sae|elastic|kibana|kibana-pkg

sae|elastic|kibana|kibana-service:
  service.running:
    - name: kibana
    - enable: True
    - full_restart: True
    - watch:
      - pkg: sae|elastic|kibana|kibana-pkg
      - file: sae|elastic|kibana|kibana-yml

