# vim: sts=2 ts=2 sw=2 et ai

# Standalone state to create a machine with all the bells and whistles

{% if grains['salt_states_vb'] is defined %}

{% from "pepper/map.jinja" import rfc1918blocks %}

{# this grain must be set for other states to work properly #}
{% do salt['grains.set']("cornerstone:tags:elastic-env-standalone", {'name': 'elastic-env-standalone', 'meta_source': 'standalone.sls'}) %}
sae|elastic|standalone-data-dir:
  file.directory:
    - name: /data
    - user: root
    - group: root
    - require_in:
      - sae|elastic|core|logstash-dir
      - sae|elastic|elastic|elastic-dir

sae|elastic|elastic|rfc1918-firewall:
  firewall.accept:
    - tcp:
      - ['9200', {{ rfc1918blocks }}] # elasticsearch
      - ['9300:9400', {{ rfc1918blocks }}] # elasticsearch, for clustering
    - require_in:
      - firewall: core|firewall|final-reject

{% endif %}

include:
  - .core
  - .frontend
  - .ingest
  - .master
