# vim: sts=2 ts=2 sw=2 et ai

{% from slspath ~ "/map_current.jinja" import pkg_name, pkg_version, nginx_llnw_mediavault_url with context %}

include:
  - .upgrade
  - post-edgeinfo

sae|ep-ssl|rollback|install:
  cmd.run:
{% if grains['os_family'] == 'FreeBSD' and grains['osmajorrelease']|int >= 11 %}
    - name: /usr/sbin/pkg delete -fy {{ pkg_name }}; env ABI=freebsd:10:amd64 /usr/sbin/pkg add "{{ nginx_llnw_mediavault_url }}"
{% else %}
    - name: /usr/sbin/pkg delete -fy {{ pkg_name }}; /usr/sbin/pkg add "{{ nginx_llnw_mediavault_url }}"
{% endif %}
    - unless: /usr/sbin/pkg info -e "{{ pkg_name }}={{ pkg_version }}"
    - onchanges_in:
      - cmd: sae|ep-ssl|upgrade-testconfig
      - cmd: sae|ep-ssl|upgrade-usr2
      - cmd: sae|ep-ssl|upgrade-nginxrunning
      - cmd: sae|ep-ssl|upgrade-twomasters
      - cmd: sae|ep-ssl|upgrade-quit
      - cmd: core|post-edgeinfo|run
