# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
include:
  - .control

sae|ep-ssl|config|nginx.conf:
  file.managed:
    - name: /usr/local/nginx/conf/nginx.conf
    - source: salt://sae-ep-ssl/templates/nginx.conf.jinja
    - template: jinja
    - user: xfer
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - onchanges_in:
      - file: sae|ep-ssl|control|graceful

sae|ep-ssl|config|ssl-include:
  file.accumulated:
    - name: ep_ssl_includes
    - filename: /usr/local/nginx/conf/nginx.conf
    - text: |
        include /usr/local/nginx/conf/nginx.ssl.conf;
    - require_in:
       - file: sae|ep-ssl|config|nginx.conf
