# vim: sts=2 ts=2 sw=2 et ai

{% from slspath ~ "/map.jinja" import pkg_name, pkg_version with context %}

include:
  - .upgrade
  - post-edgeinfo
  - ep-repo.repo-by-env

sae|ep-ssl|packages|uninstall-nginx:
{% if grains['os'] == 'FreeBSD' %}
  cmd.run:
    - name: /usr/sbin/pkg delete -fy nginx-1.5.12
    - onlyif: /usr/sbin/pkg info -e nginx-1.5.12
    - require_in:
      - sae|ep-ssl|packages|install
{% else %}
  pkg.removed:
    - name:  nginx
    - require_in:
      - sae|ep-ssl|packages|install
{% endif %}


sae|ep-ssl|packages|install:
  pkg.installed:
    - name: {{ pkg_name }} 
    - version: {{ pkg_version }} 
{% if grains['singel'] is not defined %}
    - onchanges_in:
      - cmd: sae|ep-ssl|upgrade-testconfig
      - cmd: sae|ep-ssl|upgrade-usr2
      - cmd: sae|ep-ssl|upgrade-nginxrunning
      - cmd: sae|ep-ssl|upgrade-twomasters
      - cmd: sae|ep-ssl|upgrade-quit
      - cmd: core|post-edgeinfo|run
{% endif %}
