# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - .control
  - .config

{%- for cert in salt['pillar.get']('secrets:delivery-certs', {}).keys() %}
sae|ep-ssl|key-{{ cert }}:
  file.managed:
    - name: /usr/local/etc/ssl/{{ cert }}.pem
    - makedirs: True
    - user: xfer
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - contents_pillar: secrets:delivery-certs:{{ cert }}
    - require_in:
      - file: sae|ep-ssl|config|nginx.conf
    - onchanges_in:
      - file: sae|ep-ssl|control|graceful
{%- endfor %}
