# vim: sts=2 ts=2 sw=2 et ai

{% if grains['singel'] is not defined %}
sae|ep-ssl|upgrade-nginxrunning:
  cmd.run:
    - name: pgrep -F /usr/local/nginx/logs/nginx.pid -f "master process"
    - timeout: 5

sae|ep-ssl|upgrade-testconfig:
  cmd.run:
    - name: /usr/local/nginx/sbin/nginx -t
    - timeout: 5

sae|ep-ssl|upgrade-usr2:
  cmd.run:
    - name: pkill -USR2 -o -f "master process /usr/local/nginx/sbin/nginx"
    - onlyif: pgrep -F /usr/local/nginx/logs/nginx.pid -f "master process"
    - timeout: 5
    - require:
      - cmd: sae|ep-ssl|upgrade-testconfig
      - cmd: sae|ep-ssl|upgrade-nginxrunning

sae|ep-ssl|upgrade-twomasters:
  cmd.run:
    - name: pgrep -F /usr/local/nginx/logs/nginx.pid.oldbin -f "master process"
    - onlyif: pgrep -F /usr/local/nginx/logs/nginx.pid -f "master process"
    - timeout: 5
    - require:
      - cmd: sae|ep-ssl|upgrade-usr2

sae|ep-ssl|upgrade-quit:
  cmd.run:
    - name: sleep 5; pkill -QUIT -F /usr/local/nginx/logs/nginx.pid.oldbin
    - timeout: 10
    - require:
      - cmd: sae|ep-ssl|upgrade-twomasters
{% endif %}
