# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - .config

# nginx.limit.conf is also used in sae|cdn-mgmt|conf|nginx.limit.conf
# any updates to the path should be updated there as well
sae|ep-ssl|config|limit.conf:
  file.managed:
    - name: /usr/local/nginx/conf/nginx.limit.conf
    - source: salt://sae-ep-ssl/templates/nginx.limit.conf
    - user: xfer
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - require_in:
      - file: sae|ep-ssl|config|nginx.conf
    - onchanges_in:
      - file: sae|ep-ssl|control|graceful

sae|ep-ssl|config|limit-include:
  file.accumulated:
    - name: ep_ssl_includes
    - filename: /usr/local/nginx/conf/nginx.conf
    - text: |
        include /usr/local/nginx/conf/nginx.limit.conf;
    - require_in:
       - file: sae|ep-ssl|config|nginx.conf
