# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-ep.ep-reconfig

sae|ep|squid-environment:
  file.managed:
    - name: /etc/sq/squid_env
    - user: root
    - template: jinja
    - makedirs: True
    - source: salt://sae-ep/templates/squid_env.jinja
    - context:
        yaml_file: sae-ep/templates/squid_env.yaml
    - onchanges_in:
      - file: sae|ep|ep-reconfig

sae|ep|squid1-options:
  file.managed:
    - name: /etc/sq/squid1_options.conf
    - user: root
    - template: jinja
    - makedirs: True
    - source: salt://sae-ep/templates/squid_options.conf.jinja
    - context:
        yaml_file: sae-ep/templates/squid1_options.yaml
    - mode: 644
    - onchanges_in:
      - file: sae|ep|ep-reconfig

sae|ep|squid2-options:
  file.managed:
    - name: /etc/sq/squid2_options.conf
    - user: root
    - template: jinja
    - makedirs: True
    - source: salt://sae-ep/templates/squid_options.conf.jinja
    - context:
        yaml_file: sae-ep/templates/squid2_options.yaml
    - mode: 644
    - onchanges_in:
      - file: sae|ep|ep-reconfig

sae|ep|config-options:
  file.managed:
    - name: /etc/sq/config_options.yaml
    - user: root
    - template: jinja
    - makedirs: True
    - source: salt://sae-ep/templates/config_options.yaml.jinja
    - context:
        yaml_file: sae-ep/templates/config_options_input.yaml
    - mode: 644
    - onchanges_in:
      - file: sae|ep|ep-reconfig
