#!/usr/bin/perl -w

# we've had a couple of instances where an edge cds box came up with
# corrupted files in /etc/sq.  however, the bad files had the right
# modification time and the right size, so sendconfs wouldn't write
# new ones because it thought they were valid.

# this script attempts to mitigate this problem by tweaking the
# modification times on everything in /etc/sq by one second on boot so
# that sendconfs will verify the actual content of the files.

# -nils 2007-09-20

$now = time();

opendir(IN, "/etc/sq") || exit(0);
while ($d = readdir(IN)) {
    next if $d =~ /^\./;
    $d = "/etc/sq/$d";
    @st = lstat($d);
    next unless -f _;
    $mtime = $st[9];
    $mtime--;
    utime $now, $mtime, $d;
}
