#!/usr/bin/perl

my $opt = $ARGV[0];

open(IN, 'df -kl|') or print "$!";
while(<IN>) {
	chomp;
	$value = $_;

	my ($disk, $totalBlocks, $usedBlocks, $availBlocks, $blockCapacity, $used, $avail, $diskUtil, $mountPoint, $total);

        next if $value =~ /procfs|devfs|File|udev/;

	my @values = split(/\s+/, $value);

        if(scalar @values >= 9) {       #freebsd inode return
              # freebsd df -i
              #Filesystem  1K-blocks    Used     Avail Capacity iused   ifree %iused  Mounted on
              #/dev/da0s1a  10154158 1572118   7769708    17%  162833 1156077   12%   /


              ($disk, $totalBlocks, $usedBlocks, $availBlocks, $blockCapacity, $used, $avail, $diskUtil, $mountPoint) = @values;
	      next if $disk eq 'none';
              $total = $used + $avail;
        }
        else {                          #linux inode/block return, freebsd block return
		# Freebsd df -k
		# Filesystem  1K-blocks    Used     Avail Capacity  Mounted on
		# /dev/da0s1a  10154158 1572120   7769706    17%    /

		# linux df -k
		# Filesystem           1K-blocks      Used Available Use% Mounted on
		# /dev/sda1            138353996  11020812 120305152   9% /

		($disk, $total, $used, $avail, $diskUtil, $mountPoint) = @values;
		next if $disk eq 'none';
	}

	if($opt eq 'index') {
		print "$mountPoint\n";
	}
	elsif($opt eq 'max') {
		print "$total\n";
	}
	elsif($opt eq 'avail') {
		print "$avail\n";
	}
	elsif($opt eq 'used') {
		print "$used\n";
	}
}
close(IN);
