#!/bin/bash
# local script to upgrade EP. 
# called in https://confluence.atlas.llnw.com/display/OPS/Edgeprism+Release+Process+-+SysOps


sqver() {
        if [ `squid -v | awk '{print $2}'` == "$1" ]; then
        echo "$HOSTNAME: EP version correct - $1"
        exit
	else
	old_version="$(squid -v | awk '{print $2}')"
        fi
        }

md5check_120() {
        if [ `md5 /etc/sq/cds-amd64-12.0.tar.bz2 | awk '{print $4}'` == "$1" ]; then
        return 1
        fi
        }

getsquid_120() {
        wget -SO /etc/sq/cds-amd64-12.0.tar.bz2 --timeout=5 -q --tries=2 http://llnwsysops.vo.llnwd.net/v1/ep/cds-amd64-12.0.tar.bz2
        }

graceful() {
        touch /etc/sq/graceful
        echo "$HOSTNAME: EP version upgraded to $1 and gracefully restarted. Previous version: $old_version"
        }



count=0
sqver $1
while md5check_120 $2 == 0
do
        getsquid_120
	count=$[count+1]
        if [ $count == 5 ]
	then
		echo "ERROR: $HOSTNAME: md5 check failed 5 times, check 12.0 binary location is correct"
		exit 1
	fi
        done

graceful $1
