#!/usr/bin/perl 

# Large swaths of code stolen wholesale from Net::Ping, rearranged, 'Will it Blend?'d, and other stuff.

use strict;
use Fcntl qw( F_GETFL F_SETFL O_NONBLOCK );
use Socket qw( SOCK_DGRAM SOCK_STREAM SOCK_RAW PF_INET SOL_SOCKET SO_ERROR
               inet_aton inet_ntoa sockaddr_in );
use POSIX qw( ENOTCONN ECONNREFUSED ECONNRESET EINPROGRESS EWOULDBLOCK EAGAIN WNOHANG );
use Time::HiRes qw(usleep);
use FileHandle;
use Sys::Syslog qw(:DEFAULT setlogsock);  # default set, plus setlogsock

$| = 1; # <- See this? Leave that alone or perl will make you its BITCH.

my $debug = 0;

#syslog $priority, $format, @args;
setlogsock('udp');
$Sys::Syslog::host = 'zulu.llnw.net';
openlog('l2check', 'ndelay', 'user');


use constant ICMP_ECHOREPLY => 0; # ICMP packet types
use constant ICMP_ECHO      => 8;
use constant ICMP_STRUCT    => "C2 n3 A";  # Structure of a minimal ICMP packet
use constant SUBCODE        => 0; # No ICMP subcode for ECHO and ECHOREPLY
use constant ICMP_FLAGS     => 0; # No special flags for send or recv
use constant ICMP_PORT      => 0; # No port with ICMP

# Set up socket on $fh. Switch it to non blocking mode.
my $proto_num = (getprotobyname('icmp'))[2] || die "Can't get icmp protocol by name\n";
my $pid = $$ & 0xffff;           # Save lower 16 bits of pid
my $fh = FileHandle->new();
socket($fh, PF_INET, SOCK_RAW, $proto_num) || die "icmp socket error - $!\n";

my ($flags, $block);
if ($flags = fcntl($fh, F_GETFL, 0)) {
    $flags = $block ? ($flags & O_NONBLOCK) : ($flags | O_NONBLOCK);
    if (!fcntl($fh, F_SETFL, $flags)) {
    	warn("fcntl F_SETFL: $!");
    }
} 
else { warn("fcntl F_GETFL: $!"); }

my ($saddr,             # sockaddr_in with port and ip
    $checksum,          # Checksum of ICMP packet
    $msg,               # ICMP packet to send
    $len_msg,           # Length of $msg
    $rbits,             # Read bits, filehandles for reading
    $nfound,            # Number of ready filehandles found
    $finish_time,       # Time ping should be finished
    $done,              # set to 1 when we are done
    $ret,               # Return value
    $recv_msg,          # Received message including IP header
    $from_saddr,        # sockaddr_in of sender
    $from_port,         # Port packet was sent from
    $from_ip,           # Packed IP of sender
    $from_type,         # ICMP type
    $from_subcode,      # ICMP subcode
    $from_chk,          # ICMP packet checksum
    $from_pid,          # ICMP packet id
    $from_seq,          # ICMP packet sequence
    $from_msg           # ICMP message
);

my $timeout = 5;
my $data = '';
my $data_size = 0;

$rbits = "";
vec($rbits, $fh->fileno(), 1) = 1;
my $seq = 0;

my %devices;
my %live;
my %fail; 
my %consecFail;

my @hostlist;

my $llhostname = `hostname`;
chomp($llhostname);
my $llpop = (split(/\./, $llhostname))[1];

for ( my $i = 1; $i <= 3; $i++) {	# three passes

open(IN, '/usr/local/bin/subnets.cfg');
while(<IN>) {
	chomp;
	my @cfg = split(/\s+/, $_);
	next unless $cfg[0] =~ /$llpop/i;
	# generate @hostlist
	my ($pop, $addr, $hostname) = @cfg;
	push(@hostlist, $addr);
	$devices{$addr} = $hostname;
}
close(IN);

# prequeue

my %queue; my %sent; my $finish;
foreach my $host (splice(@hostlist, 0, 50)) {
	my $ip;
	unless ( $ip = inet_aton($host) ) {
        	print "Host $host did not resolve.\n" and next; 
	}

	$seq = ($seq + 1) % 65536; # Increment sequence
	$checksum = 0;                                                          # No checksum for starters
	$msg = pack(ICMP_STRUCT . $data_size, ICMP_ECHO, SUBCODE, $checksum, $pid, $seq, $data);
	$checksum = checksum($msg);     
	$msg = pack(ICMP_STRUCT . $data_size, ICMP_ECHO, SUBCODE, $checksum, $pid, $seq, $data);
	$len_msg = length($msg);
	$saddr = sockaddr_in(ICMP_PORT, $ip);
	send($fh, $msg, ICMP_FLAGS, $saddr); # Send the message

	$queue{$seq} = $host; $sent{$seq} = $ip; $finish = time + $timeout;            # Housekeeping
}

my $finish = time + $timeout;	
while(@hostlist || time <= $finish) {
	if( scalar(@hostlist) ) {
		my $host = pop(@hostlist);
		print "Host $host did not resolve.\n" and next unless my $ip = inet_aton($host);

 		$seq = ($seq + 1) % 65536; # Increment sequence
  		my $checksum = 0;                          				# No checksum for starters
  		$msg = pack(ICMP_STRUCT . $data_size, ICMP_ECHO, SUBCODE, $checksum, $pid, $seq, $data);
  		$checksum = checksum($msg);						
  		$msg = pack(ICMP_STRUCT . $data_size, ICMP_ECHO, SUBCODE, $checksum, $pid, $seq, $data);
  		$len_msg = length($msg);
 		$saddr = sockaddr_in(ICMP_PORT, $ip);
  		send($fh, $msg, ICMP_FLAGS, $saddr); # Send the message

		$queue{$seq} = $host; $sent{$seq} = $ip; $finish = time + 2;		# Housekeeping

	}

      	my $recv_msg = ""; $from_pid = -1; $from_seq = -1;
	while ( my $from_saddr = recv($fh, my $recv_msg, 1500, ICMP_FLAGS) ) { # Check for incoming packets
		unless ( $recv_msg ) { next; }	# Parse a response, otherwise, send another request

     		my ($from_port, $from_ip) = sockaddr_in($from_saddr);
      		my ($from_type, $from_subcode) = unpack("C2", substr($recv_msg, 20, 2));
	
		my ($from_pid, $from_seq); 
		if ($from_type == ICMP_ECHOREPLY) {
       		($from_pid, $from_seq) = unpack("n3", substr($recv_msg, 24, 4)) if length $recv_msg >= 28;
      		} 
		else {  ($from_pid, $from_seq) = unpack("n3", substr($recv_msg, 52, 4)) if length $recv_msg >= 56; }

		# Does the packet check out?
      		if (($from_pid == $pid) && $sent{$from_seq}) {
       			if ($from_type == ICMP_ECHOREPLY) { 
				my $host = $queue{$from_seq};
				delete $queue{$from_seq};
				$consecFail{ $host } = 0;

				if($fail{$host}) {
					 #print "$host responding with $fail{$host} counters on record\n";
					$fail{$host} = $fail{$host} - 10 if $fail{$host};
				}
				elsif($fail{$host} le 0) {
					 #print "$host responding\n";
					$live{$host} = 1;
				        delete($fail{$host});
				}
			}
			elsif ($from_type == 3) {
				# print "$queue{$from_seq} unreachable (code $from_subcode) according to $from_ip\n";
			}
      		}
		elsif($sent{$from_seq} != $from_ip) {
			# print "Packet $seq went to $sent{$from_seq} but came back from $from_ip\n";
			delete $queue{$from_seq};
		}
		delete $sent{$from_seq};
	}
}

# report on hosts that didn't respond within the timeout period.
my @defunct;
foreach my $seq (keys %queue) { 
	my $host = $queue{$seq};
	$fail{ $host }++;
	$consecFail{ $host }++;
	#print time . " No response from $devices{$host}, $host: " . $consecFail{ $host } . '/' . $fail{$host} . "\n";
}

	sleep(5);

}

foreach my $host (keys %fail) {
	#print " No response from $devices{$host}, $host: " . $consecFail{ $host } . '/' . $fail{$host} . "\n";
        syslog 'info', "Failed to reach $devices{$host}, $host";
}

exit;

sub checksum {
  my ($msg) = @_;
  my ($len_msg,       # Length of the message
      $num_short,     # The number of short words in the message
      $short,         # One short word
      $chk            # The checksum
      );

  $len_msg = length($msg);
  $num_short = int($len_msg / 2);
  $chk = 0;
  foreach $short (unpack("n$num_short", $msg)) { $chk += $short; } # Add the odd byte in
  $chk += (unpack("C", substr($msg, $len_msg - 1, 1)) << 8) if $len_msg % 2;
  $chk = ($chk >> 16) + ($chk & 0xffff);      # Fold high into low
  return(~(($chk >> 16) + $chk) & 0xffff);    # Again and complement
}


sub open_dbh {
        my ($user, $password);
        if(@_) { ($user, $password) = @_; }
        else { $user="monolith"; $password='monolith'; }

        my $driver = "mysql";
        my $options="";
	my $dbh; 
        my $dsn = "DBI:$driver:database=Monolith;host=db-ms-01.phx2.llnw.net;port=3306:$options";
        if( $dbh = DBI->connect($dsn, $user, $password)) {
                #print STDERR "Database handle opened.\n" if ($debug);
        }
        else { die "Database open failed: $DBI::errstr\n"; }
        return($dbh);
}

