# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

# Note SSL configs are not included by default
# Please include sae-ep and sae-ep.ssl if required
include:
  - .packages
  - .configs
  - .traffic-modes
  - .optimized
  - .scripts
  - .squiddump
  - .killoldep
  - .repo
  - sae-xfer
  - syslog-conf
  - sae-ipgeo.ipacc-db
  - sae-ipgeo.geo-ipv6-db  

sae|ep|squid-user:
  group.present:
    - name: squid
    - gid: 3128
  user.present:
    - fullname: squid user
    - name: squid
    - shell: /sbin/nologin
    - home: /nonexistent
    - createhome: False
    - uid: 3128
    - gid: 3128
    - groups:
      - squid

# Do not include the cachedirs in the nightly locate db update cron
sae|ep|ep-locate.rc:
  file.managed:
    - name: /etc/locate.rc
    - source: salt://sae-ep/files/locate.rc
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644

{% for cachedir in range(0,12) %}
sae|ep|cache-dir-{{ cachedir }}:
  file.directory:
    - name: /d{{ cachedir }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - dir_mode: 755
{% endfor %}

sae|ep|sq-dir:
  file.directory:
    - name: /etc/sq
    - user: xfer
    - group: xfer
    - dir_mode: 775
    - require:
      - user: sae|xfer|user
      - group: sae|xfer|user

sae|ep|logs-dir:
  file.directory:
    - name: /logs
    - user: root
    - group: {{ defaults['root_group'] }}
    - dir_mode: 755

sae|ep|local-dir:
  file.directory:
    - name: /usr/local/squid
    - user: root
    - group: {{ defaults['root_group'] }}
    - dir_mode: 755

sae|ep|logs-symlink:
  file.symlink:
    - name: /usr/local/squid/logs
    - force: False
    - target: /logs/squid
    - require:
      - file: sae|ep|logs-dir
      - file: sae|ep|local-dir

sae|ep|squid-symlink:
  file.symlink:
    - name: /usr/local/bin/squid
    - force: False
    - target: /usr/local/squid/bin/squid
