# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{% load_yaml as force_cachepool_optimize_state %}
{% endload %}

{% load_yaml as force_optimize_state %}
cds123.foo.llnw.net: yes
cds789.bar.llnw.net: no
{% endload %}

{% set fqdn = salt['grains.get']('fqdn', '') %}
{% set cachepool = salt['grains.get']('cachepool', '') %}

{#
   If a host is specified in force_optimize_state, use that setting.
   If a cachepool is specified in force_cachepool_optimize_state, use that setting for that cachepool
   You can use an inverse setting for an fqdn in force_optimize_state to override a cachepool setting in force_cachepool_optimize_state
   Otherwise we will use the optimized build for anything non-specified
#}

{% if force_optimize_state and fqdn in force_optimize_state %}
{%   set optimized = force_optimize_state[fqdn] %}
{% elif force_cachepool_optimize_state and cachepool in force_cachepool_optimize_state %}
{%   set optimized = force_cachepool_optimize_state[cachepool] %}
{% else %}
{%   set optimized = True %}
{% endif %}

sae|ep|optimized:
  file.managed:
    - name: /etc/sq/optimized
    - user: root
    - group: {{ defaults['root_group'] }}
    - contents: |
{%- if optimized %}
        optimized
{%- else %}
        non-optimized
{%- endif %}
