# vim: sts=2 ts=2 sw=2 et ai

{% if grains['osmajorrelease']|int >= 11 %}

# Modern OS support, always with a correct pkg repo:

sae|ep|gcc-libs:
  pkg.installed:
    - name: gcc5-runtime-libs
    - unless: pkg info -e gcc5

{% elif grains['osmajorrelease']|int < 11 %}

# Legacy OS support:

sae|ep|gcc-libs:
  pkg.installed:
    - sources:
      - gcc48-runtime-libs: http://test.vo.llnwd.net/o1/fbsd/amd64/{{ grains['osmajorrelease'] }}/gcc48-runtime-libs-4.8.5.txz
    - unless: pkg info -e gcc48

{%   if 0 == salt['cmd.retcode']('test -e /usr/local/bin/perl5.24.1', output_loglevel='quiet') %}
{%     set perlver = 'perl524' %}
{%   elif 0 == salt['cmd.retcode']('test -e /usr/local/bin/perl5.20.3', output_loglevel='quiet') %}
{%     set perlver = 'perl520' %}
{%   elif 0 == salt['cmd.retcode']('test -e /usr/local/bin/perl5.18.4', output_loglevel='quiet') %}
{%     set perlver = 'perl518' %}
{%   else %}
{%     set perlver = 'unknown' %}
{%   endif %}

# Old llnw boxes need to downgrade, so they need a direct compare
{% if '-llnw' in grains['kernelrelease'] %}
  {% set gdbver = '7.9.1' %}
  {% set gdbcomp = '=' %}
{%- else -%}
  {% set gdbver = '7.11_2' %}
  {% set gdbcomp = '>=' %}
{%- endif %}

sae|ep|gdb:
  pkg.installed:
    - sources:
      - gdb: http://test.vo.llnwd.net/o1/fbsd/amd64/10/gdb-{{ gdbver }}.txz

sae|ep|gdb-old-remove:
  cmd.run:
    - name: /usr/sbin/pkg delete -y gdb; true
    - unless: /usr/sbin/pkg info -e "gdb{{ gdbcomp }}{{ gdbver }}"
    - require_in:
      - pkg: sae|ep|gdb

# edgeinfo now uses this for parsing of IPv6 addresses
sae|ep|p5-net-cidr:
  pkg.installed:
    - sources:
      - p5-Net-CIDR: http://test.vo.llnwd.net/o1/fbsd/amd64/{{ perlver }}/p5-Net-CIDR-0.18.txz
{% endif %}
