# vim: sts=2 ts=2 sw=2 et ai
# Dynamic is defined as the salt-states Vagrant setup or Singel
{% if grains['salt_states_vb'] is defined  or grains['singel'] is defined %}
{%   set l_env = 'dynamic' %}
{% else %}
{%   set l_env = salt['grains.get']('team_env', 'production') %}
{% endif %}

# address canary machines
{% set l_canary = 'normal' %}
{% if 'canary-ep' in salt['grains.get']('cornerstone:tags', {}) or 'ep-grant-canary-access' in salt['grains.get']('cornerstone:tags', {}) %}
{%   set l_canary = 'canary' %}
{% endif %}

include:
{% if l_env == 'qa' %}
  - ep-repo.qa-repo
  - ep-repo.dev-repo-remove
{% elif l_env == 'dynamic' or  l_env == 'dev' %}
  - ep-repo.dev-repo
{% elif l_env == 'lab' or l_env == 'staging' %}
  - ep-repo.staging-repo
  - ep-repo.dev-repo-remove
{% else %}
  - ep-repo.production-repo
  - ep-repo.dev-repo-remove
{% endif %}
{% if l_canary == 'canary' %}
  - ep-repo.canary-repo
{% else %}
  - ep-repo.canary-repo-remove
{% endif %}

