# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - sae-ep.squiddump.fbsd12.lastrites.saltycron

sae|cds|squiddump|config:
  file.managed:
    - name: /usr/local/etc/squid_dump.json
    - source: salt://sae-ep/squiddump/fbsd12/files/squid_dump.json
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 640

sae|cds|squiddump|script:
  file.managed:
    - name: /usr/local/bin/squid_dump.pl
    - source: salt://sae-ep/squiddump/fbsd12/files/squid_dump.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|cds|squiddump|cron:
  cron.present:
    - name: /usr/local/bin/squid_dump.pl 2>&1 >/dev/null
    - identifier: cds-squiddump-cron
    - user: root
    - minute: '*/5'
    - require:
      - file: sae|cds|squiddump|config
      - file: sae|cds|squiddump|script
    - require_in:
      - file: sae|cds|squiddump|fbsd12|lastrites|saltycron
