# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{% set _disks = salt['grains.get']('disks') %}
{% if _disks is mapping and _disks|length > 0 %}
{%   set _lastdisk = _disks.popitem()[-1] %}
{% else %}
{%   set _lastdisk = {'device_model':''} %}
{% endif %}

{% load_yaml as _kvs %}
cp: 'cachepool:{{ salt['grains.get']('cachepool') }}'
dc: 'dc:{{ salt['grains.get']('cornerstone:building_name_short') }}'
mt: 'machine.type:{{ salt['grains.get']('cornerstone:hardware_name') }}'
dm: 'disk.model:{{ _lastdisk.get("device_model") }}'
{% endload %}

{% if 'cachepool' in grains %}
{%   set coresnap_statickvs = [_kvs['cp'], _kvs['dc'], _kvs['mt'], _kvs['dm']]|join(',') %}
{% else %}
{%   set coresnap_statickvs = [_kvs['dc'], _kvs['mt'], _kvs['dm']]|join(',') %}
{% endif %}

sae|cds|squiddump|config:
  file.managed:
    - name: /usr/local/etc/squid_dump.json
    - source: salt://sae-ep/squiddump/ubuntu20/files/squid_dump.json
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 640

sae|cds|squiddump|script:
  file.managed:
    - name: /usr/local/bin/squid_dump.pl
    - source: salt://sae-ep/squiddump/ubuntu20/files/squid_dump.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|cds|squiddump|process:
  file.managed:
    - name: /usr/local/bin/process_core_dump.pl
    - source: salt://sae-ep/squiddump/ubuntu20/files/process_core_dump.pl.jinja
    - template: jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - defaults:
        coresnap_stkvs: {{ coresnap_statickvs }}
