# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{% set tm_dir = "/etc/sq/traffic-modes" %}
{% load_yaml as tm_filenames %}
- "valid_modes"
- "normal.ep1.conf"
- "normal.ep2.conf"
- "hard-drain.ep1.conf"
- "hard-drain.ep2.conf"
- "soft-drain.ep1.conf"
- "soft-drain.ep2.conf"
- "soft-fill.ep1.conf"
- "soft-fill.ep2.conf"
{% endload %}

sae|ep|traffic-modes|dir:
  file.directory:
    - name: {{ tm_dir }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - dir_mode: "755"

{% for filename in tm_filenames %}
sae|ep|traffic-modes|file|{{ filename }}:
  file.managed:
    - name: {{ tm_dir }}/{{ filename }}
    - source: salt://sae-ep/files/{{ filename }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: "644"
    - require:
      - file: sae|ep|traffic-modes|dir
{% endfor %}
