{% from 'sae-eqagent/map.jinja' import defaults with context %}

sae|eqagent|billing|config:
  file.managed:
    - name: {{ defaults['path'] }}/{{ defaults['billing_config'] }}
    - template: jinja
    - source: salt://sae-eqagent/templates/edgequery_conf.jinja
    - defaults:
        service: eqbilling
        sls_id: sae|eqagent|billing|config
        webadmin:
          port: 30510
        amqp:
{# Limiting production config to hosts actually being in production #}
{# Host must be in status "In Service - Production" and #}
{# also not be part of the dynamic or dev team environments #}
{% if (salt['grains.get']('cornerstone:status')|int == 100) and
      (salt['grains.get']('team_env', '') not in ['dev', 'dynamic']) %}
          host: eq-billing.mq.lldns.net
          user: eq_billing
          password: {{ salt['pillar.get']('secrets:sae-eqagent:eq_mq_password') }}
          vhost: /eq_billing
{% else %}
          host: edge-query-qa.mq.lldns.net
          port: 5672
          user: eq_stg3
          password: stg3
          vhost: /eq_stg3
          {% if "eq_publish_to_stg" not in salt['grains.get']('cornerstone:tags', {}) %}
        qa:
          # Pretend to be publishing, but actually not.
          debug-do-not-publish: on
          {% endif %}
{% endif %}
