{% from 'sae-eqagent/map.jinja' import defaults, oscodename with context %}

{% if grains['os'] == 'Ubuntu' %}
{%     if oscodename == 'xenial' %}

sae|eqagent|billing|service:
  file.managed:
    - name: /etc/systemd/system/eqbilling.service
    - source: salt://sae-eqagent/eqagent.service
    - template: jinja
    - instance: Billing
    - process_name: eqbilling
    - config_file: {{ defaults['path'] }}/{{ defaults['billing_config'] }}
    - user: root
    - group: root
    - mode: 664

sae|eqagent|billing|reload-systemd:
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: sae|eqagent|billing|service

sae|eqagent|billing|restart:
  service.running:
    - enable: True
    - name: eqbilling.service
    - watch:
      - module: sae|eqagent|billing|reload-systemd
      - file: sae|eqagent|billing|config
{%    else %}

sae|eqagent|billing|init:
  file.symlink:
    - name: /etc/init.d/eqbilling
    - target: /usr/local/etc/init.d/eqbilling
    - require_in:
      - service: sae|eqagent|billing|restart

{%     endif %}
{% endif %}

{% if oscodename != 'xenial' %}

sae|eqagent|billing|restart:
  service.running:
    - name: eqbilling
    - enable: True
    - watch:
      - file: sae|eqagent|billing|config

{% endif %}
