{% from 'sae-eqagent/map.jinja' import defaults with context %}

sae|eqagent|reporting|config:
  file.managed:
    - name: {{ defaults['path'] }}/{{ defaults['reporting_config'] }}
    - template: jinja
    - source: salt://sae-eqagent/templates/edgequery_conf.jinja
    - defaults:
        service: edgequeryd
        sls_id: sae|eqagent|reporting|config
        webadmin:
          port: 30520
        amqp:
{# Limiting production config to hosts that are actually in production #}
{# Host must be in status "In Service - Production" and #}
{# also not be part of the dynamic or dev team environments #}
{% if (salt['grains.get']('cornerstone:status')|int == 100) and
      (salt['grains.get']('team_env', '') not in ['dev', 'dynamic']) %}
          host: eq-reporting.mq.lldns.net
          user: edge_query
          password: {{ salt['pillar.get']('secrets:sae-eqagent:eq_mq_password') }}
          vhost: /edge_query
{% else %}
          host: edge-query-qa.mq.lldns.net
          port: 5672
          user: eq_stg1
          password: stg1
          vhost: /eq_stg1
          {% if "eq_publish_to_stg" not in salt['grains.get']('cornerstone:tags', {}) %}
        qa:
          # Pretend to be publishing, but actually not.
          debug-do-not-publish: on
          {% endif %}
{% endif %}
