{% from 'sae-eqagent/map.jinja' import defaults, oscodename with context %}

{% if grains['os'] == 'Ubuntu' %}
{%     if oscodename == 'xenial' %}

sae|eqagent|reporting|service:
  file.managed:
    - name: /etc/systemd/system/edgequeryd.service
    - source: salt://sae-eqagent/eqagent.service
    - template: jinja
    - instance: Reporting
    - process_name: edgequeryd
    - config_file: {{ defaults['path'] }}/{{ defaults['reporting_config'] }}
    - user: root
    - group: root
    - mode: 664

sae|eqagent|reporting|reload-systemd:
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: sae|eqagent|reporting|service

sae|eqagent|reporting|restart:
  service.running:
    - enable: True
    - name: edgequeryd.service
    - watch:
      - module: sae|eqagent|reporting|reload-systemd
      - file: sae|eqagent|reporting|config
{%     else %}

sae|eqagent|reporting|init:
  file.symlink:
    - name: /etc/init.d/edgequeryd
    - target: /usr/local/etc/init.d/edgequeryd
    - require_in:
      - service: sae|eqagent|reporting|restart

{%     endif %}
{% endif %}

{% if oscodename != 'xenial' %}

sae|eqagent|reporting|restart:
  service.running:
    - name: edgequeryd
    - enable: True
    - watch:
       - file: sae|eqagent|reporting|config

{% endif %}