{% from 'sae-eqagent/map.jinja' import defaults with context %}

sae|eqagent|rldp|config:
  file.managed:
    - name: {{ defaults['path'] }}/{{ defaults['rldp_config'] }}
    - template: jinja
    - source: salt://sae-eqagent/templates/edgequery_conf.jinja
    - defaults:
        service: eqrldp
        sls_id: sae|eqagent|rldp|config
        webadmin:
          port: 30530
        amqp:
{# Limiting production config to hosts that are actually in production #}
{# Host must be in status "In Service - Production" and #}
{# also not be part of the dynamic or dev team environments #}
{% if (salt['grains.get']('cornerstone:status')|int == 100) and
      (salt['grains.get']('team_env', '') not in ['dev', 'dynamic']) %}
          host: eq-reporting.mq.lldns.net
          user: edge_query
          password: {{ salt['pillar.get']('secrets:sae-eqagent:eq_mq_password') }}
          vhost: /eq_rldp
          heartbeat-interval: 660
{% else %}
          host: edge-query-qa.mq.lldns.net
          port: 5672
          user: eq_rldp
          password: 96A9UmFL
          vhost: /eq_rldp
          heartbeat-interval: 660
          {% if "eq_publish_to_stg" not in salt['grains.get']('cornerstone:tags', {}) %}
        qa:
          # Pretend to be publishing, but actually not.
          debug-do-not-publish: on
          {% endif %}
{% endif %}
