{% set rollout_version = '.'.join(sls.split('_')[1].split('-')) %}

{% if rollout_version == 'rollback' %}
{%    set rollout_version = salt['grains.get']('apps:eqagent:rollback') %}
{% endif %}

{% from 'sae-eqagent/map.jinja' import defaults, eqagent_default with context %}

{% from "zabbix/squelch.sls" import zabbix_squelch %}

{% if not salt['grains.get']('salt_states_vb', False) %}
  {{ zabbix_squelch('EdgeQuery', 'packages upgrade started') }}
{% endif %}

{# just make sure if we have them up/boot stop them #}
sae|eqagent|services-stop:
  cmd.run:
    - name: service eqbilling stop; service edgequeryd stop; service eqrldp stop; exit 0
    - timeout: 300

{% include "sae-eqagent/packages.sls" %}

{% include "sae-eqagent/check-online.sls" %}

{% if not salt['grains.get']('salt_states_vb', False) %}
  {{ zabbix_squelch('EdgeQuery', 'packages upgrade finished', 'del') }}
{% endif %}
