{% from slspath ~ '/map.jinja' import defaults with context %}

{% set oscodename = salt['grains.get']('oscodename', '') %}

# This sls is temporarily created for integration purpose of 3 RLDP agent
# Wont remove pkgs, repo, logs - That's because another instances (billing & reporting) must be untouched 
# Wont remove checkpoint, snap files - In case if RLDP Agent will be started again on the host 
#   we need to have previous state saved to omit data duplication 

# Removal on Ubuntu Hosts
{% if salt['grains.get']('os', '') in ['Ubuntu'] %}
sae|eqagent|stop:
  service.dead:
    - names:
      - eqrldp

sae|eqagent|uninit:
  file.absent:
    - names:
      - /etc/init.d/eqrldp
      - /etc/systemd/system/eqrldp.service
    - require:
      - service: sae|eqagent|stop

{% if salt['test.provider']('service') == 'systemd' %}
sae|eqagent|systemctl-reload:
  module.run:
    - name: service.systemctl_reload
    - require:
      - file: sae|eqagent|uninit
{% endif %}

sae|eqagent|unconfig:
  file.absent:
    - names:
      - {{defaults['path']}}/edgequery-rldp.conf
    - require:
      - file: sae|eqagent|uninit

{% endif %}

# Removal on FreeBSD Hosts
{% if salt['grains.get']('os', '') == 'FreeBSD' %}
sae|eqagent-freebsd|stop:
  service.dead:
    - names:
      - eqrldp

sae|eqagent-freebsd|uninit:
  file.absent:
    - names:
      - /usr/local/etc/rc.d/eqrldp
    - require:
      - service: sae|eqagent-freebsd|stop

sae|eqagent-freebsd|unconfig:
  file.absent:
    - names:
      - {{defaults['path']}}/edgequery-rldp.conf
    - require:
      - file: sae|eqagent-freebsd|uninit

{% endif %}
