{% from slspath ~ "/map.jinja" import gr with context %}

include:
  - apache2
  - .server

sae|gridconfig|v|broker|gridconfig-conf:
  file.managed:
    - name: /etc/llnw/gridconfig.yml
    - source: salt://{{slspath}}/files/gridconfig.yml
    - template: jinja
    - makedirs: True
    - require:
      - pkg: sae|gridconfig|v|server|pkgs
    - watch_in:
      - service: core|apache2|service
    - context:
        cfg: {{ gr.broker }}
        ex_durable: 1
        q_auto_delete: 0
        q_durable: 1
        q_exclusive: 0
        q_passive: 0

sae|gridconfig|v|broker|copilot-conf:
  file.managed:
    - name: /etc/llnw/copilot.yml
    - source: salt://{{slspath}}/files/copilot.yml
    - template: jinja
    - makedirs: True
    - require:
      - pkg: sae|gridconfig|v|server|pkgs
    - context:
        cfg: {{ gr.broker }}

sae|gridconfig|v|broker|gitremote:
  cmd.wait:
    - name: /usr/local/gridconfig/bin/gridtool setsuper "{{ gr.superbroker.host }}"
    - watch:
      - file: sae|gridconfig|v|broker|gridconfig-conf
