# vim: sts=2 ts=2 sw=2 et ai

# NOTE: This state is intended to be used *only* for dynamic test environments.

{%- from "pepper/map.jinja" import netblocks %}

include:
  - firewall.standard

sae|gridconfig|v|mongodb|firewall:
  firewall.accept:
    - tcp:
      - [ 27017, {{ netblocks }} ]
    - require_in:
      - firewall: core|firewall|final-reject

sae|gridconfig|v|mongodb|repo:
  pkgrepo.managed:
    - name: deb [ arch=amd64 ] http://llnwsae.vo.llnwd.net/v1/packages/mirrors/daily-update/debian/repo.mongodb.org/apt/ubuntu {{ grains['oscodename'] }}/mongodb-org/3.2 multiverse
    - file: /etc/apt/sources.list.d/mongodb-org-3.2.list
    - key_url: http://llnwsae.vo.llnwd.net/v1/packages/mirrors/daily-update/debian/repo.mongodb.org/server-3.2.asc

sae|gridconfig|v|mongodb|pkg:
  pkg.installed:
    - name: mongodb-org
    - version: 3.2.16
    - require:
      - sae|gridconfig|v|mongodb|repo

sae|gridconfig|v|mongodb|service:
  service.running:
    - name: mongod
    - require:
      - sae|gridconfig|v|mongodb|pkg

## pymongo is required for the mongodb_user states
#sae|gridconfig|v|mongodb|pymongo:
#  pkg.installed:
#    - name: python-pymongo
#
# This did not set the password for some reason, plus docs say it takes 'roles'
# but there were warnings about that being an unknown parameter.
#sae|gridconfig|v|mongodb|dbuser:
#  mongodb_user.present:
#    - name: copilot
#    - passwd: {{ salt['pillar.get']('secrets:gridconfig:mongodb-passwd')|json }}
#    - database: gridconfig
#    - roles:
#      - dbOwner

# since mongodb_user.present had issues, just do it manually
sae|gridconfig|v|mongodb|dbuser:
  cmd.run:
    - name: mongo gridconfig --eval 'db.createUser({"user":"copilot","pwd":{{ salt['pillar.get']('secrets:gridconfig:mongodb-passwd')|json }},"roles":["dbOwner"]})'
    - unless: mongo gridconfig --eval 'db.getUser("copilot") || quit(1)'

sae|gridconfig|v|mongodb|config|listen:
  file.line:
    - name: /etc/mongod.conf
    - match: bindIp
    - mode: replace
    - content: "  bindIp: 0.0.0.0"
    - watch_in:
      - sae|gridconfig|v|mongodb|service
