{% from slspath ~ "/map.jinja" import gr with context %}

include:
  - apache2
  - .server

sae|gridconfig|v|broker|gridconfig-conf:
  file.managed:
    - name: /etc/llnw/gridconfig.yml
    - source: salt://{{slspath}}/files/gridconfig.yml
    - template: jinja
    - makedirs: True
    - require:
      - pkg: sae|gridconfig|v|server|pkgs
    - watch_in:
      - service: core|apache2|service
    - context:
        cfg: {{ gr.broker }}

sae|gridconfig|v|broker|gitremote:
  cmd.wait:
    - name: /usr/local/gridconfig/bin/gridtool setsuper "{{ gr.superbroker.host }}"
    - watch:
      - file: sae|gridconfig|v|broker|gridconfig-conf

# NOTE: The below states kill off copilotd, unsymlinks its run config from
#       /etc/service so it will not be restarted, and cleans up its config
#       file. This service is intended only to be run on the superbroker.

sae|gridconfig|v|broker|cleanup-copilot-service:
  service.dead:
    - name: copilotd
    - provider: runit
    - enable: False
    - require:
      - sae|gridconfig|v|server|pkgs

sae|gridconfig|v|broker|cleanup-copilot-run:
  file.absent:
    - name: /etc/service/copilotd
    - require:
      - sae|gridconfig|v|broker|cleanup-copilot-service

sae|gridconfig|v|broker|cleanup-copilot-conf:
  file.absent:
    - name: /etc/llnw/copilot.yml
    - require:
      - sae|gridconfig|v|broker|cleanup-copilot-service
