{% from "pepper/map.jinja" import netblocks %}

{% set repo_env = salt['grains.filter_by']({
  'dev': "testing",
  'qa': "testing",
  'production': "production"
}, grain='team_env', default='production') %}
{% set repo_oscodename = "bionic" %}
{% set version = "2.0.0-63" %}

sae|healthd|v|loris-repo:
  pkgrepo.managed:
    - name: deb [ trusted=yes ] http://repo.llnw.net/llnw/ubuntu/{{ repo_env }}/loris/ {{ repo_oscodename }}/
    - file: /etc/apt/sources.list.d/llnw.loris.{{ repo_oscodename }}.list

sae|healthd|v|pkg:
  pkg.installed:
    - name: healthd
    - version: {{ version }}
    - require:
      - sae|healthd|v|loris-repo

sae|healthd|v|conf:
  file.managed:
    - name: /etc/healthd.toml
    - source: salt://{{ slspath }}/files/healthd.toml
    - user: healthd
    - group: healthd
    - mode: 644
    - require:
      - sae|healthd|v|pkg
    - watch_in:
      - service: sae|healthd|v|svc

sae|healthd|v|svc:
  service.running:
    - name: healthd
    - enable: True
    - require:
      - sae|healthd|v|conf

sae|healthd|v|firewall:
  firewall.accept:
    - tcp:
      - [ 10899, {{ netblocks }}]
    - require_in:
      - firewall: core|firewall|final-reject
