{%- from slspath ~ "/map.jinja" import version with context %}

include:
  - syslog-conf
  - sae-dns100.hosts ## Managed host entries to fix PTRs ia0004229

sae|healthd|v|pkgrepo:
  file.managed:
    - name: /usr/local/etc/pkg/repos/healthd.conf
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True
    - contents: |
        Healthd:{
          url: "http://images.llnw.net/fbsd/amd64/healthd/${ABI}",
          mirror_type: "HTTP",
          enabled: true
        }

sae|healthd|v|pkg:
  pkg.installed:
    - name: llnw-geo-healthd
    - version: {{ version }}
    - require:
      - sae|healthd|v|pkgrepo

sae|healthd|v|conf:
  file.managed:
    - name: /etc/healthd.conf
    - source: salt://{{ slspath }}/files/healthd.conf
    - user: root
    - group: wheel
    - mode: 644
    - require:
      - sae|healthd|v|pkg

sae|healthd|v|svc:
  service.running:
    - name: healthd
    - enable: True
    - require:
      - sae|healthd|v|conf

sae|healthd|v|syslog-ng:
  file.append:
    - name: /usr/local/etc/syslog-ng.conf
    - source: salt://{{ slspath }}/files/syslog-ng.conf
    - require:
      - file: core|syslog-conf|freebsd-syslog-ngconf
    - watch_in:
      - service: core|syslog-ng|service

sae|healthd|v|newsyslog:
  file.append:
    - name: /etc/newsyslog.conf
    - text:
      - '/var/log/healthd			644  9	   1000	*     C'
    - watch_in:
      - service: core|syslog-ng|service
