# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{% set ics_version = '1.5.7llnw3.3.2.1' %}

# We need the EXACT version in case of downgrade
{% set comp_op = '=' %}

include:
  - .common
  - apache2
  - apache2.acl

sae|ics|mp4split-remove:
 cmd.run:
   - name: /usr/sbin/pkg delete -fy mp4split; pkg add http://test.vo.llnwd.net/o1/fbsd/amd64/10/mp4split-{{ ics_version }}.txz
   - unless: /usr/sbin/pkg info -e "mp4split{{ comp_op }}{{ ics_version }}"
   - require_in:
     - cmd: sae|ics|mod_smooth_streaming-remove

sae|ics|mod_smooth_streaming-remove:
 cmd.run:
   - name: /usr/sbin/pkg delete -fy mod_smooth_streaming; pkg add http://test.vo.llnwd.net/o1/fbsd/amd64/10/mod_smooth_streaming-{{ ics_version }}.txz
   - unless: /usr/sbin/pkg info -e "mod_smooth_streaming{{ comp_op }}{{ ics_version }}"
   - require_in:
     - pkg: sae|ics|mod_smooth_streaming

sae|ics|mod_smooth_streaming:
  pkg.installed:
    - sources:
      - mod_smooth_streaming: http://test.vo.llnwd.net/o1/fbsd/amd64/10/mod_smooth_streaming-{{ ics_version }}.txz
    - require:
      - pkg: core|apache2|pkg
      - pkg: sae|ics|mp4split

sae|ics|mp4split:
  pkg.installed:
    - sources:
      - mp4split: http://test.vo.llnwd.net/o1/fbsd/amd64/10/mp4split-{{ ics_version }}.txz

sae|ics|apache24_httpd_conf:
  file.managed:
    - name: /usr/local/etc/apache24/httpd.conf
    - source: salt://{{ slspath }}/files/apache24_httpd.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - makedirs: True
    - dir_mode: 755
    - onchanges_in:
      - cmd: sae|ics|apache24-reload
      - cmd: sae|ics|apache24-checkconfigs
    - require:
      - file: core|apache2|acl-apache
      - pkg: core|apache2|pkg
    - require_in:
      - service: core|apache2|service

sae|ics|apache24_mfs_vod_conf:
  file.managed:
    - name: /usr/local/etc/apache24/Includes/mfs_vod.conf
    - source: salt://{{ slspath }}/files/mfs_vod.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - template: jinja
    - makedirs: True
    - dir_mode: 755
    - onchanges_in:
      - cmd: sae|ics|apache24-reload
      - cmd: sae|ics|apache24-checkconfigs
    - require:
      - pkg: sae|ics|mod_smooth_streaming
      - pkg: sae|ics|mp4split
      - pkg: core|apache2|pkg
      - file: sae|ics|apache24_httpd_conf
    - require_in:
      - service: core|apache2|service

sae|ics|apache24-logs:
  file.directory:
    - name: /logs/apache24/old
    - dir_mode: 755
    - user: root
    - group: {{ defaults['root_group'] }}
    - makedirs: True

sae|ics|apache24-checkconfigs:
  cmd.run:
    - name: /usr/local/sbin/apachectl -t

sae|ics|apache24-check-mpm-event:
  cmd.run: 
    - name: service apache24 restart
    - unless: "curl http://localhost/server-status -o - -s | grep -c 'Server MPM: event'"
    - require:
      - pkg: core|apache2|pkg
      - file: sae|ics|apache24_mfs_vod_conf
      - file: sae|ics|apache24_httpd_conf
      - file: sae|ics|apache24-logs
      - cmd: sae|ics|apache24-checkconfigs
      - service: sae|ics|apache24-service-enabled

sae|ics|apache24-reload:
  cmd.run:
    - name: service apache24 reload
    - require:
      - cmd: sae|ics|apache24-checkconfigs
      - service: sae|ics|apache24-service-enabled
      - service: core|apache2|service

sae|ics|apache24-service-enabled:
  service.enabled:
    - name: apache24

sae|ics|apache24-415-error-document:
  file.managed:
    - name: /usr/local/www/mfs/415
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - makedirs: True
    - dir_mode: 755
    - require_in:
      - service: core|apache2|service   

sae|ics|apache24-416-error-document:
  file.managed:
    - name: /usr/local/www/mfs/416
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - makedirs: True
    - dir_mode: 755
    - require_in:
      - service: core|apache2|service      
