{% import_yaml slspath ~ "/files/edgequery_conf.yaml" as eq_conf %}
{% import_yaml slspath ~ "/files/edgequery-billing_conf.yaml" as eqbilling_conf %}

{% set rollout_state = sls.split('_')[1] %}

{% if rollout_state is defined and rollout_state == 'rollback' %}
{%   set eqagent_ver = salt['grains.get']('apps:eqagent:rollback') %}
{% elif rollout_state is defined %}
{%   set eqagent_ver = '.'.join(rollout_state.split('-')) %}
{% else %}
{%   from "sae-eqagent/packages.sls" import eqagent_ver with context -%}
{% endif %}

{% set oscodename = salt['grains.get']('oscodename', '') %}

include:
  - .ipgeo-prereqs
  - sae-ipgeo.next-asn-db
  - sae-ipgeo.geo-ipv6-db
{% if rollout_state is not defined %}
  - sae-eqagent
{% else %}
  - sae-eqagent.rollout_{{rollout_state}}
  - sae-eqagent.reporting-config
  - sae-eqagent.reporting-service
  - sae-eqagent.billing-config
  - sae-eqagent.billing-service
{% endif %}

extend:
  sae|eqagent|reporting|config:
    file.managed:
      - context:
          eqagent_ver: {{eqagent_ver}}
          service: edgequeryd
          engine: {{ eq_conf.engine }}
  sae|eqagent|billing|config:
    file.managed:
      - context:
          eqagent_ver: {{eqagent_ver}}
          service: eqbilling
          engine: {{ eqbilling_conf.engine }}
          logging: {{ eqbilling_conf.logging }}
          daemon: {{ eqbilling_conf.daemon }}
