{% from slspath ~ "/map_current-2.jinja" import mss_pkg_name,mp4split_pkg_name,pkg_version,mss_llnw_url,mp4split_llnw_url with context %}

{% set jail_name = "ics10" %}

include:
  - .upgrade-2

sae|ics|packages-2|jail-pkg:
  cmd.run:
    - name: 'pkg -j {{ jail_name }} install -y pkg'
    - require:
      - cmd: sae|ics|packages-2|jail-repos

sae|ics|packages-2|jail-repos:
  cmd.run:
    - name: 'mkdir -p /ics10/usr/local/etc/pkg/repos; cp -r /usr/local/etc/pkg/repos/* /ics10/usr/local/etc/pkg/repos'
    - require:
      - cmd: sae|ics|jail|start

sae|ics|packages-2|install-deps:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} install -y apache24 curl openssl sqlite3
    - require:
      - cmd: sae|ics|packages-2|create|etc_resolv_conf
      - cmd: sae|ics|jail|start
      - cmd: sae|ics|packages-2|jail-pkg

sae|ics|packages-2|install-mp4split:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} delete -fy {{ mp4split_pkg_name }}; /usr/sbin/pkg -j {{ jail_name }} add "{{ mp4split_llnw_url }}"
    - unless: /usr/sbin/pkg -j {{ jail_name }} info -D "{{ mp4split_pkg_name }}>={{ pkg_version }}"
    - require:
      - sae|ics|packages-2|install-deps

sae|ics|packages-2|install-mod_smooth_streaming:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} delete -fy {{ mss_pkg_name }}; /usr/sbin/pkg -j {{ jail_name }} add "{{ mss_llnw_url }}"
    - unless: /usr/sbin/pkg -j {{ jail_name }} info -D "{{ mss_pkg_name }}>={{ pkg_version }}"
    - require:
      - sae|ics|packages-2|install-deps
      - sae|ics|packages-2|install-mp4split
    - onchanges_in:
      - cmd: sae|ics|upgrade-2-testconfig
      - cmd: sae|ics|upgrade-2-graceful

sae|ics|packages-2|create|etc_resolv_conf:
  cmd.run:
    - name: 'cp /etc/resolv.conf /{{ jail_name }}/etc/'
    - unless:
      - ls /{{ jail_name }}/etc/resolv.conf
