# vim: sts=2 ts=2 sw=2 et ai

{% macro sysctlics(name, sysctl, value) %}
sae-ics|sysctl|sysctl-{{ name }}:
  sysctl.present:
    - name: {{ sysctl }}
    - value: {{ value }}
    - config: /etc/sysctl.conf
{%- endmacro %}

{{ sysctlics('vfs-read-max', 'vfs.read_max', 32) }}
{{ sysctlics('kern-sugid-coredump', 'kern.sugid_coredump', 1) }}
{{ sysctlics('net-inet-tcp-recvbuf-auto', 'net.inet.tcp.recvbuf_auto', 1) }}
{{ sysctlics('net-inet-tcp-sendbuf-auto', 'net.inet.tcp.sendbuf_auto', 1) }}
{{ sysctlics('net-inet-tcp-recvspace', 'net.inet.tcp.recvspace', 200000) }}
{{ sysctlics('net-inet-tcp-sendspace', 'net.inet.tcp.sendspace', 200000) }}
{{ sysctlics('net-inet-tcp-recvbuf-max', 'net.inet.tcp.recvbuf_max', 4194304) }}
{{ sysctlics('net-inet-tcp-sendbuf-max', 'net.inet.tcp.sendbuf_max', 4194304) }}
{{ sysctlics('net-inet-tcp-delayed-ack', 'net.inet.tcp.delayed_ack', 0) }}
{{ sysctlics('net-inet-tcp-keepidle', 'net.inet.tcp.keepidle', 75000) }}
{{ sysctlics('kern-cam-da-retry-count', 'kern.cam.da.retry_count', 2) }}
{{ sysctlics('net-inet-tcp-rfc3390', 'net.inet.tcp.rfc3390', 0) }}
{{ sysctlics('hw-intr-storm-threshold', 'hw.intr_storm_threshold', 30000) }}
