# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-logpusher.fbsd
  - crontab

sae|ics|logpusher:
  file.managed:
    - name: /etc/logpusher.conf
    - follow_symlinks: False
    - require:
      - file: sae|logpusher|sym-clean
    - contents: |
        log /logs/squid/ics_access*.log bzip2 flock oldtime 60s olddir /logs/squid/old type ics compresslevel 1
        log /logs/squid/sqstats*.log bzip2 flock oldtime 60s olddir /logs/squid/old type perf compresslevel 1 flushtime 5m
        log /logs/apache24/*access*.log bzip2 flock oldtime 1500m olddir /logs/apache24/old type apache
        oldFilesInterval 5000
        moreFilesInterval 30

sae|ics|logpusher|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
         30 * * * * root find /logs/*/old -type f -mtime +2 -exec rm {} \;
         31 * * * * root find /logs/apache24/ -name mfs-\*.log -type f -mtime +3 -exec rm -f {} \;
    - require:
      - file: sae|ics|logpusher
    - require_in:
      - file: core|crontab|base
