# vim: sts=2 ts=2 sw=2 et ai

sae|ics|crossdomain_xml:
  file.managed:
    - name: /usr/local/www/mfs/crossdomain.xml
    - source: salt://{{ slspath }}/files/crossdomain.xml
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|clientaccesspolicy_xml:
  file.managed:
    - name: /usr/local/www/mfs/clientaccesspolicy.xml
    - source: salt://{{ slspath }}/files/clientaccesspolicy.xml
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|952100bad8d1486ca7f5fee26ee5927d_ismv:
  file.managed:
    - name: /usr/local/www/mfs/952100bad8d1486ca7f5fee26ee5927d.ismv
    - source: http://test.vo.llnwd.net/o1/952100bad8d1486ca7f5fee26ee5927d.ismv
    - source_hash: http://test.vo.llnwd.net/o1/952100bad8d1486ca7f5fee26ee5927d.ismv.md5
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|atombomb_512k_ism:
  file.managed:
    - name: /usr/local/www/mfs/atombomb_512kb.ism
    - source: http://test.vo.llnwd.net/o1/atombomb_512kb.ism
    - source_hash: http://test.vo.llnwd.net/o1/atombomb_512kb.ism.md5
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|gdbm:
  pkg.installed:
    - sources:
      - gdbm: http://test.vo.llnwd.net/o1/fbsd/amd64/10/gdbm-1.11_2.txz

sae|ics|db5:
  pkg.installed:
    - sources:
      - db5: http://test.vo.llnwd.net/o1/fbsd/amd64/10/db5-5.3.28_2.txz

sae|ics|expat:
  pkg.installed:
    - sources:
      - expat: http://test.vo.llnwd.net/o1/fbsd/amd64/10/expat-2.1.0_2.txz

sae|ics|apr:
  pkg.installed:
    - sources:
      - apr: http://test.vo.llnwd.net/o1/fbsd/amd64/10/apr-1.5.2.1.5.4.txz
    - require: 
      - pkg: sae|ics|gdbm
      - pkg: sae|ics|db5
      - pkg: sae|ics|expat

sae|ics|sqlite3:
  pkg.installed:
    - sources:
      - sqlite3: http://test.vo.llnwd.net/o1/fbsd/amd64/10/sqlite3-3.8.10.2.txz

sae|ics|hosts:
  file.managed:
    - name: /etc/hosts
    - source: salt://{{ slspath }}/files/hosts
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: False

sae|ics|hosts_jls:
  file.managed:
    - name: /ics10/etc/hosts
    - source: salt://{{ slspath }}/files/hosts.jls
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: False
