{% from slspath ~ "/map_current-2.jinja" import mss_pkg_name,mp4split_pkg_name,pkg_version,mss_llnw_url,mp4split_llnw_url with context %}

{% set jail_name = "ics10" %}

include:
  - .upgrade-2

sae|ics|packages-2|install-deps:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} install -fy pcre apr apache24 openssl curl
    - unless: /usr/sbin/pkg -j {{ jail_name }} info pcre apr apache24 openssl curl

sae|ics|packages-2|install-mp4split:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} delete -fy {{ mp4split_pkg_name }}; /usr/sbin/pkg -j {{ jail_name }} add "{{ mp4split_llnw_url }}"
    - unless: /usr/sbin/pkg -j {{ jail_name }} info -e "{{ mp4split_pkg_name }}>={{ pkg_version }}"
    - require:
      - sae|ics|packages-2|install-deps

sae|ics|packages-2|install-mod_smooth_streaming:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} delete -fy {{ mss_pkg_name }}; /usr/sbin/pkg -j {{ jail_name }} add "{{ mss_llnw_url }}"
    - unless: /usr/sbin/pkg -j {{ jail_name }} info -e "{{ mss_pkg_name }}>={{ pkg_version }}"
    - require:
      - sae|ics|packages-2|install-deps
      - sae|ics|packages-2|install-mp4split
    - onchanges_in:
      - cmd: sae|ics|upgrade-2-testconfig
      - cmd: sae|ics|upgrade-2-graceful

sae|ics|packages-2|create|etc_resolv_conf:
  cmd.run:
    - name: 'cp /etc/resolv.conf /{{ jail_name }}/etc/'
    - unless:
      - ls /{{ jail_name }}/etc/resolv.conf
