# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|ipgeo|ipwhitelistwget|script:
  file.managed:
    - name: /usr/local/bin/ipwhitelistwget.sh
    - source: salt://sae-ipgeo/ipwhitelistwget/files/ipwhitelistwget.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|ipgeo|ipwhitelistwget|cron:
  cron.present:
    - name: /usr/bin/lockf -s -t 0 /var/run/ipwhitelistwget.lock /usr/local/bin/ipwhitelistwget.sh 2>&1 >/dev/null
    - identifier: ipgeo-ipwhitelistwget-cron
    - user: root
    - minute: '*/15'
    - require:
      - file: sae|ipgeo|ipwhitelistwget|script
      - file: sae|ipgeo|db_dir

sae|ipgeo|ipwhitelistwget|cron_remove:
  cron.absent:
    - name: /usr/bin/lockf -s -t 0 /var/run/ipwhitelistwget.lock /usr/local/bin/ipwhitelistwget.sh 2>&1 >/dev/null
    - identifier: cds-ipwhitelistwget-cron
    - user: root
    - minute: '*/15'
    - require_in:
      - sae|ipgeo|ipwhitelistwget|cron
