# vim: sts=2 ts=2 sw=2 et ai

{% from "versioned-states/transition.jinja" import version_transition with context %}

{# #handle the case of version_has being unset on the machine (detecting any existing deployment) #} 
{% set temp_has = salt['grains.get']('vs:sae-ipgeo:version_has', 'unset') %}
{% if temp_has == 'unset' %}
  {% set fetch_via = salt['grains.get']('sae-ipgeo:db-fetch-via', 'unset') %}
  {% if fetch_via == 'unset' %}
    {% if salt['file.file_exists']('/usr/local/bin/ipgeowget.sh') %}
      {% set temp_has = 'v1' %}
    {% elif salt['file.file_exists']('/usr/local/bin/ipwhitelistwget.sh') %}
      {% set temp_has = 'v1' %}
    {% endif %}
  {% elif fetch_via == 'old' %}
    {% set temp_has = 'v1' %}
  {% elif fetch_via == 'ipgeogetdb' %}
    {% set temp_has = 'v2' %}
  {% endif %}
  {% if temp_has != 'unset' %}
    {# # Set the version_has value for the use of the macro #} 
    {% do salt['grains.set']('vs:sae-ipgeo:version_has', temp_has) %}
  {% endif %}
{% endif %}

{# # this is a map of lists of transitions to occur when the 'wants' value is found here #}
{% set transition_wants = {
  'v1' : [ 'sae-ipgeo.v1.v1_version_wants' ],
} %}
{# # this is a map of list of transitions to occur when the 'has' value is found here #}
{% set transition_has = {
  'v1' : [ 'sae-ipgeo.v1.v1_version_has' ],
} %}

{{ version_transition( 'sae-ipgeo', transition_wants, transition_has) }}

