#!/bin/bash

function wait_for_jenkins {
    echo -n "Waiting for config.xml "
    while [ ! -f config.xml ]
    do
        echo -n .
        sleep 2
    done

    echo "done"
    echo -n "Waiting for port to open "
    while [[ `curl --output /dev/null --silent --head --fail http://127.0.0.1:8080; echo $?` == 7 ]]; do
        echo -n .
        sleep 1
    done

    echo "done"
    echo -n 'Waiting for Jenkins to be ready ';
    while curl -s http://127.0.0.1:8080 | grep -q "Starting Jenkins"; do
        echo -n .
        sleep 1
    done
    echo "done"

    echo -n 'Waiting for Jenkins Jar download to be ready ';
    while ! curl -s --head http://127.0.0.1:8080/jnlpJars/jenkins-cli.jar | grep -q "application/java-archive"; do
        echo -n .
        sleep 1
    done
    echo "done"
}

function disable_security {
    sed -i '1 s/1\.1/1.0/' config.xml
    xmlstarlet ed -L -u hudson/useSecurity -v false config.xml
    xmlstarlet ed -L -d hudson/authorizationStrategy config.xml
    xmlstarlet ed -L -d hudson/securityRealm config.xml
}

function enable_security {
    sed -i '1 s/1\.1/1.0/' config.xml
    xmlstarlet ed -L -u hudson/useSecurity -v true config.xml
    xmlstarlet ed -L -d hudson/authorizationStrategy config.xml
    xmlstarlet ed -L -d hudson/securityRealm config.xml
    xmlstarlet ed -L -a hudson/useSecurity -t elem -n authorizationStrategy config.xml
    xmlstarlet ed -L -s hudson/authorizationStrategy -t attr -n class -v "hudson.security.FullControlOnceLoggedInAuthorizationStrategy" config.xml
    xmlstarlet ed -L -s hudson/authorizationStrategy -t elem -n denyAnonymousReadAccess -v true config.xml
    xmlstarlet ed -L -a hudson/useSecurity -t elem -n securityRealm config.xml
    xmlstarlet ed -L -s hudson/securityRealm -t attr -n class -v "hudson.security.LDAPSecurityRealm" config.xml
    xmlstarlet ed -L -s hudson/securityRealm -t attr -n plugin -v "ldap" config.xml
    xmlstarlet ed -L -s hudson/securityRealm -t elem -n disableMailAddressResolver -v false config.xml
    xmlstarlet ed -L -s hudson/securityRealm -t elem -n configurations config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations -t elem -n jenkins.security.plugins.ldap.LDAPConfiguration config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n server -v "ldaps://ldap.llnw.com:636" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n rootDN -v "dc=llnw,dc=com" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n inhibitInferRootDN -v "false" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n userSearchBase -v "ou=People" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n userSearch -v "llnwUnixUsername={0}" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n groupMembershipStrategy config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration/groupMembershipStrategy -t attr -n class -v "jenkins.security.plugins.ldap.FromGroupSearchLDAPGroupMembershipStrategy" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration/groupMembershipStrategy -t elem -n filter config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n managerPasswordSecret -v "{AQAAABAAAAAQ4Ty5zX6dSy9EmGVLCafqE/r9IDuEHw8eMpV6byCneEk=}" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n displayNameAttributeName -v "cn" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n mailAddressAttributeName -v "mail" config.xml
    xmlstarlet ed -L -s hudson/securityRealm/configurations/jenkins.security.plugins.ldap.LDAPConfiguration -t elem -n ignoreIfUnavailable -v "false" config.xml
    xmlstarlet ed -L -s hudson/securityRealm -t elem -n userIdStrategy config.xml
    xmlstarlet ed -L -s hudson/securityRealm -t elem -n groupIdStrategy config.xml
    xmlstarlet ed -L -s hudson/securityRealm/userIdStrategy -t attr -n class -v 'jenkins.model.IdStrategy$CaseInsensitive' config.xml
    xmlstarlet ed -L -s hudson/securityRealm/groupIdStrategy -t attr -n class -v 'jenkins.model.IdStrategy$CaseInsensitive' config.xml
    xmlstarlet ed -L -u hudson/slaveAgentPort -v 0 config.xml
}