#!/usr/bin/perl

use strict;
#use warnings;  # disabled in production since users need not see them
use Sys::Syslog;


my $user = $ENV{SUDO_USER} || $ENV{USER};     # in case non-root users run this
my $ssh = '/usr/bin/ssh-donotrun';

my $program = (split m{/}, $0)[-1];

my $sshCommand = join(' ', 'ssh', @ARGV);
openlog($program, 'nofatal', 'LOG_AUTHPRIV');
syslog('info', '%s', "$user> $sshCommand");

exec($ssh, @ARGV);



__END__

=head1 PURPOSE

    Log who is connecting to production hosts for auditing.

=head1 SYNOPSIS

    Put this wrapper on a jumphost, and configure it so that users will call this wrapper
    instead of directly executing the ssh binary.

=head1 CAVEATS

    I realize this wrapper is not hard to circumvent.  I also realize that even if you were to
    implement similar behavior in ssh and compile a custom ssh, users could still install their
    own ssh binary.

=head1 Author

    Jeremy Singletary, jsingletary@llnw.com
