{% from "pepper/map.jinja" import defaults with context %}
{%- from "pepper/map.jinja" import netblocks %}

sae|lfapi|repo:
  pkgrepo.managed:
    - name: deb [trusted=yes] http://repo.llnw.net/llnw/ubuntu/production/lfapi bionic/
    - file: /etc/apt/sources.list.d/llnw.lfapi.bionic.list
    - gpgcheck: 0

sae|lfapi|packages:
  pkg.installed:
    - skip_verify: True
    - pkgs:
        - lfapi: 0.9.79

sae|lfapi|services:
  service.running:
    - name: load-factors-api
    - watch:
        - file: sae|lfapi|config

sae|lfapi|config:
  file.managed:
    - name: /etc/load-factors-api/load-factors-api.yml
    - source: salt://{{ slspath }}/templates/load-factors-api.yml.jinja 
    - template: jinja
    - user: root
    - group: root
    - mode: 755
    - makedirs: True

-sae|lfapi|logdir:
 file.directory:
   - user: root
   - name: /var/log/lfapi
   - group: root
   - mode: 755

sae|lfapi|nginx-config:
  file.managed:
    - name: /etc/nginx/sites-enabled/0100-load-factors-api
    - source: salt://{{ slspath }}/files/load-factors-api
    - user: root
    - group: root
    - mode: 655

include:
  - firewall.standard

sae|lfapi|firewall:
  firewall.accept:
    - tcp:
      - [ 443, {{ netblocks }}] 
    - require_in:
      - firewall: core|firewall|final-reject
