{%- from "sae-limon/limon-node/vs.sls" import state_version as node_vs %}
{%- from "sae-limon/limon-node/" + node_vs + "/environment.jinja" import environment, user, group  %}

sae-limon|components|backend|dev|deploy-key:
  file.managed:
    - name: /var/www/.ssh/id_limon_backend
    - user: {{ user }}
    - group: {{ group }}
    - mode: 400
    - contents_pillar: secrets:sae-limon:limon_backend_deploy_key
    - makedirs: true

sae-limon|components|backend|dev|repo:
  git.latest:
    - name: git@github.llnw.net:mmr/limon2.git
    - target: /var/www/dev/limon-backend
    - user: {{ user }}
    - branch: develop
    # - force_clone: true
    # Only load the repo if the folder doesn't exist
    - unless: test -d /var/www/dev/limon-backend/app
    - identity:
      - /var/www/.ssh/id_limon_backend
    - require:
      - file: sae-limon|components|backend|dev|deploy-key

sae-limon|components|backend|dev|install-vendor-dependencies:
  cmd.run:
    - cwd: /var/www/dev/limon-backend
    - runas: {{ user }}
    - name: "composer install"
    - unless: test -d /var/www/dev/limon-backend/vendor
    - require:
      - git: sae-limon|components|backend|dev|repo
      - cmd: sae|limon|install-composer

sae-limon|component|backend|dev|artisan|route-scan:
  cmd.run:
    - cwd: /var/www/dev/limon-backend
    - name: php /var/www/dev/limon-backend/artisan route:scan
    - require:
      - cmd: sae-limon|components|backend|dev|install-vendor-dependencies
      - test: sae-limon|component|limon_backend|releases|pkg_prereq

sae-limon|component|backend|dev|artisan|ide-helper:
  cmd.run:
    - cwd: /var/www/dev/limon-backend
    - name: php /var/www/dev/limon-backend/artisan ide-helper:generate
    - require:
      - cmd: sae-limon|components|backend|dev|install-vendor-dependencies
      - test: sae-limon|component|limon_backend|releases|pkg_prereq
