{%- from slspath ~ "/map.jinja" import  limon_env %}
{%- from "sae-limon/limon-node/vs.sls" import state_version as node_vs %}
{%- from "sae-limon/limon-node/" + node_vs + "/environment.jinja" import environment, user, group  %}

sae-limon|components|loris-te|github_known_hosts:
  ssh_known_hosts.present:
    - name: github.llnw.net

# This folder is written to during make_traffic
sae-limon|components|loris-te|te-folder:
  file.directory:
    - name: {{ limon_env.loris.path }}
    - user: {{ user }}
    - group: {{ group }}
    - mode: 775

# RSA keys
sae-limon|components|loris-te|limon-loris-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["src_rsa_path"] }}
    - user: {{ user }}
    - group: {{ group }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:loris_deploy_key

sae-limon|components|loris-te|limon-autote-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["autote_rsa_path"] }}
    - user: {{ user }}
    - group: {{ group }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:autote_deploy_key

sae-limon|components|loris-te|limon-git-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["git_rsa_path"] }}
    - user: {{ user }}
    - group: {{ group }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:git_deploy_key

# Remove after Limon 3.23
sae-limon|components|loris-te|limon-loris-repo|remove:
  file.absent:
    - name: {{ limon_env.loris.path ~ "/" ~ limon_env.loris.name }}
