{%- from slspath ~ "/map.jinja" import limon_backend_configs %}
{%- from slspath ~ "/releases.jinja" import current_release %}

{%- if current_release.remove is defined %}
sae-limon|component|limon_backend|releases|pkg_remove:
  pkg.removed:
    - pkgs:
{%-   for pkgname in current_release.remove %}
      - {{ pkgname }}
{%-   endfor %}
    - require_in:
      - pkg: sae-limon|component|limon_backend|releases|pkg_install
    - onchanges_in:
      - test: sae-limon|component|limon_backend|releases|pkg_prereq|changed
{%- endif %}

sae-limon|component|limon_backend|releases|pkg_install:
  pkg.installed:
    - pkgs:
{%- if grains['oscodename'] == 'bionic' %}
      - python-mysqldb
      - runit-systemd
{%- endif %}
{%- for pkgname, pkgver in current_release.prereqs.iteritems() %}
{%-     if pkgver == "latest" %}
      - {{ pkgname }}
{%-     else %}
      - {{ pkgname }}: {{ pkgver }}
{%-     endif %}
{%- endfor %}

{%- if current_release.pecl is defined %}
{%-   set php_versions = ["7.0"] %}
{%-   set php_types = ["cli", "apache2"] %}
{%-   for extname, extver in current_release.pecl.iteritems() %}

sae-limon|component|limon_backend|releases|pkg_pecl|{{ extname }}:
  pecl.installed:
    - name: {{ extname }}
{%-     if extver != "stable" %}
    - version: {{ extver }}
{%-     endif %}
    - require:
      - pkg: sae-limon|component|limon_backend|releases|pkg_install
    - onchanges_in:
      - test: sae-limon|component|limon_backend|releases|pkg_prereq|changed
{%-     for php_version in php_versions %}
{%-       set php_version_dir = "/etc/php/" ~ php_version %}
{%-       set ext_ini = php_version_dir ~ "/mods-available/" ~ extname ~ ".ini" %}
{%-       for php_type in php_types %}

sae-limon|component|limon_backend|releases|pkg_pecl_ini|{{ extname }}|{{ php_version }}_{{ php_type }}:
  file.symlink:
    - name: {{ php_version_dir }}/{{ php_type }}/conf.d/20-{{ extname }}.ini
    - target: {{ ext_ini }}
    - require:
      - pecl: sae-limon|component|limon_backend|releases|pkg_pecl|{{ extname }}
    - require_in:
      - test: sae-limon|component|limon_backend|releases|pkg_prereq
    - onchanges_in:
      - test: sae-limon|component|limon_backend|releases|pkg_prereq|changed
{%-       endfor %}
{%-     endfor %}
{%-   endfor %}
{%- endif %}

# all prereqs installed
sae-limon|component|limon_backend|releases|pkg_prereq:
  test.succeed_without_changes:
    - require:
      - pkg: sae-limon|component|limon_backend|releases|pkg_install

# some prereq changed
sae-limon|component|limon_backend|releases|pkg_prereq|changed:
  test.succeed_with_changes:
    - onchanges:
      - pkg: sae-limon|component|limon_backend|releases|pkg_install
    - watch_in:
      - service: sae-limon|node|apache2
