{%- from slspath ~ "/map.jinja" import limon_backend_configs as lbc %}
{%- from slspath ~ "/releases.jinja" import release_ver %}
{%- set team_env = salt["grains.get"]("team_env", "production") %}

include:
  - sae-limon.limon-node
  - .pkg-prereq
{%- if team_env == "production" %}
  - beats.filebeat
{%- endif %}
  - .loris-te
  - .limon2-backend
  - .apache
  - .cron
  - .services
  - .validate
  - .cleanup

sae-limon|component|backend|grains|primary:
  grains.present:
    - name: limon-backend:primary_instance
    - value: {{ lbc.primary }}
    - require:
      - llnw_validate: sae-limon|component|backend|validate

sae-limon|component|backend|grains|primary_release:
  grains.present:
    - name: limon-backend:instance_{{ lbc.primary }}:release
    - value: {{ lbc.primary_release }}
    - require:
      - llnw_validate: sae-limon|component|backend|validate

sae-limon|component|backend|grains|previous_release:
  grains.present:
    - name: limon-backend:instance_{{ lbc.backup }}:release
    - value: {{ lbc.backup_release }}
    - require:
      - llnw_validate: sae-limon|component|backend|validate

{%- if team_env == "production" %}
{%- from "beats/map.jinja" import extend_filebeats with context %}
{{ extend_filebeats(
    "/var/www/ui/storage/logs/laravel.log",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": salt["grains.get"]("team_env", "production"),
      "multiline": {
        "pattern": '^\[',
        "negate": true,
        "match": after
      }
    }
  )
}}
{%- endif %}

sae-limon|component|backend|for-versioned-states|always-passes:
  test.succeed_without_changes:
    - name: do-it-sae-limon-backend
    - require:
      - llnw_validate: sae-limon|component|backend|validate
