{%- from slspath ~ "/map.jinja" import limon_backend_configs %}
{%- from slspath ~ "/releases.jinja" import release, releases_raw, release_ver %}

{%- for rv in releases_raw.releases_enabled %}
{# Get the package #}
{%- set pkg_name = "limon2-" ~ rv.replace("-", ".") ~ "~stable.deb" %}
{%- set pkg_path = "http://repo.llnw.net/llnw/ubuntu/" ~ grains.get("team_env", "production") ~ "/limon/" ~ grains.get("oscodename", "trusty") ~ "/" ~ pkg_name %}
{%- set pkg_dest = limon_backend_configs.packages_dir ~ "/" ~ rv %}
sae-limon|component|backend|{{ rv }}|fetch-package:
  file.managed:
    - name: /tmp/{{ pkg_name }}
    - source: {{ pkg_path }}
    - skip_verify: True

sae-limon|component|backend|{{ rv }}|extract-package:
  cmd.run:
    - name: dpkg-deb --extract /tmp/{{ pkg_name }} {{ pkg_dest }}/
    - onlyif: test -f /tmp/{{ pkg_name }}
    - require:
      - file: sae-limon|component|backend|{{ rv }}|fetch-package

sae-limon|component|backend|{{ rv }}|cleanup:
  file.absent:
    - name: /tmp/{{ pkg_name }}
    - require:
      - file: sae-limon|component|backend|{{ rv }}|fetch-package

{# used for validation to ensure egress of correct version #}
sae-limon|component|backend|{{ rv }}|versions_file:
  file.managed:
    - name: {{ pkg_dest }}/var/www/ui/public/release.txt
    - user: www-data
    - group: www-data
    - mode: 0644
    - makedirs: true
    - contents:
      - {{ rv }}

sae-limon|component|backend|{{ rv }}|dot_env:
  file.symlink:
    - name: {{ pkg_dest }}/var/www/ui/.env
    - target: /var/www/ui/.env
    - force: true

sae-limon|component|backend|{{ rv }}|perms:
  file.directory:
    - name: {{ pkg_dest }}/var/www/
    - user: www-data
    - group: www-data
    - file_mode: 644
    - dir_mode: 755
    - recurse:
      - user
      - group
      - mode

sae-limon|component|backend|{{ rv }}|app_dir:
  file.directory:
    - name: {{ pkg_dest }}/var/www/ui/storage/app
    - user: www-data
    - group: www-data
    - dir_mode: 755
{%- endfor %}

sae-limon|component|backend|artisan|routescan:
  cmd.run:
    - name: {{ limon_backend_configs.php_bin }} {{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan route:scan
