{%- from slspath ~ "/map.jinja" import limon_backend_configs, limon_env %}
{%- from slspath ~ "/releases.jinja" import release_ver %}

sae-limon|components|backend|log-file-perms:
  file.managed:
    - name: {{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/storage/logs/laravel.log
    - user: www-data
    - group: www-data

sae|limon|limon-queue-high|runit:
  llnw_runit.present:
    - name: limon-queue-high
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: {{ limon_backend_configs.php_bin }}
    - args:
      - "{{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan"
      - "queue:listen"
      - "database"
      - "--tries=3"
      - "--memory=512"
      - "--timeout=120"
      - "--queue=high"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq

sae|limon|limon-queue-low|runit:
  llnw_runit.present:
    - name: limon-queue-low
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: {{ limon_backend_configs.php_bin }}
    - args:
      - "{{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--queue=low"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq
