sae-limon|components|backend|dev|deploy-key:
  file.managed:
    - name: /var/www/.ssh/id_limon_backend
    - user: www-data
    - group: www-data
    - mode: 400
    - contents_pillar: secrets:sae-limon:limon_backend_deploy_key
    - makedirs: true

sae-limon|components|backend|dev|repo:
  git.latest:
    - name: git@github.llnw.net:mmr/limon2.git
    - target: /var/www/dev/limon-backend
    - user: www-data
    - branch: develop
    # Only load the repo if the folder doesn't exist
    - unless: test -d /var/www/dev/limon-backend
    - identity:
      - /var/www/.ssh/id_limon_backend
    - require:
      - file: sae-limon|components|backend|dev|deploy-key

sae-limon|components|backend|dev|install-vendor-dependencies:
  cmd.run:
    - cwd: /var/www/dev/limon-backend
    - runas: www-data
    - name: "composer install"
    - unless: test -d /var/www/dev/limon-backend/vendor
    - require:
      - git: sae-limon|components|backend|dev|repo
      - cmd: sae|limon|install-composer

sae-limon|components|backend|dev|.env:
  file.managed:
    - name: /var/www/dev/limon-backend/.env
    - source: /var/www/ui/.env
    - user: www-data
    - group: www-data
    - mode: 775
    - replace: false
    - require:
      - file: sae-limon|node|dot_env
      - git: sae-limon|components|backend|dev|repo
