{%- from slspath ~ "/map.jinja" import limon_backend_configs %}
{%- from slspath ~ "/releases.jinja" import release_ver, current_release, releases_raw %}

{%- from "sae-limon/limon-node/vs.sls" import state_version as node_vs %}
{%- from "sae-limon/limon-node/" + node_vs + "/environment.jinja" import environment %}
{%- from "sae-limon/limon-node/" + node_vs + "/map.jinja" import limon_env %}

## PRE-REQUISITES
sae-limon|component|backend|validate|prerequsites:
  llnw_validate.rollup:
    - name: prerequsites
    - system_name: sae-limon.backend
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate

sae-limon|component|backend|validate|dot_env_file:
  llnw_validate.is_file:
    - name: dot_env_file
    - system_name: sae-limon.backend
    - write_validate: false
    - filename: /var/www/ui/.env
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate|prerequsites

sae-limon|component|backend|validate|database:
  llnw_validate.mysql_conn:
    - name: database
    - system_name: sae-limon.backend
    - port: 3306
    - host: {{ limon_env.db.host }}
    - user: {{ salt["pillar.get"]("secrets:sae-limon:db_username") }}
    - passwd: {{ salt["pillar.get"]("secrets:sae-limon:db_password")| trim }}
    - db: {{ limon_env.db.database }} 
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate|prerequsites

#sae-limon|component|backend|validate|rt_database:
  #  llnw_validate.mysql_conn:
    #    - name: rt_database
    #    - system_name: sae-limon.backend
    #    - port: 3306
    #    - host: {{ limon_env.rt.db_host }}
    #    - user: {{ salt["pillar.get"]("secrets:sae-limon:rt_db_username") }}
    #    - passwd: {{ salt["pillar.get"]("secrets:sae-limon:rt_db_password") | trim }}
    #    - db: {{ limon_env.rt.db_database }}
  #    - require_in:
    #      - llnw_validate: sae-limon|component|backend|validate|prerequsites

#sae-limon|component|backend|validate|rt_api_port:
  #  llnw_validate.ports_listening:
    #    - name: rt_api_port
    #    - system_name: sae-limon.backend
    #    - port: 80
    #    - host: {{ limon_env.rt.api_host }}
  #    - require_in:
    #      - llnw_validate: sae-limon|component|backend|validate|prerequsites

# TODO: Service Now Validation (is API url)
# TODO: Confluence API Validation, check_url, search_url, content_url
# TODO: Check mail port is open for SMTP
# TODO: Check Zabbix API is reachable
# TODO: Check Zabbix LLNW API is reachable
# TODO: Check Zabbix Database
# TODO: Check Syslog DB
# TODO: Check EQ API
# TODO: If DEV, check Proxy

## APPLICATION SECTION
sae-limon|component|backend|validate|backend:
  llnw_validate.rollup:
    - name: backend
    - system_name: sae-limon.backend
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate

{%- for rv in releases_raw.releases_enabled %}
{%-   set ab = limon_backend_configs.release_ab[rv] %}
sae-limon|component|backend|{{ ab }}|validate|port:
  llnw_validate.ports_listening:
    - name: {{ ab }}_port
    - system_name: sae-limon.backend
    - ports: {{ limon_backend_configs.release_ports[rv] }}
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate|backend

sae-limon|component|backend|{{ ab }}|validate|version:
  llnw_validate.http_body_contains:
    - name: {{ ab }}_version
    - system_name: sae-limon.backend
    - url: http://127.0.0.1:{{ limon_backend_configs.release_ports[rv] }}/release.txt
    - value: {{ rv }}
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate|backend
{%- endfor %}

sae-limon|component|backend|validate|apache:
  llnw_validate.proc_running:
    - name: apache
    - system_name: sae-limon.backend
    - search: apache2
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate|backend

sae-limon|component|backend|published|version:
  llnw_validate.http_body_contains:
    - name: haproxy_published_version
    - system_name: sae-limon.backend
    - url: https://127.0.0.1:{{ limon_backend_configs.publish_port }}/release.txt
    - insecure: True
    - value: {{ release_ver }}
    - require_in:
      - llnw_validate: sae-limon|component|backend|validate

## Rollups are primarily to print out write-validate files, or use in other tests.
sae-limon|component|backend|validate:
  llnw_validate.rollup:
    - name: all
    - system_name: sae-limon.backend
