{%- from slspath ~ "/map.jinja" import limon_backend_configs, limon_env %}
{%- from slspath ~ "/releases.jinja" import release_ver %}

{%- set www_owner = "www-data" %}

# Each host should have limon-queue-high
# Master host with limon-handle-all-queues grain should have limon-queue-high & limon-queue-low & limon-queue-mails

sae|limon|limon-queue-high|runit:
  llnw_runit.present:
    - name: limon-queue-high
    - runas_user: {{ www_owner }}
    - runas_group: {{ www_owner }}
    - ulimit: 200000
    - command: {{ limon_backend_configs.php_bin }}
    - args:
      - "{{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--sleep=3"
      - "--delay=0"
      - "--queue=high"
      - "--once"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq

sae-limon|component|limon-queue-high|restart:
  llnw_runit.restart:
    - name: limon-queue-high
    - onchanges:
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq
      - file: sae-limon|node|dot_env

# Specify limon-handle-all-queues in order to let host handle all queues
{% if salt['grains.get']('limon-handle-all-queues', '') == 'enabled' %}

sae|limon|limon-queue-low|runit:
  llnw_runit.present:
    - name: limon-queue-low
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: {{ limon_backend_configs.php_bin }}
    - args:
      - "{{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--queue=low"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq

sae-limon|component|limon-queue-low|restart:
  llnw_runit.restart:
    - name: limon-queue-low
    - onchanges:
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq
      - file: sae-limon|node|dot_env

sae|limon|limon-queue-mails|runit:
  llnw_runit.present:
    - name: limon-queue-mails
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: {{ limon_backend_configs.php_bin }}
    - args:
      - "{{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--queue=mails"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq

{% endif %}