{% from slspath ~ "/map.jinja" import  limon_env %}
{% from slspath ~ "/templates/limon2-init-db.sql.jinja" import initSQL %}

# MySQL host for dev should be localhost
sae-limon|components|backend|dev|mysql|db:
  mysql_database.present:
    - name: {{ limon_env.db.database }}
    - require:
      - pkg: sae|limon|limon-dev-pkgs

sae-limon|components|backend|dev|mysql|user:
  mysql_user.present:
    - name: {{ salt["pillar.get"]("secrets:sae-limon:db_username", "limon_dev_user") }}
    - password: {{ salt["pillar.get"]("secrets:sae-limon:db_password", "test") }}
    - require:
      - pkg: sae|limon|limon-dev-pkgs

sae-limon|components|backend|dev|mysql|grants:
  mysql_grants.present:
    - grant: all privileges
    - database: {{ limon_env.db.database ~ ".*" }}
    - user: {{ salt["pillar.get"]("secrets:sae-limon:db_username", "limon_dev_user") }}
    - require:
      - mysql_user: sae-limon|components|backend|dev|mysql|user
      - mysql_database: sae-limon|components|backend|dev|mysql|db

# This only runs when the DB is first created
sae-limon|components|backend|dev|mysql|init:
  mysql_query.run:
    - database: {{ limon_env.db.database }}
    - query: |
        {{ initSQL |  indent(8) }}
    - onchanges:
      - mysql_database: sae-limon|components|backend|dev|mysql|db
