# Each host should have limon-queue-high
# Master host with limon-handle-all-queues grain should have limon-queue-high & limon-queue-low & limon-queue-mails

sae|limon|dev|limon-queue-high|runit:
  llnw_runit.present:
    - name: limon-queue-high
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: php
    - args:
      - "/var/www/dev/limon-backend/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--sleep=3"
      - "--delay=0"
      - "--queue=high"
      - "--once"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False

sae-limon|component|dev|limon-queue-high|restart:
  llnw_runit.restart:
    - name: limon-queue-high
    - onchanges:
      - file: sae-limon|node|dot_env

# Specify limon-handle-all-queues in order to let host handle all queues
{% if salt['grains.get']('limon-handle-all-queues', '') == 'enabled' %}

sae|limon|dev|limon-queue-low|runit:
  llnw_runit.present:
    - name: limon-queue-low
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: php
    - args:
      - "/var/www/dev/limon-backend/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--queue=low"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False

sae-limon|component|dev|limon-queue-low|restart:
  llnw_runit.restart:
    - name: limon-queue-low
    - onchanges:
      - file: sae-limon|node|dot_env

sae|limon|dev|limon-queue-mails|runit:
  llnw_runit.present:
    - name: limon-queue-mails
    - runas_user: www-data
    - runas_group: www-data
    - ulimit: 200000
    - command: php
    - args:
      - "/var/www/dev/limon-backend/artisan"
      - "queue:work"
      - "database"
      - "--tries=3"
      - "--queue=mails"
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 50000000
    - svlogd_num: 10
    - svlogd_error: False
    - start: True
    - restart: False
    - default_down: False

{% endif %}
