{%- set operation = sls.split('.')[-1] %}

{%- set runit_services = ["limon-queue-high", "limon-queue-low"] %}
{%- for rs in runit_services %}
{%-   if salt["file.file_exists"]("/etc/service/" ~ rs) %}
sae-limon|component|backend|{{ rs }}|{{ operation }}:
  llnw_runit.{{ operation }}:
    - name: {{ rs }}
    - use_control_sv: false
{%-   endif %}
{%- endfor %}

{# APACHE #}
{%- from slspath ~ "/releases.jinja" import release, releases_raw, release_ver %}
{%- from slspath ~ "/map.jinja" import limon_backend_configs %}

{# APACHE STOP #}
{%- if operation == "stop" %}
{%-   for rv in releases_raw.releases_enabled %}
{%-     set ab = limon_backend_configs.release_ab[rv] %}
sae-limon|component|backend|apache|site|{{ ab }}|stop:
  apache_site.disabled:
    - name: limon2-{{ ab }}-ssl
    - require_in:
      - cmd: sae-limon|component|backend|apache|sites|reload
{%-   endfor %}
{%- endif %}

{# APACHE START #}
{%- if operation == "start" %}
{%-   for rv in releases_raw.releases_enabled %}
{%-     set ab = limon_backend_configs.release_ab[rv] %}
{# Re-enable site for later #}
sae-limon|component|backend|apache|site|{{ ab }}|start:
  apache_site.enabled:
    - name: limon2-{{ ab }}-ssl
    - require_in:
      - cmd: sae-limon|component|backend|apache|sites|reload
{%-   endfor %}
{%- endif %}

{# APACHE RELOAD / RESTART HANDLED HERE #}
{# - we dont' probably ever want to 'RESTART' #}
sae-limon|component|backend|apache|sites|reload:
  cmd.run:
    - name: service apache reload
    - require:
      - apache_site: sae-limon|component|backend|apache|site|stop

{# Re-enable site for later, operations are a 'temporary' state #}
{%-   for rv in releases_raw.releases_enabled %}
{%-     set ab = limon_backend_configs.release_ab[rv] %}
sae-limon|component|backend|apache|site|{{ ab }}|re-enable:
  apache_site.enabled:
    - name: limon2-{{ ab }}-ssl
{%-   endfor %}
