{%- from slspath ~ "/map.jinja" import  limon_env %}
{%- set www_owner = "www-data" %}

sae-limon|components|loris-te|github_known_hosts:
  ssh_known_hosts.present:
    - name: github.llnw.net

# This folder is written to during make_traffic
sae-limon|components|loris-te|te-folder:
  file.directory:
    - name: {{ limon_env.loris.path }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 775

sae-limon|components|loris-te|limon-loris-repo:
  git.latest:
    - name: {{ "git@github.llnw.net:" ~ limon_env.loris.owner ~ "/" ~ limon_env.loris.name ~ ".git" }}
    - target: {{ limon_env.loris.path ~ "/" ~ limon_env.loris.name }}
    - user: {{ www_owner }}
    - branch: master
    - unless: {{ "test -d " ~ limon_env.loris.path ~ "/" ~ limon_env.loris.name }}
    - identity:
      - {{ limon_env.loris["git_rsa_path"] }}
    - require:
      - pkg: sae-limon|component|limon_backend|releases|pkg_prereq
      - file: sae-limon|components|loris-te|limon-git-deploy-key

sae-limon|components|loris-te|limon-loris-repo|config|user|name:
  git.config_set:
    - name: user.name
    - value: limon-git
    - repo: {{ limon_env.loris.path ~ "/" ~ limon_env.loris.name }}
    - require:
      - git: sae-limon|components|loris-te|limon-loris-repo

sae-limon|components|loris-te|limon-loris-repo|config|user|email:
  git.config_set:
    - name: user.email
    - value: limon-git@llnw.com
    - repo: {{ limon_env.loris.path ~ "/" ~ limon_env.loris.name }}
    - require:
      - git: sae-limon|components|loris-te|limon-loris-repo

sae-limon|components|loris-te|limon-loris-repo|config|prune:
  git.config_set:
    - name: remote.origin.prune
    - value: true
    - repo: {{ limon_env.loris.path ~ "/" ~ limon_env.loris.name }}
    - require:
      - git: sae-limon|components|loris-te|limon-loris-repo

# RSA keys
sae-limon|components|loris-te|limon-loris-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["src_rsa_path"] }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:loris_deploy_key

sae-limon|components|loris-te|limon-autote-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["autote_rsa_path"] }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:autote_deploy_key

sae-limon|components|loris-te|limon-git-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["git_rsa_path"] }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:git_deploy_key
