# Kibana configuration for Limon

# Helpers
{%- from slspath ~ "/releases.jinja" import release_ver %}
{%- set team_env = salt["grains.get"]("team_env", "dev") %}
{%- from "beats/map.jinja" import extend_filebeats with context %}

include:
  - beats.filebeat

# Log configs
{{ extend_filebeats(
    "/var/log/limon/backend/laravel.log",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/limon-queue-low/current",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/limon-queue-high/current",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/limon-queue-mails/current",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/rts-dash-backend/glog/rts-dash-backend.INFO",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/rts-dash-backend/glog/rts-dash-backend.ERROR",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/rts-dash-backend/glog/rts-dash-backend.WARNING",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/rts-dash-backend/glog/rts-dash-backend.FATAL",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}

{{ extend_filebeats(
    "/var/log/apache2/limon2-ui-access.log",
    "limon_backend",
    {
      "service": "limon_backend",
      "version": release_ver,
      "environment": team_env,
    },
    {
      "multiline": "{pattern: '^\[[0-9]{4}-[0-9]{2}-[0-9]{2}', negate: true, match: after}"
    }
  )
}}
