{%- from slspath ~ "/map.jinja" import limon_backend_configs as lbc, limon_env %}
{%- from slspath ~ "/releases.jinja" import release_ver %}

{%- set team_env = salt["grains.get"]("team_env", "dev") %}
{%- set www_owner = "www-data" %}

include:
  - sae-limon.limon-node
  - .pkg-prereq
  - .loris-te
{% if team_env in ["dynamic", "dev"] %}
  - .limon2-backend-dev
  - .apache-uninstall
  - .apache-dev
  - .cron-dev
  - .services-dev
  - .mysql-dev
{% else %}
  - .kibana
  - .limon2-backend
  - .apache-dev-uninstall
  - .apache
  - .cron
  - .services
  - .validate
  - .cleanup
{% endif %}

{% if 'role-limon.migration-run' in salt['grains.get']('cornerstone:tags', {})|list %}
  - .mysql-migrations
{% endif %}

{% if team_env not in ["dynamic", "dev"] %}
sae-limon|component|backend|grains|primary:
  grains.present:
    - name: limon-backend:primary_instance
    - value: {{ lbc.active }}
    - require:
      - llnw_validate: sae-limon|component|backend|validate

sae-limon|component|backend|grains|primary_release:
  grains.present:
    - name: limon-backend:instance_{{ lbc.active }}:release
    - value: {{ lbc.active_release }}
    - require:
      - llnw_validate: sae-limon|component|backend|validate

sae-limon|component|backend|grains|previous_release:
  grains.present:
    - name: limon-backend:instance_{{ lbc.previous }}:release
    - value: {{ lbc.previous_release }}
    - require:
      - llnw_validate: sae-limon|component|backend|validate

sae-limon|component|backend|for-versioned-states|always-passes:
  test.succeed_without_changes:
    - name: do-it-sae-limon-backend
    - require:
      - llnw_validate: sae-limon|component|backend|validate
{% endif %}

# Create logs in system location /var/log/limon, common log per packages
sae-limon|component|backend|logs-dir:
  file.directory:
      - name: {{ limon_env.app.log_dir }}
      - user: {{www_owner}}
      - group: root
      - mode: 775
      - makedirs: True

sae-limon|component|backend|logs-file:
  file.managed:
      - name: {{ limon_env.app.log }}
      - user: {{www_owner}}
      - group: root
      - mode: 775
      - replace: False
