{% from slspath ~ "/map.jinja" import  limon_env %}
{% from slspath ~ "/templates/limon2-migration.sql.jinja" import migrationSQL %}

# MySQL host is form configuration
sae-limon|components|backend|mysql|db:
  mysql_database.present:
  - name: {{ limon_env.db.database }}
  - connection_host: {{ limon_env.db.host }}
  - connection_user: {{ salt["pillar.get"]("secrets:sae-limon:db_username") }}
  - connection_pass: {{ salt["pillar.get"]("secrets:sae-limon:db_password") }}

# Run actual migration
sae-limon|components|backend|mysql|migrate:
  mysql_query.run:
  - database: {{ limon_env.db.database }}
  - connection_host: {{ limon_env.db.host }}
  - connection_user: {{ salt["pillar.get"]("secrets:sae-limon:db_username") }}
  - connection_pass: {{ salt["pillar.get"]("secrets:sae-limon:db_password") }}
  - query: |
      {{ migrationSQL |  indent(8) }}
  - require:
    - mysql_database: sae-limon|components|backend|mysql|db
