{%- from slspath ~ "/map.jinja" import limon_backend_configs %}

{%- set www_owner = "www-data" %}
{%- set release_ver = limon_backend_configs.active_release %}

sae-limon|components|backend|limon_artisan:
  file.managed:
    - name: /var/www/ui/artisan
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 775
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
    - replace: False

# Not sure why, but cron job is not run with this?
# osuliy: Cron is using root user and php command
sae-limon|components|backend|php user:
  user.present:
    - name: php
    - password: {{ salt["pillar.get"]("secrets:sae-limon:php_password", "n/a") }}
    - gid_from_name: True
    - createhome: False
    - system: True

{% if 'role-limon-cron' in salt['grains.get']('cornerstone:tags', {})|list %}
sae-limon|components|backend|cron:
  file.managed:
    - name: /etc/cron.d/limon2
    - user: root
    - group: root
    - mode: 0640
    - contents:
      - "* * * * * root {{ limon_backend_configs.php_bin }} {{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan schedule:run 1>> /dev/null 2>&1"
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
{% else %}
sae-limon|components|backend|cron|cleanup:
  file.absent:
    - name: /etc/cron.d/limon2
{% endif %}
