{%- from slspath ~ "/map.jinja" import <component>_configs %}
{%- from slspath ~ "/releases.jinja" import current_release, release, release_ver %}

{# Remove old config files.. #}
{%- set current_config = "<component>-" ~ release_ver ~ ".yaml" %}
{%- set local_configs = salt["file.find"]( base.config_dir ~ "/<component>*.yaml", print="name", maxdepth=1) %}
{%- for cfg in local_configs %}
{%-   if cfg != current_config and "testing" not in cfg %}
limon|component|<component>|cleanup|config|{{ cfg }}:
  file.absent:
    - name: {{ base.config_dir }}/{{ cfg }}
    - require:
      - llnw_validate: limon|component|<component>|validate
{%-   endif %}
{%- endfor %}


{#- Iterate installed packages, look for packages that #}
{#- != current release. #}
{%- set pkgs = salt["pkg.list_pkgs"]() %}
{%- for pkgname, pkgver in pkgs.iteritems() %}
{%-   if "<component>-" in pkgname and pkgname not in current_release["main"].keys() %}
limon|component|<component>|releases|{{ pkgname }}|cleanup:
  pkg.removed:
    - pkgs:
      - {{ pkgname }}
    - require:
      - llnw_validate: limon|component|<component>|validate
{%-   endif %}
{%- endfor %}
