{%- from slspath ~ "/map.jinja" import <component>_configs %}
{%- from slspath ~ "/releases.jinja" import release_ver, current_release %}

## PRE-REQUISITES
limon|component|<component>|validate|prerequsites:
  llnw_validate.rollup:
    - name: prerequsites
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - require_in:
      - llnw_validate: limon|component|<component>|validate

limon|component|<component>|validate|shared_db_ro:
  llnw_validate.mysql_conn:
    - name: shared_db_ro
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - port: {{ base.database.shared_db.port_ro }}
    - host: {{ base.database.shared_db.host_ro }}
    - user: {{ base.database.shared_db.user_ro }}
    - passwd: {{ base.database.shared_db.pass_ro }}
    - db: {{ base.database.shared_db.name }}
    - require_in:
      - llnw_validate: limon|component|<component>|validate|prerequsites

limon|component|<component>|validate|shared_db_rw:
  llnw_validate.mysql_conn:
    - name: shared_db_rw
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - port: {{ base.database.shared_db.port_rw }}
    - host: {{ base.database.shared_db.host_rw }}
    - user: {{ base.database.shared_db.user_rw }}
    - passwd: {{ base.database.shared_db.pass_rw }}
    - db: {{ base.database.shared_db.name }}
    - require_in:
      - llnw_validate: limon|component|<component>|validate|prerequsites

limon|component|<component>|validate|region_file:
  llnw_validate.is_file:
    - name: region_file
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - write_validate: false
    - filename: {{ base.region_file }}
    - require_in:
      - llnw_validate: limon|component|<component>|validate|prerequsites

limon|component|<component>|validate|redis-cache:
  llnw_validate.ports_listening:
    - name: redis_cache_port
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - ports: {{ base.redis_cache.local_port }}
    - require_in:
      - llnw_validate: limon|component|<component>|validate|prerequsites

## APPLICATION SECTION
limon|component|<component>|validate|<component>:
  llnw_validate.rollup:
    - name: <component>
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - require_in:
      - llnw_validate: limon|component|<component>|validate

limon|component|<component>|validate|running:
  llnw_validate.super_is_running:
    - name: <component>_running
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - search: limon-<component>-{{ release_ver }}/bin/<component>
    - service: limon-<component>
    - require_in:
      - llnw_validate: limon|component|<component>|validate|<component>

limon|component|<component>|validate|mgmt_port:
  llnw_validate.ports_listening:
    - name: mgmt_port
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - ports: {{ base.<component>.ports.mgmt }}
    - require:
      - llnw_validate: limon|component|<component>|validate|running
    - require_in:
      - llnw_validate: limon|component|<component>|validate|<component>

limon|component|<component>|validate|version:
  llnw_validate.debug_vars_is:
    - name: <component>_version
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
    - mgmt_port: {{ base.<component>.ports.mgmt }}
    - key: version
    - value: {{ current_release['main']['go-limon-<component>-' ~ release_ver] }}
    - write_validate: true
    - require:
      - llnw_validate: limon|component|<component>|validate|mgmt_port
    - require_in:
      - llnw_validate: limon|component|<component>|validate|<component>

## Rollups are primarily to print out write-validate files, or use in other tests.
limon|component|<component>|validate:
  llnw_validate.rollup:
    - name: all
    - product_name: limon.<component>
    - validate_dir: {{ base.config_dir }}/validate
