{%- from slspath ~ "/map.jinja" import limon_frontend_configs as lbc %}
{%- set team_env = salt["grains.get"]("team_env", "dev") %}

include:
  - sae-limon.limon-node
  - .pkg-prereq
{% if team_env in ["dynamic", "dev"] %}
  - .limon2-frontend-dev
  - .apache-uninstall
  - .apache-dev
{% else %}
  - .limon2-frontend
  - .apache-dev-uninstall
  - .apache
  - .validate
  - .cleanup
{% endif %}

{% if team_env in ["dynamic", "dev"] %}
sae-limon|component|frontend|init|stub:
  test.succeed_without_changes:
    - name: limon-frontend-init-stub
{% else %}
sae-limon|component|frontend|grains|primary:
  grains.present:
    - name: limon-frontend:primary_instance
    - value: {{ lbc.active }}
    - require:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|grains|primary_release:
  grains.present:
    - name: limon-frontend:instance_{{ lbc.active }}:release
    - value: {{ lbc.active_release }}
    - require:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|grains|previous_release:
  grains.present:
    - name: limon-frontend:instance_{{ lbc.previous }}:release
    - value: {{ lbc.previous_release }}
    - require:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|for-versioned-states|always-passes:
  test.succeed_without_changes:
    - name: do-it-sae-limon-frontend
    - require:
      - llnw_validate: sae-limon|component|frontend|validate
{% endif %}
