{%- from slspath ~ "/map.jinja" import limon_frontend_configs %}
{%- from slspath ~ "/releases.jinja" import release, releases_raw, release_ver, package_version %}

{%- for rv in releases_raw.releases_enabled %}
{# Get the package #}
{%- set pkg_name = "limon2-ui-" ~ rv.replace("-", ".") ~ "~stable.deb" %}
{%- set pkg_path = "http://repo.llnw.net/llnw/ubuntu/" ~ grains.get("team_env", "production") ~ "/limon/" ~ grains.get("oscodename", "trusty") ~ "/" ~ pkg_name %}
{%- set pkg_dest = limon_frontend_configs.packages_dir ~ "/" ~ rv %}
sae-limon|component|frontend|{{ rv }}|fetch-package:
  file.managed:
    - name: /tmp/{{ pkg_name }}
    - source: {{ pkg_path }}
    - skip_verify: True

sae-limon|component|frontend|{{ rv }}|extract-package:
  cmd.run:
    - name: dpkg-deb --extract /tmp/{{ pkg_name }} {{ pkg_dest }}/
    - onlyif: test -f /tmp/{{ pkg_name }}
    - require:
      - file: sae-limon|component|frontend|{{ rv }}|fetch-package

sae-limon|component|frontend|{{ rv }}|cleanup:
  file.absent:
    - name: /tmp/{{ pkg_name }}
    - require:
      - file: sae-limon|component|frontend|{{ rv }}|fetch-package

{# used for validation to ensure egress of correct version #}
sae-limon|component|frontend|{{ rv }}|versions_file:
  file.managed:
    - name: {{ pkg_dest }}/var/www/limon-ui/release.txt
    - user: www-data
    - group: www-data
    - mode: 0644
    - makedirs: true
    - contents:
      - {{ rv }}
{%- endfor %}
