sae-limon|components|frontend|dev|deploy-key:
  file.managed:
    - name: /var/www/.ssh/id_limon_frontend
    - user: www-data
    - group: www-data
    - mode: 400
    - contents_pillar: secrets:sae-limon:limon_frontend_deploy_key
    - makedirs: true

sae-limon|components|frontend|dev|repo:
  git.latest:
    - name: git@github.llnw.net:mmr/limon2-ui.git
    - target: /var/www/dev/limon-frontend
    - user: www-data
    - branch: dev
    # Only load the repo if the folder doesn't exist
    - unless: test -d /var/www/dev/limon-frontend
    - identity:
      - /var/www/.ssh/id_limon_frontend
    - require:
      - file: sae-limon|components|frontend|dev|deploy-key

sae-limon|components|frontend|dev|install-vendor-dependencies:
  cmd.run:
    - cwd: /var/www/dev/limon-frontend
    - runas: www-data
    - name: "yarn install"
    - unless: test -d /var/www/dev/limon-frontend/node_modules
    - require:
      - git: sae-limon|components|frontend|dev|repo
      - pkg: sae|limon|install-yarn

sae-limon|components|frontend|dev|build-repo:
  cmd.run:
    - cwd: /var/www/dev/limon-frontend
    - runas: www-data
    - name: "npm run build:dev"
    - unless: test -d /var/www/dev/limon-frontend/dist
    - require:
      - cmd: sae|limon|nodejs
      - cmd: sae-limon|components|frontend|dev|install-vendor-dependencies
