{%- set repo_map = {"dynamic": "testing", "dev": "testing", "qa": "testing", "staging": "staging", "production": "production"} %}
{%- set team_env = salt["grains.get"]("team_env", "dev") %}
{%- from slspath ~ "/map.jinja" import limon_frontend_configs %}
{%- from slspath ~ "/releases.jinja" import release, releases_raw, release_ver %}

{%- for rv in releases_raw.releases_enabled %}
{# Get the package version: e.g. limon2-ui-3.13.1~dev.20191107.deb - it's not only stable #}

{%- set release_info = release.get(rv, {}) %}
{%- set package_version = release_info.get("main", {}).get("limon2-ui", "n/a") %}
{%- set pkg_name = "limon2-ui-" ~ rv.replace("-", ".") ~ "~" ~ package_version ~ ".deb" %}

{%- set pkg_path = "http://repo.llnw.net/llnw/ubuntu/" ~ repo_map[team_env] ~ "/limon/" ~ grains.get("oscodename", "trusty") ~ "/" ~ pkg_name %}
{%- set pkg_dest = limon_frontend_configs.packages_dir ~ "/" ~ rv %}
sae-limon|component|frontend|{{ rv }}|fetch-package:
  file.managed:
    - name: /tmp/{{ pkg_name }}
    - source: {{ pkg_path }}
    - skip_verify: True

sae-limon|component|frontend|{{ rv }}|perms:
  file.directory:
    - name: {{ pkg_dest }}/var/www/
    - makedirs: True
    - user: www-data
    - group: www-data
    - file_mode: 644
    - dir_mode: 755
    - recurse:
      - user
      - group
      - mode

sae-limon|component|frontend|{{ rv }}|extract-package:
  cmd.run:
    - name: dpkg-deb --extract /tmp/{{ pkg_name }} {{ pkg_dest }}/
    - onlyif: test -f /tmp/{{ pkg_name }}
    - require:
      - file: sae-limon|component|frontend|{{ rv }}|fetch-package
      - file: sae-limon|component|frontend|{{ rv }}|perms

sae-limon|component|frontend|{{ rv }}|cleanup:
  file.absent:
    - name: /tmp/{{ pkg_name }}
    - require:
      - file: sae-limon|component|frontend|{{ rv }}|fetch-package

{# used for validation to ensure egress of correct version #}
sae-limon|component|frontend|{{ rv }}|versions_file:
  file.managed:
    - name: {{ pkg_dest }}/var/www/limon-ui/release.txt
    - user: www-data
    - group: www-data
    - mode: 0644
    - makedirs: true
    - contents:
      - {{ rv }}
{%- endfor %}
