{%- from slspath ~ "/map.jinja" import limon_frontend_configs %}
{%- from slspath ~ "/releases.jinja" import releases_raw %}

{%- from "sae-limon/limon-node/vs.sls" import state_version as node_vs %}
{%- from "sae-limon/limon-node/" + node_vs + "/map.jinja" import limon_env %}

## PRE-REQUISITES
sae-limon|component|frontend|validate|prerequsites:
  llnw_validate.rollup:
    - name: prerequsites
    - system_name: sae-limon.frontend
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|validate|dot_env_file:
  llnw_validate.is_file:
    - name: dot_env_file
    - system_name: sae-limon.frontend
    - filename: /var/www/ui/.env
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate|prerequsites


## APPLICATION SECTION
sae-limon|component|frontend|validate|frontend:
  llnw_validate.rollup:
    - name: frontend
    - system_name: sae-limon.frontend
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate

{%- for rv in releases_raw.releases_enabled %}
{%-   set ab = limon_frontend_configs.release_ab.get(rv, None) %}
{%-   if ab %}
sae-limon|component|frontend|{{ ab }}|validate|port:
  llnw_validate.ports_listening:
    - name: {{ ab }}_port
    - system_name: sae-limon.frontend
    - ports: {{ limon_frontend_configs.release_ports[rv] }}
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate|frontend

sae-limon|component|frontend|{{ ab }}|validate|version:
  llnw_validate.http_body_contains:
    - name: {{ ab }}_version
    - system_name: sae-limon.frontend
    - url: http://127.0.0.1:{{ limon_frontend_configs.release_ports[rv] }}/release.txt
    - value: {{ rv }}
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate|frontend
{%-   endif %}
{%- endfor %}

sae-limon|component|frontend|validate|apache:
  llnw_validate.proc_running:
    - name: apache
    - system_name: sae-limon.frontend
    - search: apache2
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate|frontend


sae-limon|component|frontend|published|version:
  llnw_validate.http_body_contains:
    - name: haproxy_published_version
    - system_name: sae-limon.frontend
    - url: https://127.0.0.1/release.txt
    - insecure: True
    - value: {{ limon_frontend_configs.active_release }}
    - require_in:
      - llnw_validate: sae-limon|component|frontend|validate


## Rollups are primarily to print out write-validate files, or use in other tests.
sae-limon|component|frontend|validate:
  llnw_validate.rollup:
    - name: all
    - system_name: sae-limon.frontend
