{%- from "sae-limon/limon-node/vs.sls" import state_version as node_vs %}
{%- from "sae-limon/limon-node/" + node_vs + "/environment.jinja" import environment, user, group  %}

sae-limon|components|frontend|dev|deploy-key:
  file.managed:
    - name: /var/www/.ssh/id_limon_frontend
    - user: {{ user }}
    - group: {{ group }}
    - mode: 400
    - contents_pillar: secrets:sae-limon:limon_frontend_deploy_key
    - makedirs: true

sae-limon|components|frontend|dev|repo:
  git.latest:
    - name: git@github.llnw.net:mmr/limon2-ui.git
    - target: /var/www/dev/limon-frontend
    - user: {{ user }}
    - branch: dev
    # - force_clone: true
    # Only load the repo if the folder doesn't exist
    - unless: test -d /var/www/dev/limon-frontend
    - identity:
      - /var/www/.ssh/id_limon_frontend
    - require:
      - file: sae-limon|components|frontend|dev|deploy-key

sae-limon|components|frontend|dev|install-vendor-dependencies:
  cmd.run:
    - cwd: /var/www/dev/limon-frontend
    - runas: {{ user }}
    - name: "yarn install"
    - unless: test -d /var/www/dev/limon-frontend/node_modules
    - require:
      - git: sae-limon|components|frontend|dev|repo
      - pkg: sae|limon|install-yarn

sae-limon|components|frontend|dev|env:
  cmd.run:
    - cwd: /var/www/dev/limon-frontend
    - runas: {{ user }}
    - name: "cp env.example.json env.json"
    - unless: test -f /var/www/dev/limon-frontend/env.json
    - require:
      - git: sae-limon|components|frontend|dev|repo
      - pkg: sae|limon|install-yarn

sae-limon|components|frontend|dev|build-repo:
  cmd.run:
    - cwd: /var/www/dev/limon-frontend
    - runas: {{ user }}
    - name: "npm run build:dev"
    - unless: test -d /var/www/dev/limon-frontend/dist
    - require:
      - cmd: sae|limon|nodejs
      - cmd: sae-limon|components|frontend|dev|install-vendor-dependencies
      - cmd: sae-limon|components|frontend|dev|env
