{% from slspath ~ "/map.jinja" import rts_dash_configs %}
{% from slspath ~ "/releases.jinja" import release, release_ver %}
{% from "certs/map.jinja" import cert_path %}
{% set team_env = salt["grains.get"]("team_env", "dev") %}

include:
  - certs

sae-limon|component|rts-dash|package:
  pkg.installed:
    - pkgs:
{%    for pkgname, pkgver in release[ release_ver ]["main"].iteritems() %}
{%      if pkgver == "latest" %}
      - {{ pkgname }}
{%      else %}
      - {{ pkgname }}: {{ pkgver }}
{%      endif %}
{%    endfor %}

{# FOR DEV, if this grain is set, we use this compiled exe instead #}
{% set rts_dash_exe = salt["grains.get"]("limon:rts-dash-backend:dev_exe", "/usr/local/bin/rts-dash-backend") %}

sae-limon|component|rts-dash|config:
  file.managed:
    - name: /usr/local/etc/rts-dash-backend/config.yml
    - source: salt://{{ slspath }}/templates/rts-dash-config.yml.jinja
    - template: jinja
    - makedirs: true
    - mode: 640
    - user: www-data
    - group: www-data
{% if team_env in ["dynamic", "dev"] %}
    - replace: false
{% endif %}
    - context:
       environment: {{ salt["grains.get"]("team_env", "dev") }}
       cert: {{ cert_path['certdir'] }}/{{ cert_path['certname'] }}.crt
       key: {{ cert_path['keydir'] }}/{{ cert_path['certname'] }}.key
       rts_dash_configs: {{ rts_dash_configs }}

# CONFIGURE RUNIT
sae-limon|component|rts-dash|runit:
  llnw_runit.present:
    - name: rts-dash-backend
    - runas_user: www-data
    - runas_group: www-data:ssl-cert
    - command: {{ rts_dash_exe }}
    - svlogd: True
    - svlogd_dir: /var/log
    - svlogd_size: 409600000
    - svlogd_num: 10
    - svlogd_error: True
    - start: True
    - restart: True
    - default_down: False
    - require:
      - pkg: sae-limon|component|rts-dash|package
      - file: sae-limon|component|rts-dash|config

# RESTART COMPONENT IF OUR CONFIG CHANGES
sae-limon|component|rts-dash|restart:
  llnw_runit.restart:
    - name: rts-dash-backend
    - onchanges:
      - pkg: sae-limon|component|rts-dash|package
      - file: sae-limon|component|rts-dash|config
