sae-limon|node|apache2|pkg:
  pkg.latest:
    - name: apache2

sae-limon|node|limon-www-data:
  group.present:
    - name: www-data
  user.present:
    - name: www-data
    - groups:
      - www-data
    - createhome: False
    - shell: /bin/false
    - require:
      - pkg: sae-limon|node|apache2|pkg

sae-limon|node|apache2|dir-perms:
  file.directory:
    - name: /var/www
    - user: www-data
    - group: www-data
    - mode: 750

# EMPTY FILE /etc/apache2/ports.conf
sae-limon|node|apache2|no-port-80:
  file.managed:
    - name: /etc/apache2/ports.conf
    - contents: ""

# Disable PHP5, not used
sae|limon|apache-a2dismod:
  apache_module.disabled:
    - name: php5
    - watch_in:
      - service: sae-limon|node|apache2

# disable default site
sae-limon|node|apache-a2dissite-default:
  cmd.run:
    - name: a2dissite 000-default
    - onlyif: test -L /etc/apache2/sites-enabled/000-default.conf
    - watch_in:
      - service: sae-limon|node|apache2

{% for mod in ['rewrite', 'headers'] %}
sae-limon|node|apache-a2enmod-{{ mod }}:
  apache_module.enabled:
    - name: {{ mod }}
    - watch_in:
      - service: sae-limon|node|apache2
    - require:
      - pkg: sae-limon|node|apache2|pkg
{% endfor %}

sae-limon|node|apache2:
  service.running:
    - name: apache2
    - require:
      - pkg: sae-limon|node|apache2|pkg
