# vim: sts=3 ts=2 sw=2 et ai

{% macro sysctl(name, value) %}
sae-limon|node|sysctl-{{ name.replace(".","-").replace("_","-") }}:
  sysctl.present:
    - name: {{ name }}
    - value: {{ value }}
    - config: /etc/sysctl.conf
{%- endmacro %}

{{ sysctl("net.core.rmem_max", 16777216) }}
{{ sysctl("net.core.wmem_max", 16777216) }}
{{ sysctl("net.core.netdev_max_backlog", 2500) }}
{{ sysctl("net.ipv4.tcp_rmem", "4096 87380 16777216") }}
{{ sysctl("net.ipv4.tcp_wmem", "4096 65536 16777216") }}
{{ sysctl("net.ipv4.ip_local_port_range", "10240 65535") }}
{{ sysctl("net.ipv4.tcp_max_tw_buckets", 1440000) }}
{{ sysctl("net.ipv4.tcp_no_metrics_save", 1) }}
{{ sysctl("vm.swappiness", 0) }}
{{ sysctl("fs.file-max", 200000) }}
{{ sysctl("net.ipv4.tcp_tw_recycle", 0) }}
{{ sysctl("net.ipv4.tcp_timestamps", 1) }}
{{ sysctl("net.ipv6.conf.all.disable_ipv6", 1) }}
{{ sysctl("net.ipv6.conf.default.disable_ipv6", 1) }}
{{ sysctl("net.ipv6.conf.lo.disable_ipv6", 1) }}
{{ sysctl("net.netfilter.nf_conntrack_max", 262144) }}
