{%- set team_env = salt["grains.get"]("team_env", "production") %}
{%- from slspath ~ "/environment.jinja" import environment %}

include:
  - base_repos
  - certs
  - .sysctl
{%- if salt["network.is_private"](salt["network.default_route"](family="inet")[0]["gateway"]) %}
  - proxy
{%- endif %}
{%- if environment in ["production", "staging"] %}
  - sae-limon.limon-components.eq-agent
{%- endif %}
  - .repo
  - .sudoers
  - .ci
  - .audit
  - .apache
  - .haproxy
  - .ldap
  - .logrotate
{%- if environment in ["dynamic", "dev"] %}
  - .limon-dev
{%- else %}
  - .limon-dev-uninstall
  - .dot-env
{%- endif %}
  - sae-limon.limon-components.rts-dash
  - sae-limon.limon-components.backend
  - sae-limon.limon-components.frontend
  - .validate

sae-limon|node|for-versioned-states|always-passes:
  test.succeed_without_changes:
    - name: do-it-sae-limon-node
    - require:
      - llnw_validate: sae-limon|node|validate
