{%- set repo_map = {"dynamic": "testing", "dev": "testing", "qa": "testing", "staging": "testing", "production": "production"} %}
{%- set team_env = salt["grains.get"]("team_env", "qa") %}
{%- set oscodename = salt["grains.get"]("oscodename", "") %}

# application package
sae|limon|limon_repo:
  pkgrepo.managed:
    - name: deb [trusted=yes] http://repo.llnw.net/llnw/ubuntu/{{ repo_map[team_env] }}/limon/ {{ oscodename }}/
    - file: /etc/apt/sources.list.d/llnw.limon.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

# PHP 7 (trusty and beyond)
sae|limon|php_repo:
  pkgrepo.managed:
    - file: /etc/apt/sources.list.d/php7.ppa.list
    - name: deb [trusted=yes] http://llnwsae.vo.llnwd.net/v1/packages/mirrors/daily-update/debian/ppa.launchpad.net/ondrej/php/ubuntu/ {{ oscodename }} main
    - watch_in:
      - module: core|base_repos|apt-refresh-db

# git core on ubuntu
sae|limon|git_core:
  pkgrepo.managed:
    - file: /etc/apt/sources.list.d/git-core-ppa-{{ oscodename }}.list
    - name: deb [trusted=yes] http://llnwsae.vo.llnwd.net/ep-apt-mirror/latest/ppa.launchpad.net/git-core/ppa/ubuntu {{ oscodename }} main
    - watch_in:
      - module: core|base_repos|apt-refresh-db
