#!/bin/bash

PREV=""
for v in `ls -1 | egrep "^v[[:digit:]]+$" | sort -V`; do
    if [ -z "$PREV" ]; then
        PREV=$v
        continue
    fi

    TMP=`mktemp`
    DF=./$PREV-$v.diff
    if [ "${PREV}x" != "${v}x" ]; then
        echo -ne "Diffing $PREV and $v"
        diff -ur $PREV $v >$TMP
        if [ -e $DF ]; then
            diff -q $TMP $DF 2>&1 >/dev/null
            if [ $? -gt 0 ]; then
                mv $TMP $DF
                echo " - changed"
            else
                rm $TMP
                echo " - no change"
            fi
        else
            mv $TMP $DF
            echo " - new file"
        fi
        PREV=$v
    fi
done;
