{% from slspath ~ '/map.jinja' import mapper with context %}

# Adding loci repo
sae|loci|loci-repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ mapper.repo }}/loci/ {{ grains['oscodename'] }}/
    - file: /etc/apt/sources.list.d/llnw.loci.{{ grains['oscodename'] }}.list

sae|loci|loci-package:
  pkg.installed:
    - name: loci
    - version: 1.8.0-master-186
    - force_yes: True
    - require:
      - pkgrepo: sae|loci|loci-repo

# Dependency packages
sae|loci|loci-dependencies:
  pkg.latest:
    - names:
      - build-essential
      - libaio1
      - oracle-instantclient12.1-basic
      - python3-memory-profiler
      - python3-dev
      - python3-click
      - python3-flask
      - python3-flask-principal
      - python3-flask-cors
      - python3-flask-login
      - python3-pymysql
      - python3-ldap3
      - python3-sqlalchemy
      - python3-cx-oracle
      - python3-blinker
      - python3-gunicorn
      - python3-matplotlib
      - python3-pyshp
      - python3-pyproj
      - python3-tzlocal
      - python3-apscheduler
      - python3-jinja2
      - python3-markupsafe
      - python3-psutil
      - python3-six
      - python3-werkzeug
      - python3-requests
      - python3-openpyxl
      - python3-jdcal
      - python3-et-xmlfile
      - python3-jsonschema
      - python3-aniso8601
      - basemap
    - skip_verify: true
    - require:
      - pkg: sae|loci|loci-package
