# vim: sts=2 ts=2 sw=2 et ai
{%- from slspath~"/map.jinja" import logcompressor_map as map with context %}
{%- from slspath~"/map.jinja" import logcompressor_jobs as jobs with context %}
{%- from "pepper/map.jinja" import defaults with context %}

include:
  - sae-logcompressor.fbsd12.transition

sae|logcompressor|ics|script:
  file.managed:
    - name: {{ map.bin_dir }}/{{ map.compressor_script }}
    - source: salt://{{slspath}}/files/{{ map.compressor_script }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True

{% for job in jobs %}
sae|logcompressor|ics|job|{{ job.name }}|dest_dir:
  file.directory:
    - name: {{ job.dest_dir }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True

sae|logcompressor|ics|job|{{ job.name }}|cron:
  cron.present:
    - name: {{ map.lock_command }} {{ map.lock_path }}/{{ job.name }}.lock {{ map.bin_dir }}/{{ map.compressor_script }} -d '{{ job.dest_dir }}' -f '{{ job.file_glob }}' {{ job.compressor_params }} >/dev/null 2>&1
    - identifier: logcompressor-job-{{ job.name }}
    - user: root
    - minute: '{{ job.cron_minute }}'
    - require:
      - sae|logcompressor|ics|script
      - sae|logcompressor|ics|job|{{ job.name }}|dest_dir

  {% if 'prune' in job %}
sae|logcompressor|ics|job|{{ job.name }}|prune:
  cron.present:
    - name: find {{ job.dest_dir }} -maxdepth 1 -type f -name '{{ job.prune.file_glob }}' -mtime +{{ job.prune.age_days }} -delete
    - identifier: logcompressor-prune-{{ job.name }}
    - user: root
    - minute: '{{ job.prune.cron_minute }}'
  {% endif %}
{% endfor %}
