# vim: sts=2 ts=2 sw=2 et ai

{%- from slspath~"/map.jinja" import logcompressor_map as map with context %}
{%- from slspath~"/map.jinja" import logcompressor_jobs as jobs with context %}

{% for job in jobs %}
sae|logcompressor|ics|job|{{ job.name }}|cron-rm:
  cron.absent:
    - name: {{ map.lock_command }} {{ map.lock_path }}/{{ job.name }}.lock {{ map.bin_dir }}/{{ map.compressor_script }} -d '{{ job.dest_dir }}' -f '{{ job.file_glob }}' {{ job.compressor_params }} >/dev/null 2>&1
    - identifier: logcompressor-job-{{ job.name }}

  {% if 'prune' in job %}
sae|logcompressor|ics|job|{{ job.name }}|prune-rm:
  cron.absent:
    - name: find {{ job.dest_dir }} -maxdepth 1 -type f -name '{{ job.prune.file_glob }}' -mtime +{{ job.prune.age_days }} -delete
    - identifier: logcompressor-prune-{{ job.name }}
  {% endif %}
{% endfor %}
