# vim: sts=2 ts=2 sw=2 et ai

{% from "versioned-states/transition.jinja" import version_transition with context %}

{# #handle the case of version_has being unset on the machine (detecting any existing deployment) #} 
{% set temp_has = salt['grains.get']('vs:sae-logcompressor:version_has', 'unset') %}

{# # this is a map of lists of transitions to occur when the 'wants' value is found here #}
{% set transition_wants = {
    'v1' : [
        'sae-logcompressor.fbsd12.transition.remove_cronjobs',
        'sae-logcompressor.fbsd12.transition.move_cache_logs_backward',
        'sae-logcompressor.fbsd12.transition.remove_compressor'
    ],
    'v10': [
        'sae-logcompressor.fbsd12.transition.remove_cronjobs',
        'sae-logcompressor.fbsd12.transition.move_cache_logs_backward'
    ]
} %}
{# # this is a map of list of transitions to occur when the 'has' value is found here #}
{% set transition_has = {
    'unset': [
        'sae-logcompressor.fbsd12.transition.move_cache_logs_forward'
    ],
    'v1': [
        'sae-logcompressor.fbsd12.transition.move_cache_logs_forward'
    ],
    'v10': [
        'sae-logcompressor.fbsd12.v10.remove_cronjob',
        'sae-logcompressor.fbsd12.transition.move_cache_logs_forward'
    ]
} %}

{{ version_transition( 'sae-logcompressor', transition_wants, transition_has) }}

