# vim: sts=2 ts=2 sw=2 et ai

# file.managed currently fails to overwrite a symlink, clean it up first
# https://github.com/saltstack/salt/issues/31802
sae|logpusher|sym-clean:
  file.absent:
    - name: /etc/logpusher.conf
    - onlyif: test -L /etc/logpusher.conf

sae|logpusher|restart:
  cmd.wait:
    - name: "/usr/bin/killall logpusher; sleep 1; /usr/local/bin/logpusher"

{%- if grains['os'] == 'FreeBSD' %}
sae|logpusher|logpusher-bin-fbsd:
  file.managed:
    - name: /usr/local/bin/logpusher
    - source: http://images.llnw.net/bins/logpusher-fbsd
    - source_hash: http://images.llnw.net/bins/logpusher-fbsd.md5
    - user: root
    - group: wheel
    - mode: 755
    - makedirs: True
{%- else %}
sae|logpusher|logpusher-bin-ubuntu:
  file.managed:
    - name: /usr/local/bin/logpusher
    - source: http://images.llnw.net/bins/logpusher-ubuntu
    - source_hash: http://images.llnw.net/bins/logpusher-ubuntu.md5
    - user: root
    - group: root
    - mode: 755
{%- endif %}
