{% from "pepper/map.jinja" import defaults with context %}

sae|ltf|scripts|control3|script|user:
  user.present:
    - name: control3
    - fullname: control3
    - shell: /bin/bash
    - home: /home/control3
  group.present:
    - name: control3

sae|ltf|scripts|control3|ltf|directory|git:
  file.directory:
    - names:
      - /home/control3/work/git
      - /home/control3/work/bin
    - user: control3
    - group: control3
    - mode: 755
    - makedirs: True
    - require:
      - id: sae|ltf|scripts|control3|script|user

sae|ltf|scripts|control3_script:
  file.managed:
    - name: /usr/local/bin/control3_install.sh
    - source: salt://{{ slspath }}/files/control3_install.sh.jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - template: jinja
    - mode: 755
    - require:
      - id: sae|ltf|scripts|control3|ltf|directory|git
      - sls: {{ slspath }}.base

sae|ltf|scripts|control3_install:
  cmd.run:
    - name: "bash /usr/local/bin/control3_install.sh >/dev/null 2>&1"
    - require:
      - id: sae|ltf|scripts|control3_script

sae|ltf|scripts|user_venv_activate:
  file.append:
    - name: /home/control3/.bashrc
    - text: "source /home/control3/work/venv/bin/activate"
    - require:
      - id: sae|ltf|scripts|control3_install

sae|ltf|scripts|rc.local:
  file.managed:
    - name: /etc/rc.local
    - source: salt://{{ slspath }}/files/rc.local.jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - template: jinja
    - mode: 755
    - require:
      - id: sae|ltf|scripts|control3_script
