{% from "pepper/map.jinja" import defaults with context %}

sae|ltf|scripts|mws|script|user:
  user.present:
    - name: mws
    - fullname: mws
    - shell: /bin/bash
    - home: /home/mws
  group.present:
    - name: mws

sae|ltf|scripts|mws|ltf|directory|git:
  file.directory:
    - names:
      - /home/mws/work/git
      - /home/mws/work/bin
    - user: mws
    - group: mws
    - mode: 755
    - makedirs: True
    - require:
      - id: sae|ltf|scripts|mws|script|user

sae|ltf|scripts|mws_script:
  file.managed:
    - name: /usr/local/bin/mws_install.sh
    - source: salt://{{ slspath }}/files/mws_install.sh.jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - template: jinja
    - mode: 755
    - require:
      - id: sae|ltf|scripts|mws|ltf|directory|git
      - sls: {{ slspath }}.base

sae|ltf|scripts|mws_install:
  cmd.run:
    - name: "bash /usr/local/bin/mws_install.sh >/dev/null 2>&1"
    - require:
      - id: sae|ltf|scripts|mws_script
