# vim: sts=2 ts=2 sw=2 et ai

# This state creates the asset_owner.json file, as described here:
# https://confluence.atlas.llnw.com/display/SWENG/File+Formats+and+Locations
#
# It will be placed only on hosts that are in buildings that have a service
# provider associated with them.
# TODO: When the building does not have a service provider associated with
# it, should we leave the file alone (allowing manual configuration) or
# remove it? For now we leave it alone.

{% set mcdn_path = '/usr/local/llnw/mcdn' %}

{% set building_id = salt['grains.get']('cornerstone:building_id', 0) %}
{% set building = {} %}
{% if building_id %}
{%   set building = salt['publish.runner']('cs.cached_object', '[' + building_id|string + ',"building"]') %}
{% endif %}

{% if building and building['service_provider_account_no'] %}
{%   set service_provider = {
       "llnwOrgId": building['service_provider']|int,
       "llnwOrgShortname": building['service_provider_short_name'],
       "llnwOrgExternalId": building['service_provider_account_no']|int
     }
%}

sae|mcdn|asset-owner:
  file.managed:
    - name: {{ mcdn_path }}/asset_owner.json
    - makedirs: True
    - contents: |
        {{ service_provider|json }}
{% endif %}
