# vim: sts=2 ts=2 sw=2 et ai

{% set ghe_key = pillar['secrets']['sae']['github_key'] %}
{% set agile_token = pillar['secrets']['sae-mirrorer']['llnwsae_agile_token'] %}

include:
  - sae-sudoers.devops-team

sae|mirrorer|pkgs:
  pkg.installed:
    - names:
        - git
        - docker

sae|mirrorer|docker-service:
  service.running:
    - name: docker
    - enable: True
    - watch:
      - pkg: docker

sae|mirrorer|docker-compose:
  file.managed:
    - name: /usr/local/bin/docker-compose
    - source: http://images.llnw.net/bins/docker-compose-Linux-x86_64v1.8.0
    - source_hash: http://images.llnw.net/bins/docker-compose-Linux-x86_64v1.8.0.md5
    - makedirs: True
    - user: root
    - group: root
    - mode: 755

sae|mirrorer|repo-mirror-rpm-group:
  group.present:
    - name: rpm-mirror
    - gid: 42000

sae|mirrorer|repo-mirror-rpm-user:
  user.present:
    - name: rpm-mirror
    - uid: 42000
    - gid: 42000

{% for type in "apt", "rpm" %}
sae|mirrorer|repo-mirrorer-{{ type }}-repo:
  git.latest:
    - name: https://{{ ghe_key }}@github.llnw.net/llnw/repo-mirrorer-{{ type }}.git
    - target: /usr/local/llnw/repo-mirrorer-{{ type }}
    - rev: master
    - force_fetch: True
    - force_checkout: True
    - force_reset: True

sae|mirrorer|repo-mirrorer-{{ type }}-secrets:
  file.managed:
    - name: /usr/local/llnw/repo-mirrorer-{{ type }}/secrets.sh
    - source: salt://sae-mirrorer/templates/secrets.sh.jinja
    - require:
      - git: sae|mirrorer|repo-mirrorer-{{ type }}-repo
    - template: jinja
    - defaults:
      agile_token: {{ agile_token }}
{% endfor %}

