# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}

# TODO? Maybe the lists should actually go into mrtg_conf instead of directly
#       in these states.

# NOTE: These lists must be referenced by the fileset assigned to the host.
#       https://github.llnw.net/llnw/salt-ds/blob/master/ds-bacula/files/bacula.conf

# NOTE: /logs is a mount on the production hosts as well, but right now we're
#       not storing anything in it so it's not included.

# NOTE: Wildcards are not allowed in these lists.

# NOTE: The snapshots are important, but there's millions of them, which
#       causes issues for bacula when it tries to gather the metadata for
#       all the files it's going to back up.
# TODO: We still need to find a way to back them up, probably by making
#       tarballs of them and storing them somewhere that will get backed up.

{% if 'bacula.client' in salt['grains.get']('roles', []) %}

sae|mrtg|bacula|filelist.include:
  file.managed:
    - name: /etc/bacula/filelist.include
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 644
    - makedirs: True
    - contents: |
        /
        /local

sae|mrtg|bacula|filelist.exclude:
  file.managed:
    - name: /etc/bacula/filelist.exclude
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 644
    - makedirs: True
    - contents: |
        /proc
        /sys
        /tmp
        /local/apache/htdocs/acct/snapshots

{% endif %}
