# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}
{% from "sae-rancid/map.jinja" import rancid_conf with context %}

include:
  - .packages
  - .user

sae|mrtg|ssh-dir|last-rites:
  file.absent:
    - name: {{ mrtg_conf['home_dir'] }}/.ssh

{% if 'sae-mrtg.master' in salt['grains.get']('roles', []) %}

{% set rancid_deploy_token = salt['pillar.get']('secrets:sae-mrtg:rancid_git_ro_dt') %}

sae|mrtg|rancid-netrc:
  file.managed:
    - name: {{ mrtg_conf['home_dir'] }}/.netrc
    - user: {{ mrtg_conf['user'] }}
    - group: {{ mrtg_conf['group'] }}
    - mode: 600
    - contents: |
        machine gitlab.com login oauth2 password {{ rancid_deploy_token }}

# NOTE: this will clone the repo if it's not there,
#       but a cron job keeps it up to date
sae|mrtg|rancid-git-clone:
  git.latest:
    - name: {{ rancid_conf['git_repo'] }}
    - target: {{ mrtg_conf['rancid_dir'] }}
    - user: {{ mrtg_conf['user'] }}
    - unless: test -f {{ mrtg_conf['rancid_dir'] }}/README.md
    - require:
      - sae|mrtg|rancid-netrc
      - sae|mrtg|pkgs-other

{% endif %}
