# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}

include:
  - .packages

{% if 'sae-mrtg.master' in salt['grains.get']('roles', []) %}

sae|mrtg|crontab:
  file.managed:
    - name: /etc/cron.d/mrtg
    - require:
      - sae|mrtg|pkgs
    - contents: |
        # This file managed by salt.

        # These came from mrtg1.phx3
        */5 * * * *     {{ mrtg_conf.user }} ( echo sparserun.pl started `date -Iseconds`; /usr/local/bin/lockedrun.pl sparserun /local/mrtg/docfg/sparserun.pl ) >>{{ mrtg_conf.log_dir }}/spareserun.log 2>&1
        */5 * * * *     {{ mrtg_conf.user }} ( echo new-lhb-mrtg.sh started `date -Iseconds`; /usr/local/bin/lockedrun.pl cdsmrtg /local/mrtg/cds/new-lhb-mrtg.sh ) >>{{ mrtg_conf.log_dir }}/new-lhb-mrtg.log 2>&1
        */10 * * * *    {{ mrtg_conf.user }} ( echo docombo.sh started `date -Iseconds`; /usr/local/bin/lockedrun.pl docombo /local/apache/htdocs/mrtg/combo/docombo.sh ) >>{{ mrtg_conf.log_dir }}/docombo.log 2>&1
        */10 * * * *    {{ mrtg_conf.user }} ( echo mergemrtg.pl started `date -Iseconds`; /usr/local/bin/lockedrun.pl mergemrtg /local/apache/htdocs/mergemrtg/code/mergemrtg.pl ) >>{{ mrtg_conf.log_dir }}/mergemrtg.log 2>&1
        17 */4 * * *    {{ mrtg_conf.user }} ( echo mksnaps.pl started `date -Iseconds`; /usr/local/bin/lockedrun.pl mksnaps /usr/bin/time /local/apache/htdocs/acct/code/mksnaps.pl ) >>{{ mrtg_conf.log_dir }}/mksnaps.log 2>&1
        34 * * * *      {{ mrtg_conf.user }} ( echo mergesnap.pl started `date -Iseconds`; /usr/local/bin/lockedrun.pl mergesnap /usr/bin/time /local/apache/htdocs/mergemrtg/code/mergesnap.pl ) >>{{ mrtg_conf.log_dir }}/mergesnap.log 2>&1
        4 */4 * * *     {{ mrtg_conf.user }} ( echo acct.sh started `date -Iseconds`; /local/apache/htdocs/acct/code/acct.sh ) >>{{ mrtg_conf.log_dir }}/acct.log 2>&1

        # These came from unix
        # NOTE: removed derive.pl and derive2.pl because docombo.sh above calls them
        5 5 * * *       {{ mrtg_conf.user }} ( echo mkfrcpumrtg.pl started `date -Iseconds`; /local/mrtg/docfg/mkfrcpumrtg.pl ) >>{{ mrtg_conf.log_dir }}/mkfrcpumrtg.log 2>&1
        */30 * * * *    {{ mrtg_conf.user }} ( echo git pull started `date -Iseconds`; cd {{ mrtg_conf['rancid_dir'] }} && git fetch origin && git reset --hard origin/master ) >>{{ mrtg_conf.log_dir }}/rancid_git.log 2>&1
        # from /local/rancid/llnw/run.sh
        50 * * * *      {{ mrtg_conf.user }} ( echo diff_update_mrtg_cfg.pl started `date -Iseconds`; /local/mrtg/docfg/diff_update_mrtg_cfg.pl ) >>{{ mrtg_conf.log_dir }}/diff_update_mrtg_cfg.log 2>&1

sae|mrtg|crontab|log_rotate:
  file.managed:
    - name: /etc/logrotate.d/mrtg
    - contents: |
        {{ mrtg_conf.log_dir }}/*.log {
          rotate 5
          weekly
        }

{% else %}

sae|mrtg|crontab:
  file.absent:
    - name: /etc/cron.d/mrtg
    - require:
      - sae|mrtg|pkgs

{% endif %}
