# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}
{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}

include:
  - sysctl.ipv6_disable
  - firewall.standard
  - firewall.web
  - sae-xfer
  - sudoers.setup
  - .backups
  - .configs
  - .cron
  - .manual-configs
  - .mounts
  - .packages
  - .user
  - .web

sae|mrtg|sudoers:
  file.managed:
    - name: {{ sudo_map.includedir }}/mrtg
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - require:
      - file: core|sudoers|includedir
    - contents: |
        # This file is managed by salt
        %posix-mrtg-admin,%sre-delivery ALL=(ALL) ALL
        %NAE,%ops-netops,%ops-neteng,%netops,%ops.asa,%ops-opseng ALL=(mrtg) \
          /local/mrtg/docfg/cfgmaker_llnw.pl, \
          /bin/mv /local/mrtg/cfg/* /local/mrtg/cfg/bak/

# mrtg user needs to be able to read files in xfer home dir
extend:
  sae|xfer|homedir:
    file.directory:
      - mode: 755

{% for dir in mrtg_conf['mrtg_dirs'] %}
sae|mrtg|xfer|{{ dir }}:
  file.directory:
    - name: {{ dir }}
    - user: {{ mrtg_conf.user }}
    - group: {{ mrtg_conf.group }}
    - mode: 755
    - makedirs: True
    - require:
      - sae|mrtg|user
{% endfor %}

sae|mrtg|limits-conf:
  file.managed:
    - name: /etc/security/limits.d/mrtg.conf
    - contents: |
        root    soft    nofile  65536
        root    hard    nofile  65536
        *       soft    nofile  65536
        *       hard    nofile  65536
