# vim: sts=2 ts=2 sw=2 et ai

# These scripts have some hardcoded values to configure some graphs, so
# there's no point in running them unless the script changed. It would
# obviously be better to move stuff into a config file and/or do some
# discovery in the scripts, but this is what we have for now.

{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}

{% set basedir = mrtg_conf['home_dir'] %}

{% set manual_scripts = {
  'docfg/modbus-cfgmaker.pl': 'cfg/modbus1.phx3.llnw.net-amps.dcfg',
  'docfg/build-temp/build-temp1-phx3': 'cfg/temp1-phx3.dcfg',
  'docfg/build-temp/build-temp2-phx3': 'cfg/temp2-phx3.dcfg',
  'docfg/build-temp/build-tempx1-b19': 'cfg/tempx1-b19-phx7.dcfg',
  'docfg/build-temp/build-tempx1-b21': 'cfg/tempx1-b21-phx7.dcfg'
} %}

include:
  - .packages
  - .user

{% for script, output in manual_scripts.iteritems() -%}
sae|mrtg|manual-configs|{{ script }}:
  cmd.run:
    - name: '{{ basedir }}/{{ script }}'
    - onlyif: '[ {{ basedir }}/{{ script }} -nt {{ basedir }}/{{ output }} ]'
    - runas: mrtg
    - require:
      - sae|mrtg|user
      - sae|mrtg|pkgs
      - sae|mrtg|pkgs-other
{% endfor -%}

