# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-mrtg/map.jinja" import mrtg_conf, repo_env with context %}

include:
  - base_repos

sae|mrtg|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ repo_env }}/mrtg/ {{ grains['oscodename'] }}/
    - file: /etc/apt/sources.list.d/llnw.mrtg.{{ grains['oscodename'] }}.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

sae|mrtg|pkgs:
  pkg.installed:
    - pkgs: {{ mrtg_conf.packages|json }}
    - require:
      - pkgrepo: sae|mrtg|repo

# NOTE: sae-mrtg.cron will clobber the crontab created by the mrtg package

sae|mrtg|pkgs-other:
  pkg.installed:
    - pkgs:
      - git
      - snmp
      - snmp-mibs-downloader

# This file change is required to enable usage of the downloaded MIBs
sae|mrtg|pkgs|enable-mibs:
  file.comment:
    - name: /etc/snmp/snmp.conf
    - backup: False
    - regex: '^mibs :'
    - require:
      - sae|mrtg|pkgs-other
