# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}
{% from 'certs/map.jinja' import cert_path with context %}

include:
  - apache2
  - apache2.acl
  - apache2.prefork
  - apache2.ssl
  - apache2.rewrite
  - certs

sae|mrtg|apache|site-conf:
  file.managed:
    - name: /etc/apache2/sites-available/mrtg.conf
    - source: salt://sae-mrtg/templates/apache_mrtg.conf.jinja
    - template: jinja
    - defaults:
        conf: {{ mrtg_conf|yaml }}
        cert: {{ cert_path['certdir'] }}/{{ cert_path['certname'] }}.crt
        key: {{ cert_path['keydir'] }}/{{ cert_path['certname'] }}.key
    - require:
      - pkg: sae|mrtg|pkgs
      - pkg: core|apache2|pkg
    - watch_in:
      - service: core|apache2|service

sae|mrtg|apache|mod-authnz_ldap:
  apache_module.enabled:
    - name: authnz_ldap
    - require:
      - pkg: core|apache2|pkg
    - watch_in:
      - service: core|apache2|service

sae|mrtg|apache|mod-cgi:
  apache_module.enabled:
    - name: cgi
    - require:
      - pkg: core|apache2|pkg
    - watch_in:
      - service: core|apache2|service

sae|mrtg|apache|site-enable:
  apache_site.enabled:
    - name: mrtg
    - watch:
      - file: sae|mrtg|apache|site-conf
    - watch_in:
      - service: core|apache2|service
