# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "pepper/map.jinja" import netblocks %}

# bind, because anycast resolvers are too good to give up
sae|msops|bind-pkg:
  pkg.latest:
    - names:
      - bind9
      - bind9utils

sae|msops|bind-conf:
  file.managed:
    - name: /etc/bind/named.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/named.conf
    - require:
      - pkg: sae|msops|bind-pkg

sae|msops|bind-rfc1918:
  file.managed:
    - name: /etc/bind/named.conf.llnw-rfc1918
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/named.conf.llnw-rfc1918
    - require:
      - pkg: sae|msops|bind-pkg

sae|msops|bind-options:
  file.managed:
    - name: /etc/bind/named.conf.llnw-options
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/templates/named.conf.llnw-options.jinja
    - template: jinja
    - context:
        netblocks: {{ netblocks }}
    - require:
      - pkg: sae|msops|bind-pkg

sae|msops|bind-rndc-key:
  file.managed:
    - name: /etc/bind/rndc.key
    - user: bind
    - group: root
    - mode: 600
    - source: salt://sae-msops/templates/rndc.key.jinja
    - template: jinja
    - require:
      - pkg: sae|msops|bind-pkg

sae|msops|bind-service:
  service.running:
    - name: bind9
    - enable: True
    - full_restart: True
    - watch:
      - file: sae|msops|bind-conf
      - file: sae|msops|bind-rfc1918
      - file: sae|msops|bind-options
