#!/bin/bash

# Intention is to compare local pop with the returned hostname answering for Anycast hostnames
# Script will default to checking EP-DNS anycast records if no arguments are supplied

pop=`hostname | awk -F "." '{print $2}' 2>&1`;
host=$1;
record=$2;
proto=$3;

if [ "$host" == "" ]; then
  host="aa1.dns.llnw.net";
fi

if [ "$record" == "" ]; then
  record="host.llnw.status";
fi

if [ "$proto" == "" ]; then
  proto="4";
fi

dig=`dig +time=5 +tries=1 -$proto @$host $record TXT +short | awk -F "." '{print $2}' 2>&1`;

if [ "$dig" != "$pop" ] ; then
  echo 1; 
else
  echo 0;
fi

