# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - .pkgs

# quagga states, yes copy pasta.
sae|msops|quagga-daemons-conf:
  file.managed:
    - name: /etc/quagga/daemons
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/quagga-daemons
# This needs fleshed out. a lot. presently drops a dummy config in for manual editing
# deterministic eth1 IPs will let us do this much much better
sae|msops|onhv_quagga-conf:
  file.managed:
    - name: /etc/quagga/Quagga.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/templates/Quagga.conf.jinja
    - template: jinja
    - defaults:
        eth1_ip: {{ salt['grains.get']('ip4_interfaces:eth1:0') }}
    - require_in:
      - sls: sae|msops|pkgs
sae|msops|quagga-service:
  service.running:
    - name: quagga
    - enable: True
    - full_restart: True
    - watch:
      - file: sae|msops|onhv_quagga-conf
      - file: sae|msops|quagga-daemons-conf
    - require: 
      - service: sae|msops|bind-service
      - service: sae|msops|syslog-service
      - service: sae|msops|tftpd-hpa-service

# ntpd states, yes copy pasta.
sae|msops|ntpd-conf:
  file.managed:
    - name: /etc/ntp.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/ntp.conf
sae|msops|ntpd-service:
  service.running:
    - name: ntp
    - enable: True
    - full_restart: True
    - watch:
      - file: sae|msops|ntpd-conf