# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{% if ('salt_states_vb' in grains and grains['salt_states_vb'] == True) or grains['singel'] is defined %}
# Dynamic is defined as any short term VM turnup
# Vagrant / Openstack / etc
  {% set environment='dynamic' %}
  {% set repo_env='testing' %}
{% else %}
  {% set environment=salt['grains.get']('team_env', 'production') %}
  {% if 'dev' in environment %}
    {% set repo_env='testing' %}
  {% else %}
    {% set repo_env=environment %}
  {% endif %}
{% endif %}

include:
  - base_repos

sae|msops|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ repo_env }}/msops/ {{ grains['oscodename'] }}/
    - file: /etc/apt/sources.list.d/llnw.msops.{{ grains['oscodename'] }}.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

sae|msops|pkgs:
  pkg.latest:
    - names:
      - iftop
      - iotop
      - ipcalc
      - nmap
      - ntp
      - quagga
