# vim: sts=2 ts=2 sw=2 et ai
{% from "pepper/map.jinja" import defaults with context %}

{% set netmask = salt["network.interface"]("eth1")[0]["netmask"] %}
{% set address = salt["network.interface"]("eth1")[0]["address"] %}
{% set cidr = salt["network.calc_net"](address + "/" + netmask) %}

# Not ideal, but rendering order requires we install ipcalc first.
{% if not salt.pkg.version("ipcalc") %}

sae|msops|ipcalc-retry:
  test.fail_without_changes:
    - name: "The ipcalc package was missing at highstate. Highstate needs run again."
    - require:
      - pkg: sae|msops|pkgs

{% else %}

{%   set gateway = salt["cmd.run"]("ipcalc " + cidr + " | grep HostMin | awk '{print $2}'") %}

sae|msops|internal-route:
  network.routes:
    - name: eth1
    - routes:
      - name: internal
        ipaddr: 10.0.0.0
        netmask: 255.0.0.0
        gateway: {{ gateway }}

sae-msops|setroute:
  cmd.run:
    - name: /sbin/route add -net "10.0.0.0" netmask "255.0.0.0" gw {{ gateway }}
    - onchanges:
      - network: sae|msops|internal-route

{% endif %}
