# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "pepper/map.jinja" import netblocks %}

sae|msops|syslog-pkg:
  pkg.latest:
    - names:
      - syslog-ng

# this has to exist and be owned by xfer for pxemaster to sync tftpboot files
sae|msops|syslog-opt-syslog:
  file.directory:
    - names: 
      - /opt/syslog
      - /opt/syslog/daily
      - /opt/syslog/daily_nosplunk
    - user: root
    - group: root
    - mode: 755
    - makedirs: True

sae|msops|syslog-ng-conf:
  file.managed:
    - name: /etc/syslog-ng/syslog-ng.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/templates/syslog-ng.conf.jinja
    - template: jinja
    - require:
      - pkg: sae|msops|syslog-pkg

sae|msops|syslog-ng-conf-d-llnw-conf:
  file.managed:
    - name: /etc/syslog-ng/conf.d/opsramp.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/templates/opsramp.conf.jinja
    - template: jinja
    - require:
      - pkg: sae|msops|syslog-pkg

sae|msops|logrotate-syslog-ng-conf:
  file.managed:
    - name: /etc/logrotate.d/syslog-ng
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/logrotate-syslog-ng
    - require:
      - pkg: sae|msops|syslog-pkg

sae|msops|rsyslog-bak-remove:
  file.absent:
    - name: /etc/logrotate.d/rsyslog.bak

sae|msops|syslog-cleanup-cron:
  cron.present:
    - name: 'find /opt/syslog/daily*/ -type d -mtime +5 -exec rm -rf {} \;'
    - identifier: syslog-cleanup-cron
    - minute: random
    - hour: 0
    - require:
      - file: sae|msops|syslog-opt-syslog

sae|msops|syslog-service:
  service.running:
    - name: syslog-ng
    - enable: True
    - full_restart: True
    - watch:
      - file: sae|msops|syslog-ng-conf
      - file: sae|msops|syslog-ng-conf-d-llnw-conf
