#!/bin/bash
set -eux

# default admin user for nexus
admin_username=${admin_username:-admin}
admin_password=${admin_password:-admin123}
nexus_domain="localhost:8081"

# Wait for response from Nexus to verify it is running 
until (curl -u admin:admin123 http://localhost:8081/service/metrics/ping > /dev/null 2>&1) 
do
  sleep 10 > /dev/null 2>&1
done
   
# see https://help.sonatype.com/display/NXRM3/REST+and+Integration+API
# see https://nexus.example.com/swagger-ui/
# see https://httpie.org/doc
    source_filename="/opt/nexus/provision-ldap.groovy"

    # delete provision script from nexus 
    delete_result=$(http \
        -a "$admin_username:$admin_password" \
        --ignore-stdin \
        DELETE http://$nexus_domain/service/rest/v1/script/provision.groovy)   


    # post provision script to nexus
    create_result=$(http \
        -a "$admin_username:$admin_password" \
        --ignore-stdin \
        --check-status \
        POST http://$nexus_domain/service/rest/v1/script \
        name=provision.groovy \
        type=groovy \
        "content=@$source_filename")

    # Run the script 
    http \
        -a "$admin_username:$admin_password" \
        --ignore-stdin \
        --check-status \
        POST http://$nexus_domain/service/rest/v1/script/provision.groovy/run \
        Content-Type:text/plain
