# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

{# TODO put this in pepper defaults? -#}
{% if salt['grains.get']('os_family') == 'FreeBSD' -%}
{%   set lock_noblock = '/usr/bin/lockf -t 0' -%}
{% else -%}
{%   set lock_noblock = '/usr/bin/flock -n' -%}
{% endif %}

include:
  - .executable
  - .logrotate

sae|ocsp|cron-wrapper:
  file.managed:
    - name: /usr/local/bin/fetch_ocsp.cronjob
    - source: salt://{{ slspath }}/templates/fetch_ocsp.cronjob
    - template: jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 744
    - context:
        lock_noblock: {{ lock_noblock|yaml }}

sae|ocsp|crontab:
  file.managed:
    - name: /etc/cron.d/fetch_ocsp
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - contents: |
        17,47 * * * * root /usr/local/bin/fetch_ocsp.cronjob >>/logs/fetch_ocsp/fetch_ocsp.log 2>&1
    - require:
      - sae|ocsp|cron-wrapper
      - sae|ocsp|executable
      - sae|ocsp|logdir
