# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context -%}

sae|ocsp|logdir:
  file.directory:
    - name: /logs/fetch_ocsp
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True

{% if grains['os_family'] == 'FreeBSD' -%}

sae|ocsp|newsyslog:
  file.managed:
    - name: /usr/local/etc/newsyslog.conf.d/fetch_ocsp.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - contents: |
        # logfilename mode count size when flags
        /logs/fetch_ocsp/fetch_ocsp.log 644 4 * $W0 JN

{% else -%}

sae|ocsp|logrotate:
  file.managed:
    - name: /etc/logrotate.d/fetch_ocsp.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - contents: |
        /logs/fetch_ocsp/fetch_ocsp.log {
          weekly
          rotate 4
          compress
        }

{% endif -%}
