#!/bin/bash

# Joins an opennebula cluster.
# Usage join_cluster.sh master_host

if [[ -z "$1" ]]; then
    echo "Missing master address"
    exit 1
fi

MASTER=$1

# Check if we can connect to the master at all
ssh $MASTER ls > /dev/null

if [[ $? != 0 ]]; then
    echo "changed=false comment='Master node ${MASTER} is unreachable'"
    exit 0
fi

# Check if we are already in the custer
ssh $MASTER onehost show `hostname -f` > /dev/null

RES=$?
HN=$(hostname -f)

if [[ $RES == 0 ]]; then
    # We are already in the cluster. Nothing to do
    echo "changed=false comment='Host ${HN} already belongs to this cluster'"
    exit 0
fi

# Join the cluster
ssh $MASTER onehost create -i kvm -v kvm $HN > /dev/null

RES=$?

if [[ $RES == 0 ]]; then
    echo "changed=true comment='Host ${HN} added to the cluster'"
else
    echo "changed=false comment='Error adding ${HN} to the cluster'"
fi