{% from slspath ~ "/map.jinja" import one_version, master_host, clusterid with context %}

include:
  - .common

sae|opennebula|pkg-node:
  pkg.installed:
    - pkgs:
        - opennebula-node: {{one_version}}
    - require:
      - file: sae|opennebula|datastore-symlink
    - require_in:
      - file: sae|opennebula|ssh-key
      - file: sae|opennebula|ssh-pubkey
      - file: sae|opennebula|ssh-authorized-keys
      - file: sae|opennebula|ssh-config

{% if master_host and clusterid %}
sae|opennebula|join-cluster:
  cmd.script:
    - name: salt://{{ slspath }}/scripts/join_cluster.sh
    - args: {{ master_host }}
    - stateful: true
    - runas: oneadmin
    - require:
      - pkg: sae|opennebula|pkg-node
{% else %}
sae|opennebula|join-cluster:
  test.configurable_test_state:
    - comment: "Missing data to join cluster. master_host is blank. Cluster ID: {{ clusterid }}"
    - result: False
    - changes: False
{% endif %}