#!/bin/bash

MID=$(onemarket list | awk '/LLNW Agile/ {print $1}')

if [[ -n "${MID}" ]]; then
    # Market is already installed
    echo "A marketplace with the id ${MID} already exists"
    echo
    echo "changed=no"
    exit 1
fi

echo -e "NAME=\"LLNW Agile Market\"\nMARKET_MAD=agile\n" > /tmp/market_template.txt

onemarket create /tmp/market_template.txt

MID=$(onemarket list | awk '/LLNW Agile/ {print $1}')

if [[ -z "${MID}" ]]; then
    echo "Market creation failed"
    echo
    echo "changed=no comment='Marketplace creation failed'"
    exit 1
fi

onemarket chmod $MID 744

echo
echo "changed=yes comment='Marketplace ${MID} created'"