{% from slspath ~ "/map.jinja" import one_version, groups, admin_group, dbconfig, clusterid, onegate_endpoint with context %}

include:
  - .common

sae|opennebula|pkg-master:
  pkg.installed:
    - pkgs:
        - opennebula: {{one_version}}
        - opennebula-sunstone: {{one_version}}
        - opennebula-gate: {{one_version}}
        - opennebula-flow: {{one_version}}
    - require:
      - file: sae|opennebula|datastore-symlink
    - require_in:
      - file: sae|opennebula|ssh-key
      - file: sae|opennebula|ssh-pubkey
      - file: sae|opennebula|ssh-authorized-keys
      - file: sae|opennebula|ssh-config

sae|opennebula|install-gems:
  cmd.run:
    - name: /usr/share/one/install_gems --yes
    - unless: /usr/share/one/install_gems --check
    - require:
      - pkg: sae|opennebula|pkg-master

{% if clusterid %}
sae|opennebula|oned-config:
  file.managed:
    - name: /etc/one/oned.conf
    - source:
      - salt://{{ slspath }}/files/oned.conf.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: 644
    - context:
      oned:
        dbconfig: {{ dbconfig }}
        clusterid: {{ clusterid }}
        onegate_endpoint: {{ onegate_endpoint }}

sae|opennebula|ldap-config:
  file.managed:
    - name: /etc/one/auth/ldap_auth.conf
    - source:
      - salt://{{ slspath }}/files/ldap_auth.conf
    - require:
      - pkg: sae|opennebula|pkg-master

sae|opennebula|opennebula-service:
  service.running:
    - name: opennebula
    - enable: true
    - require:
      - file: sae|opennebula|ldap-config
      - file: sae|opennebula|oned-config

sae|opennebula|sunstone-service:
  service.running:
    - name: opennebula-sunstone
    - enable: true
    - require:
      - service: sae|opennebula|opennebula-service

sae|opennebula|groups:
  cmd.script:
    - name: salt://{{ slspath }}/scripts/create_group.sh
    - args: {{ admin_group }} /var/lib/one/server1.yaml {% for group in groups %}{{ group }}{% endfor %}
    - stateful: true
    - require:
      - service: sae|opennebula|opennebula-service

{% else %}
sae|opennebula|join-cluster:
  test.configurable_test_state:
    - comment: "Cluster ID is not defined. This is required to finish setting up the service."
    - result: False
    - changes: False
{% endif %}
