# [OpenTSDB](http://www.opentsdb.net)

OpenTSDB template

## Beastly Hadoop

Beastly Hadoop is a simplified Hadoop stack using FreeBSD's packages.

It is intended for single purpose use, at this time running HDFS for HBase for
OpenTSDB.

## Requirements

* FreeBSD 10 or later

## Notes

Region normalizer (HBase 1.2+):
```
alter 'tsdb', {NORMALIZATION_ENABLED => 'true'}
```

Initialization of OpenTSDB tables:

Note: the 20 region uniform split aligns with the `tsd.storage.salt.buckets = 20`

```
sudo -u hbase /usr/local/hbase/bin/hbase org.apache.hadoop.hbase.util.RegionSplitter tsdb UniformSplit -c 20 -f t
sudo -u hbase /usr/local/hbase/bin/hbase shell

alter 'tsdb', NAME => 't', DATA_BLOCK_ENCODING => 'FAST_DIFF'
alter 'tsdb', NAME => 't', TTL => 63072000
alter 'tsdb', NAME => 't', COMPRESSION => 'LZ4'

create 'tsdb-uid', {NAME => 'id', COMPRESSION => 'LZ4', BLOOMFILTER => 'ROW', TTL => 63072000, DATA_BLOCK_ENCODING => 'FAST_DIFF'}, {NAME => 'name', COMPRESSION => 'LZ4', BLOOMFILTER => 'ROW', TTL => 63072000, DATA_BLOCK_ENCODING => 'FAST_DIFF'}
create 'tsdb-tree', {NAME => 't', VERSIONS => 1, COMPRESSION => 'LZ4', BLOOMFILTER => 'ROW', TTL => 63072000, DATA_BLOCK_ENCODING => 'FAST_DIFF'}
create 'tsdb-meta', {NAME => 'name', COMPRESSION => 'LZ4', BLOOMFILTER => 'ROW', TTL => 63072000, DATA_BLOCK_ENCODING => 'FAST_DIFF'}
```

## TSDB Proxy
These hosts run nginx with a tcp stream proxy on port 4242 to allow for pops which can not currently route 10.* space over the GRE tunnels to send metrics
