# vim: sts=2 ts=2 sw=2 et ai
{% from "zookeeper/map.jinja" import zookeeper_map with context%}

{% if grains['os_family'] == 'FreeBSD' -%}

include:
  - sae-opentsdb.shared

sae|opentsdb|ingestnode-pkgs:
  pkg.installed:
    - name: opentsdb

sae|opentsdb|ingestnode-opentsdbconf:
  file.managed:
    - name: /usr/local/etc/opentsdb/opentsdb.conf
    - mode: 444
    - template: jinja
    - source: salt://sae-opentsdb/templates/opentsdb.conf.jinja
    - defaults:
        zookeeper_servers: {{ zookeeper_map['servers']|sequence }}
    - watch_in:
      - service: sae|opentsdb|ingestnode-opentsdb-service

sae|opentsdb|ingestnode-opentsdblogconf:
  file.managed:
    - name: /usr/local/etc/opentsdb/logback.xml
    - mode: 444
    - source: salt://sae-opentsdb/templates/logback.xml.jinja
    - watch_in:
      - service: sae|opentsdb|ingestnode-opentsdb-service

{% set services_ingestnode = ['opentsdb'] -%}

{% for service in services_ingestnode -%}
sae|opentsdb|ingestnode-{{ service }}-service:
  service.running:
    - name: {{ service }}
    - enable: True
{% endfor %}

{% endif %}
