# vim: sts=2 ts=2 sw=2 et ai

{% if grains['os_family'] == 'FreeBSD' -%}

include:
  - sae-opentsdb.shared

sae|opentsdb|namenode-pkgs:
  pkg.installed:
    - pkgs:
      - p5-libwww
      - p5-JSON

sae|opentsdb|shared-hadoop-namenode-dfs-llnw-dir:
  file.directory:
    - name: /tsdb/shared/namenode/dfs
    - user: hdfs
    - group: hadoop
    - makedirs: True

{% set services_namenode = ['zkfc', 'hbase_master', 'namenode'] %}

{%   for service in services_namenode  %}
sae|opentsdb|namenode-{{ service }}-service:
  service.running:
    - name: {{ service }}
    - enable: True
    - require:
      - file: sae|opentsdb|shared-hadoop-namenode-dfs-llnw-dir
{%   endfor %}

{% endif %}
