# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks with context %}

include:
  - firewall.standard
  - firewall.web

sae|opentsdb|proxy-ports:
  firewall.accept:
    - tcp:
      - [4242, {{ netblocks }}] # tsdb streaming proxy port
      - [7203, {{ netblocks }}] # loghitbyte
    - require_in:
      - firewall: core|firewall|final-reject

sae|opentsdb|account-map:
  file.managed:
    - name: /var/tmp/account.map
    - source: http://oa-tools-01.phx7.llnw.net/account_map/account.map
    - source_hash: http://oa-tools-01.phx7.llnw.net/account_map/account.map.md5
    - mode: 644

sae|opentsdb|lhbd3:
  file.managed:
    - name: /usr/local/bin/lhbd3.pl
    - user: root
    - group: root
    - mode: 755
    - source: salt://sae-opentsdb/files/lhbd3.pl

sae|opentsdb|start-lhbd3:
  cron.absent:
    - name: '/usr/local/bin/lhbd3.pl'
    - identifier: lhbd3
    - minute: '*/1'
    - require:
      - file: sae|opentsdb|lhbd3

sae|opentsdb|proxy-init:
  file.managed:
    - name: /etc/init.d/nginx
    - user: root
    - group: root
    - mode: 755
    - source: salt://sae-opentsdb/files/initd-nginx

sae|opentsdb|rootdir:
  file.directory:
    - name: /var/www/monitoring/
    - user: root
    - group: root
    - mode: 755
    - makedirs: True

sae|opentsdb|index:
  file.managed:
    - name: /var/www/monitoring/index.html
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-opentsdb/files/index.html
    - require:
      - file: sae|opentsdb|rootdir

sae|opentsdb|proxy-conf:
  file.managed:
    - name: /etc/nginx/nginx.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-opentsdb/files/nginx.conf
    - require:
      - file: sae|opentsdb|index

sae|opentsdb|proxy-service-enabled:
  service.enabled:
    - name: nginx

sae|opentsdb|proxy-service-running:
  service.running:
    - name: nginx
    - enable: True
