#!/bin/bash
set -e
set -x
# Initial setup of Jenkins

source jenkinslib.sh
touch autosetup.txt

wait_for_jenkins

systemctl stop jenkins

# Back up configuration (and use it for checking changes below)
cp config.xml config.xml.bak

# Enable LDAP authentication
enable_security
# enable_security now has restart and wait_for_jenkins builtin and it starts nginx (stopped to prevent unauthorized access)

# Prevent wizard from showing
version=$(java -jar jenkins-cli.jar -version | sed 's/^Version: //' | tee jenkins.install.InstallUtil.lastExecVersion)

set +e

result=$(diff config.xml config.xml.bak)
if [[ $? == 0 ]]; then
    echo
    echo "changed=no"
else
    result=$(echo $result|awk -F '=' '{print $1 " ..."}') #truncate lines that have '=' (illegal character)
    echo
    echo "changed=yes comment='${result}' version='${version}'"
fi
