# INIT sls={{ sls }} slspath={{ slspath }}
{%- set product = "sae-opsjenkins" %}
{%- set component_name = "sae-opsjenkins" %}
{%- set role = "sae-opsjenkins" %}
{%- set role_path = "sae-opsjenkins" %}
{%- set vs_name = "vs:" + role %}

{#- GET PRODUCTION_VS VALUE #}
{%- import_yaml role_path  + "/production_vs.yml" as prod_vs_raw %}
{%- set set_vs_dict = salt["grains.filter_by"](prod_vs_raw, grain="team_env", default="production") %}
{%- set prod_vs = set_vs_dict["version_state"] %}
# PROD_VS = {{ prod_vs }}

{#- GET VERSION WANTS #}
{%- set version_wants_grain = vs_name + ":version_wants" %}
{%- set version_wants = salt["grains.get"](version_wants_grain, "") %}
{%- set actual_version = version_wants %}
# VERSION_WANTS = {{ version_wants }}

{#- GET VERSION HAS #}
{%- set version_has_grain = vs_name + ":version_has" %}
{%- set version_has = salt["grains.get"](version_has_grain, "") %}
# VERSION_HAS = {{ version_has }}

{#- IF VERSION_WANTS IS NULL, USE VERSION_HAS #}
{%- if version_wants == "" and version_has != "" %}
{%-   set actual_version = version_has %}
{%- endif %}

{#- IF PROD_VS is higher than VERSION_HAS, we'll use that #}
{%- if salt["vs_compare.greater"](version_has, prod_vs) %}
{%-   set actual_version = prod_vs %}
{%- endif %}

{#- IF VERSION_WANTS IS HIGHER THAN PROD_VS, we'll use that #}
{%- if salt["vs_compare.greater"](prod_vs, version_wants) %}
{%-   set actual_version = version_wants %}
{%- endif %}

# INIT-PRE actual_version={{ actual_version }} setting version_wants grain

{#- For importing elsewhere. #}
{%- set state_version = actual_version %}
