# Versioned state for: opsramp-agent

States to deploy the OpsRamp agent, this adds an opsramp user and installs the opsramp agent as that user.  Non-root users are currently not supported by OpsRamp on FreeBSD.

These states aim to achieve a lite-failover in the absence of gateway redundancy and failover support with the OpsRamp product.  This is achieved by ensuring that the gateway is capable of establishing TCP connections on it's active port prior to running states for the agent.  Should a gateway be unable to establish a TCP connection during Jinja render-time, the states generated will reconfigure the agent for the secondary gateway or direct to the service until such a time when the original gateway is reachable again.  Gateways are assigned via random selection, and any further balancing must happen manually. 

Unique grains:
```
sae-opsramp:agent:gateway	[string]	- Stores the fqdn of the currently selected gateway
sae-opsramp:agent:force_lab	[true|false]	- When set, this overrides a non-devnet agent to connect to the lab client
sae-opsramp:agent:direct	[true|false]	- When set, an agent with this grain will skip local gateways to connect directly to OpsRamp
```
