
# HERE {
# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "pepper/map.jinja" import netblockswithv6 %}
{% from "pepper/map.jinja" import egblocks %}
{% from "zabbix/map.jinja" import zabbix_proxy_ips, zabbix_proxy_ranges %}

# Reference https://confluence.atlas.llnw.com/display/SWENG/CDS+Approved+ports,+protocols,+services+table
#
# Publicly open ports
# 80        Edgeprism squid1, squid2
# 443       IRR (general pool), Edgeprism SSL (enterprise pool)
# 1119      EdgePrism (squid1, for Blizzard and EP1 monitoring)

# Internally open ports
# 22        SSH
# 123       NTP
# 2002      Loghitbyte
# 7171      POP Selection Probe Agent
# 8000      EdgePrism (squid2)
# 8001-8256 EdgePrism (squid1 MPEP child)
# 8888      Edgeprism Exporter
# 9001-9256 EdgePrism (squid2 MPEP child)
# 10050     Zabbix
# 17000     EQ Logstreamer

include:
  - firewall

ep|component|firewall|vs|enable_v6:
  grains.present:
    - name: fw_ipv6_enabled
    - value: True

ep|component|firewall|vs|rules:
  firewall.accept:
    - tcp:
      - [9999, ['2001:504:18::/48','2800:1e0:2101::/48','49.96.254.94/32', '49.96.254.93/32']]
    - stateful: True
    - require_in:
      - firewall: core|firewall|final-reject

ep|component|firewall|vs|public:
  firewall.accept:
    - tcp:
      - 80
      - 443
      - 1119
      - 8000-8256 
      - 9001-9256
    - ip_version: both
    - stateful: False
    - require_in:
      - firewall: core|firewall|final-reject
# END HERE }
