{% from slspath ~ "/map.jinja" import opsramp_config with context %}
{%- import_yaml slspath ~ '/defaults.yaml' as defaults %}

# {{opsramp_config|json}}
# {{defaults|json}}

{% if (grains['os_family'] == 'Debian') %}

salt-sae|opsramp|agent|remove:
  pkg.removed:
    - pkgs:
      - {{ opsramp_config['agent_package'] }}

{% elif (grains['os_family'] == 'FreeBSD') %}

{# because deleting packages on FreeBSD is hard #}
salt-sae|opsramp|agent|remove:
  cmd.run:
    - name: 'yes|pkg delete {{ opsramp_config['agent_package'] }}'

{% endif %}

salt-sae|opsramp|agent|remove|configure-opsramp-agent-sh:
    file.absent:
        - name: /usr/local/bin/configure-opsramp-agent.sh

salt-sae|opsramp|agent|remove|cron_d|opsramp_agent:
    file.absent:
        - name: /etc/cron.d/opsramp-agent

salt-sae|opsramp|agent|remove|logrotate|opsramp-agent:
    file.absent:
        - name: /etc/logrotate.d/opsramp-agent

salt-sae|opsramp|agent|remove|newsyslog|configure_opsramp_agent:
    file.absent:
        - name: /usr/local/etc/newsyslog.conf.d/configure-opsramp-agent.conf

salt-sae|opsramp|agent|remove|current_gateway:
    file.absent:
        - name: /tmp/current_opsramp_gateway 

salt-sae|opsramp|agent|remove|configure-opsramp-agent-log:
    file.absent:
        - name: /var/log/opsramp/configure-opsramp-agent.log

{# mainly needed on FreeBSD #}
salt-sae|opsramp|agent|remove|configuration_properties:
    file.absent:
        - name: /opt/opsramp/agent/conf/configuration.properties

salt-sae|opsramp|agent-uninstall|remove|user:
  group.absent:
    - name: {{ defaults['component_group'] }}
  user.absent:
    - name: {{ defaults['component_user'] }}

