# INIT sls={{ sls }} slspath={{ slspath }}
{%- set product = "salt-sae" %}
{%- set component_name = "agent" %}
{%- set component_state_path = "sae-opsramp.agent" %}
{%- set vs_name = "vs:sae-opsramp.agent" %}

{#- GET PRODUCTION_VS VALUE #}
{%- import_yaml slspath ~ "/production_vs.yml" as prod %}
{%- import_yaml slspath ~ "/nonprod_vs.yml" as nonprod %}
{%- set global_vs_combined = {} %}
{%- do global_vs_combined.update(prod) %}
{%- do global_vs_combined.update(nonprod) %}

# Look up global minimum version for env in appropriate dictionary
{%- set team_env = salt['grains.get']('team_env','production') %}
{%- set minimum_version_str = global_vs_combined[team_env]['minimum_version'] %}

{%- set global_vs = minimum_version_str %}
# GLOBAL_VS = {{ global_vs }}

{#- GET VERSION WANTS #}
{%- set version_wants_grain = vs_name + ":version_wants" %}
{%- set version_wants = salt["grains.get"](version_wants_grain, "") %}
{%- set actual_version = version_wants %}
# VERSION_WANTS = {{ version_wants }}

{#- GET VERSION HAS #}
{%- set version_has_grain = vs_name + ":version_has" %}
{%- set version_has = salt["grains.get"](version_has_grain, "") %}
# VERSION_HAS = {{ version_has }}

{#- IF VERSION_WANTS IS NULL, USE VERSION_HAS #}
{%- if version_wants == "" and version_has != "" %}
{%-   set actual_version = version_has %}
{%- endif %}

{#- IF GLOBAL_VS is higher than VERSION_HAS, we'll use that #}
{%- if salt["vs_compare.greater"](version_has, global_vs) %}
{%-   set actual_version = global_vs %}
{%- endif %}

{#- IF VERSION_WANTS IS HIGHER THAN GLOBAL_VS, we'll use that #}
{%- if salt["vs_compare.greater"](global_vs, version_wants) %}
{%-   set actual_version = version_wants %}
{%- endif %}

{#- IF GLOBAL_VS IS HIGHER THAN VERSION_WANTS, we'll use that #}
{%- if salt["vs_compare.greater"](version_wants, global_vs) %}
{%-   set actual_version = global_vs %}
{%- endif %}

# INIT-PRE actual_version={{ actual_version }} setting version_wants grain

{#- For importing elsewhere. #}
{%- set state_version = actual_version %}
