{% from slspath ~ "/map.jinja" import defaults,gateway_cs_dict with context %}

# gateway_cs_dict: {{gateway_cs_dict|json}}
{% set preferred_gateway = gateway_cs_dict.get('preferred_gateway', None) %}
# preferred_gateway: {{preferred_gateway}}

include:
  - sae-msops

salt-sae|sae-opsramp|syslog|install|proxy:
  file.managed:
    - name: /opt/syslog-proxy/syslog-proxy.py
    - source: salt://{{ slspath }}/files/syslog-proxy.py
    - makedirs: True
    - template: jinja
    - user: root
    - mode: 755

{# install scapy #}
salt-sae|sae-opsramp|syslog|install|scapy:
  pkg.installed:
    - name: python-scapy

{# edit configuration values in syslog-proxy.py #}
salt-sae|sae-opsramp|syslog|syslog-proxy|configure:
  file.blockreplace:
    - name: /opt/syslog-proxy/syslog-proxy.py
    - marker_start: "# { managed via Salt - do not edit"
    - marker_end: "# } end: managed via Salt"
    - append_if_not_found: true
    - content: |
        # config vars
        sport = 42114           # local source port
        lport = 5514            # local listen port
        dhost = '{{preferred_gateway}}'  # gw ip
        dport = 514             # gw destination port
        tz_offset = '-07:00'    # MST
        dns_cache_ttl = 3600    # seconds
        dns_cache_size = 3000   # num. cache entries

{# overwrite opsramp.conf from salt-sae/sae-msops/syslog.sls             #}
{# NOTE: salt-sae/sae-msops should be updated once this is in production #}
salt-sae|sae-opsramp|syslog|opsramp-conf|configure:
  file.managed:
    - name: /etc/syslog-ng/conf.d/opsramp.conf
    - source: salt://{{ slspath }}/files/opsramp.conf
    - makedirs: True
    - template: jinja
    - user: root
    - mode: 644
    - requires:
      - pkg: sae|msops|syslog-pkg
      - file: sae|msops|syslog-ng-conf

{# install runit file #}
salt-sae|sae-opsramp|syslog|service|install|run:
  file.managed:
    - name: /etc/service/syslog-proxy/run
    - source: salt://{{ slspath }}/files/run
    - makedirs: True
    - user: root
    - mode: 755
    - requires:
      - file: salt-sae|sae-opsramp|syslog|configure
      - pkg: salt-sae|sae-opsramp|syslog|install|scapy

