#!/bin/bash

export BASE_APP_DIR={{ portmon.app_base_dir }}
export APP_CONFIG_DIR={{ portmon.config_base_dir }}
export GEAR_CONFIG_DIR=${APP_CONFIG_DIR}/rules

echo "Start Scrapper"
echo "Time:" `date "+%Y%m%d-%H%M%S"`
${BASE_APP_DIR}/portmon-sync info:collect -gear=${GEAR_CONFIG_DIR}/all.yaml -config ${APP_CONFIG_DIR}/portmon-sync.yaml
if [ $? -ne 0 ]; then
  echo "Scrapper Failed"
  echo "Time:" `date "+%Y%m%d-%H%M%S"`
  exit 1
fi

echo "Start Macro Manager"
echo "Time:" `date "+%Y%m%d-%H%M%S"`
#Macro
${BASE_APP_DIR}/portmon-sync info:macro -config ${APP_CONFIG_DIR}/portmon-sync.yaml
if [ $? -ne 0 ]; then
  echo "Macro Failed"
  echo "Time:" `date "+%Y%m%d-%H%M%S"`
  exit 1
fi

echo "Start Item Manager"
echo "Time:" `date "+%Y%m%d-%H%M%S"`
#Item
${BASE_APP_DIR}/portmon-sync info:items -config /etc/portmon/portmon-sync.yaml
if [ $? -ne 0 ]; then
  echo "Item Failed"
  echo "Time:" `date "+%Y%m%d-%H%M%S"`
  exit 1
fi

echo "Start Trigger Manager"
echo "Time:" `date "+%Y%m%d-%H%M%S"`
#Trigger
${BASE_APP_DIR}/portmon-sync info:triggers -config /etc/portmon/portmon-sync.yaml
if [ $? -ne 0 ]; then
  echo "Trigger Failed"
  echo "Time:" `date "+%Y%m%d-%H%M%S"`
  exit 1
fi
