{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}
{% from slspath ~ "/map.jinja" import portmon with context %}
{% set release = grains['oscodename'] %}

include:
  - sae-zabbix-infra.repo
# {{ portmon | json }}

sae|portmon-sync|zabbix_repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ portmon.repo_env }}/zabbix/ {{ release }}/
    - file: /etc/apt/sources.list.d/llnw.zabbix.{{ release }}.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

sae|portmon-sync|packages:
  pkg.installed:
    - pkgs:
      - llnw-zabbixapi-perl
      - zabbix-sender
      - portmon
    - require:
      - pkgrepo: sae|zabbix-infra|repo
      - pkgrepo: sae|portmon-sync|zabbix_repo
    - skip_verify: True

sae|portmon-sync|permissions:
  group.present:
    - name: {{ portmon.ZBXUser }}
  user.present:
    - name: {{ portmon.ZBXUser }}
    - gid_from_name: True

sae|portmon-sync|portmon:
  file.managed:
    - template: jinja
    - name: {{ portmon.config_base_dir }}/portmon.yaml
    - source: salt://{{ slspath }}/files/portmon.yaml
    - mode: 644
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group
    - context:
      portmon: {{portmon|json}}

sae|portmon-sync|portmon-api:
  file.managed:
    - template: jinja
    - name: {{ portmon.config_base_dir }}/portmon-api.yaml
    - source: salt://{{ slspath }}/files/portmon-api.yaml
    - mode: 644
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group
    - context:
      portmon: {{ portmon|json }}

sae|portmon-sync|gear-file:
  file.managed:
    - template: jinja
    - name: {{ portmon.config_base_dir }}/rules/all.yaml
    - source: salt://{{ slspath }}/files/all.yaml
    - mode: 644
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group
    - context:
      portmon: {{ portmon|json }}

sae|portmon-sync|portmon-cron:
  file.managed:
    - name: /etc/cron.d/portmon-sync
    - user: root
    - group: root
    - mode: 640
    - template: jinja
    - source: salt://{{ slspath }}/files/portmon-sync.jinja

sae|portmon-sync|portmon-runner:
  file.managed:
    - template: jinja
    - name: {{ portmon.app_base_dir }}/portmon-runner.sh
    - source: salt://{{ slspath }}/files/portmon-runner.sh
    - mode: 755
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group
    - context:
      portmon: {{ portmon|json }}