<?php
include('/opt/portmon/etc/config-portmon.php');

$debug=1;

### took 30mins to run on 8/23/2012

$start_time = date('D H:i');

$pidfile = '/var/run/portmon-item-mgr-cron-script.pid';
pidCk();

// set to 1 if you had to stop midway through and dont want to traverse the same hosts twice.
$resume=0;

$host_log_file = 'hosts-updated.log';

$already_updated_hosts = array();

if ($resume == 1) {
   $fmode = 'a';
   $lines = file($host_log_file);
   if (isset($lines)) {
      foreach ($lines as $a=>$b) {
         $b = trim($b);
         list($udate,$uhost) = split(',', $b);
         array_push($already_updated_hosts, $uhost);
      }
   }
}
$fmode = ($resume == 1) ? 'a' : 'w';
$hlog = fopen($host_log_file,$fmode);

//
// function:
// update per-port network gear Items in Zabbix accordingly.
// adds missing itmes, keeps existing items the same (unless we're making a config change to the item), and removes the rest.
// runs via cron.
//

// if we need to force a configuration change, add the item keys and what params need updated.
// use the array key "applications" to have application assignments updated for the given obj type.
// the value for applications can be anything, its not used in the update.
// example:
// $item_config_update['ifHCInOctets']['applications'] = 1;

/*
$item_config_update['ifHCInOctets']['applications'] = 1;
$item_config_update['ifHCOutOctets']['applications'] = 1;
$item_config_update['ifHCInUcastPkts']['applications'] = 1;
$item_config_update['ifHCOutUcastPkts']['applications'] = 1;
$item_config_update['ifInErrors']['applications'] = 1;
$item_config_update['ifOutErrors']['applications'] = 1;
$item_config_update['ifOperStatus']['applications'] = 1;

$item_config_update['ifHCInOctets']['delay'] = '600';
$item_config_update['ifHCOutOctets']['delay'] = '600';
$item_config_update['ifHCInUcastPkts']['delay'] = '600';
$item_config_update['ifHCOutUcastPkts']['delay'] = '600';
$item_config_update['ifInErrors']['delay'] = '600';
$item_config_update['ifOutErrors']['delay'] = '600';
$item_config_update['ifOperStatus']['delay'] = '600';
*/

//$item_config_update['ifInErrors']['units'] = 'eps';

/*
$item_config_update['ifInErrors']['delta'] = '1';
$item_config_update['ifOutErrors']['delta'] = '1';
$item_config_update['ifInErrors']['value_type'] = '0';
$item_config_update['ifOutErrors']['value_type'] = '0';
*/


// only touch devices in these Host Groups:
$netgear_hostgroups = array('llnw-hg_net-type-fr', 'llnw-hg_net-type-swf', 'llnw-hg_net-type-swh','llnw-hg_net-type-swa','llnw-hg_net-type-dr', 'llnw-hg_net-type-mor', 'llnw-hg_net-type-mpr', 'llnw-hg_net-type-cr', 'llnw-hg_net-type-vvr', 'llnw-hg_net-type-sma');

// these are the item keys we'll be appling to Zabbix
//$item_keys = array('ifHCInOctets', 'ifHCOutOctets', 'ifInErrors', 'ifOutErrors', 'ifOperStatus', 'ifHCInUcastPkts', 'ifHCOutUcastPkts', 'ifAlias');
$item_keys = array('ifHCInOctets', 'ifHCOutOctets', 'ifInErrors', 'ifOutErrors', 'ifOperStatus', 'ifHCInUcastPkts', 'ifHCOutUcastPkts');

// each host should have these apps configured for per-port assignments
$app_names = array('Interface Bandwidth', 'Interface Errors', 'Interface Status', 'Unicast Packets', 'Port Names');

// application to item key mappings
$app_to_item_map['ifHCInOctets']     = 'Interface Bandwidth';
$app_to_item_map['ifHCOutOctets']    = 'Interface Bandwidth';
$app_to_item_map['ifInErrors']       = 'Interface Errors';
$app_to_item_map['ifOutErrors']      = 'Interface Errors';
$app_to_item_map['ifOperStatus']     = 'Interface Status';
$app_to_item_map['ifHCInUcastPkts']  = 'Unicast Packets';
$app_to_item_map['ifHCOutUcastPkts'] = 'Unicast Packets';
$app_to_item_map['ifAlias']          = 'Port Names';

// global defaults for item params
foreach ($item_keys as $i=>$ik) {
   $item_params[$ik]['delay']   = '300';
   $item_params[$ik]['history'] = '3';
   $item_params[$ik]['trends']  = '365';
   $item_params[$ik]['status']  = '0'; // 0 = enabled, 1 = disabled
   $item_params[$ik]['snmp_community'] = 'l3m0nl1m3';
   $item_params[$ik]['snmp_port'] = '161';
}

// port types and what items get created for each.
// these 4 types dont record any bw or error data, they're all virtual interfaces.
$port_types[135] = array('ifOperStatus'); // l2vlan (ve)
$port_types[24]  = array('ifOperStatus'); // softwareLoopback (lb)  (24 is the loopback iface type on HP's. just gonna leave this as-is)
$port_types[150] = array('ifOperStatus'); // mplsTunnel (tnl)
$port_types[131] = array('ifOperStatus'); // tunnel (gre)

// these 2 types are actual physical interfaces.
// 6 is also the ethernet type on HP, but also need to add 54 & 161 for HP trunked ports
$port_types[6]   = array('ifHCInOctets', 'ifHCOutOctets', 'ifInErrors', 'ifOutErrors', 'ifOperStatus',
                         'ifHCInUcastPkts', 'ifHCOutUcastPkts', 'ifAlias'); // ethernetCsmacd (ge)
$port_types[202] = array('ifHCInOctets', 'ifHCOutOctets', 'ifInErrors', 'ifOutErrors', 'ifOperStatus',
                         'ifHCInUcastPkts', 'ifHCOutUcastPkts', 'ifAlias'); // virtualTg (LAG)

// additional types for HP switches
$port_types[54] = array('ifHCInOctets', 'ifHCOutOctets', 'ifInErrors', 'ifOutErrors', 'ifOperStatus',
                        'ifHCInUcastPkts', 'ifHCOutUcastPkts', 'ifAlias'); // trunked port
$port_types[161] = array('ifHCInOctets', 'ifHCOutOctets', 'ifInErrors', 'ifOutErrors', 'ifOperStatus',
                         'ifHCInUcastPkts', 'ifHCOutUcastPkts', 'ifAlias'); // trunked port


// end of user configs //


$hgids = array();
foreach ($netgear_hostgroups as $hg) {
   $hgid = getHostGroupId($hg);
   array_push($hgids, $hgid);
}

$devices = getHostgroups($hgids);

$c=0;
foreach ($devices as $a=>$b) {
   foreach ($devices[$a]['hosts'] as $d=>$e) {
      $host   = $e['host'];
      $hostid = $e['hostid'];

      if (in_array($host, $already_updated_hosts)) {
         print "resume enabled. skipping $host. already updated in last pass.\n";
         continue;
      }

      if ($host != 'swh1103-02-39.phx3.llnw.net') {
         //continue;
      }

      $hids = array($hostid);
      $host_snmp_interface = getHostInterfaces($hids);
      $snmp_interface_id = $host_snmp_interface[0]['interfaceid'];

      if (!isset($snmp_interface_id) || $snmp_interface_id <= 0) {
         print "$host: WARN: no snmp interface set. cannot add items for this host.\n";
         continue;
      }

      if ($c > 0) {
         //$sec = rand(0,1);
         $sec = 0;
         print "Taking a nap for $sec seconds\n";
         sleep($sec);
      }
      ++$c;

      print "$host\n";

      // $ifaces = $db->get_results("SELECT * FROM interface_cache WHERE device='$host'");
      $q = "SELECT * FROM interface_cache WHERE device='$host'";
      $result = $db->query($q);

      //print_r($ifaces);

      $ifDescr = array(); // this is the port type. ie- 10GigabitEthernet1/1
      $ifAlias = array(); // this is the port-name (human description)
      $ifSpeed = array(); // this is the maximum speed of the interface (10,000 = 10 Gbps)
      $ifType  = array(); // this is the type of iface (numeric). we only create items for certain types
      $ifAdmin = array(); // this is the admin status of the port. if admin down, we disable the Item. if port is admin up, Item is enabled.

      while($i = $result->fetch_assoc()) {
           if (isset($i)) {
              $ifDescr[$i['ifIndex']] = $i['ifDescr'];
              $ifAlias[$i['ifIndex']] = $i['ifAlias'];
              $ifSpeed[$i['ifIndex']] = $i['ifSpeed'];
              $ifType[$i['ifIndex']]  = $i['ifType'];
              $ifAdmin[$i['ifIndex']] = $i['ifAdminStatus'];

              $ifDescr[$i['ifIndex']] = preg_replace('/^"/', '', $ifDescr[$i['ifIndex']]);
              $ifDescr[$i['ifIndex']] = preg_replace('/"$/', '', $ifDescr[$i['ifIndex']]);

              $ifAlias[$i['ifIndex']] = preg_replace('/^"/', '', $ifAlias[$i['ifIndex']]);
              $ifAlias[$i['ifIndex']] = preg_replace('/"$/', '', $ifAlias[$i['ifIndex']]);

           }
           else {
                print "WARN: $host does not exist in interface_cache table, or db query failed.\n";
                fwrite($hlog, date('m-d-y H:i:s').','.$host."\n");
                continue;
           }
      }

      // local fn in this script. ensures applications exist for host.
      // returns $host_apps['<appid>'] = '<name of app>'
      $host_apps = applicationsSync($hostid, $app_names);

      foreach ($item_keys as $sk) {
         $srch['field'] = 'key_';
         $srch['value'] = $sk;

         $objType = $sk;

         $existing_oids   = array();
         $current_item_values = array();
         $items_to_remove = array();
         $items_to_enable = array();
         $items_to_disable = array(); // this are admin down'd ports that we dont need to collect stats for. but want to keep them in zabbix.

         $select_with['selectApplications'] = 'refer';
         $item = getItems($hostid, $filter='', $srch, $select_with);
         if (isset($item)) {
            foreach ($item as $ik=>$ia) {
               if (preg_match('/\.(\d+)$/', $ia['key_'], $m)) {
                  $zoid = $m[1];
                  if (isset($ifDescr[$zoid])) {
                     print "$host: matched existing key: ".$ia['key_']."\n";
                     array_push($existing_oids,$zoid);
                     $current_item_values[$ia['itemid']] = $ia;
                     if ($ia['status'] == '1' && $ifAdmin[$zoid] == 1) {
                        print "$host: INFO: adding to enable array: ".$ia['key_']."\n";
                        array_push($items_to_enable, $ia['itemid']);
                     }
                     elseif ($ia['status'] == '0' && $ifAdmin[$zoid] == 2) {
                        print "$host: INFO: adding to disable array: ".$ia['key_']."\n";
                        array_push($items_to_disable, $ia['itemid']);
                     }
                  }
                  else {
                     print "$host: oid does not exist in iface cache db, remove item: ".$ia['key_']."\n";
                     array_push($items_to_remove,$ia['itemid']);
                  }
               }
               else {
                  print "WARN: $host: zabbix key_ did not contain a valid oid extention (remove it?): ".$ia['key_']."\n";
               }
            }

            $appids = array();
            foreach ($host_apps as $applicationid=>$app_name) {
               if ($app_to_item_map[$objType] == $app_name) {
                  array_push($appids, $applicationid);
               }
            }

            foreach ($ifDescr as $oid=>$descr) {
               if (!in_array($oid,$existing_oids)) {

                  if (isset($ifType[$oid])) {
                     $iface_type = $ifType[$oid];
                     $iface_admin_status = $ifAdmin[$oid];
                  }
                  else {
                     print "$host: WARN: No ifType defined for this interface. skipping it\n";
                     continue;
                  }

                  //$port_types[135] = array('ifOperStatus'); // l2vlan (ve)
                  $item_ok=0;
                  if (isset($port_types[$iface_type])) {
                     foreach ($port_types[$iface_type] as $item_type) {
                        if ($item_type == $objType) {
                           $item_ok=1;
                        }
                     }
                  }
                  if ($item_ok == 0) {
                     //print "$host: not creating item for type: $objType for $descr. not in port type list.\n";
                     continue;
                  }

                  //print "$host: adding new item: $sk.$oid\n";
                  $new_item_id = createPortmonItems($hostid, $objType, $oid, $appids, $snmp_interface_id, $iface_admin_status);
                  $sec = rand(0,0);
                  print "$host: created new item id: $new_item_id ($sk.$oid) [sleep: $sec]\n";
                  sleep($sec);
               }
            }

            // for items that already exists in zabbix, we can perform updates if we want.
            if (isset($item_config_update[$objType]) && count($item_config_update[$objType]) > 0) {
               foreach ($current_item_values as $itemid=>$item_array) {
                  $resp = updatePortmonItems($itemid, $item_config_update[$objType], $item_array, $appids);
                  if ($resp != 'no changes') {
                     $msec = rand(0,1000); // 1,000,000 = 1sec
                     print "$host: updated items for $itemid, settings were different. [sleep: $msec micro sec]\n";
                     usleep($msec);
                  }
                  else {
                     print "$host: UPDATE requested, but no change made. resp: $resp\n";
                  }
               }
            }

            if (count($items_to_remove) > 0) {
               print "$host: removing unused itemids for $sk\n";
               deleteItems($items_to_remove);
            }

            foreach ($items_to_enable as $itemid) {
               $sec = rand(0,0);
               print "$host: item is disabled, going to enable it: $itemid ($sk) [sleep: $sec]\n";
               updateItemStatus($itemid,0);
               sleep($sec);
            }
            foreach ($items_to_disable as $itemid) {
               $sec = rand(0,0);
               print "$host: item is enabled, going to disable it: $itemid ($sk) [sleep: $sec]\n";
               updateItemStatus($itemid,1);
               sleep($sec);
            }

         }
         else {
            print "ERROR: $host: Failed to get item data for host\n";
            exit;
         }
      }
      fwrite($hlog, date('m-d-y H:i:s').','.$host."\n");
   }
}

$end_time = date('D H:i');
print "Start: $start_time, End: $end_time\n";

fclose($hlog);

unlink($pidfile);
exit;


function applicationsSync($hostid, $app_names) {

   $hostids = array($hostid);
   $app_resp = getApplications($hostids);

   $existing_apps = array();
   foreach ($app_resp as $k=>$ary) {
      $name  = $ary['name'];
      $appid = $ary['applicationid'];
      $app_templateid = empty($ary['templateid']) ? 0 : $ary['templateid'];

      $existing_apps[$appid] = $name;

      // doesnt exist in our list of app names so delete it
      if (!in_array($name, $app_names) && $app_templateid == 0) {
         $appids = array($appid);
         removeApplications($appids);
         unset($existing_apps[$appid]);
      }
   }

   foreach ($app_names as $k=>$name) {
      if (!in_array($name, $existing_apps)) {
         $new_appids = createApplications($hostid, $name);
         $existing_apps[$new_appids['applicationids'][0]] = $name;
      }
   }

   return $existing_apps;
}

?>
