<?php
include('/opt/portmon/etc/config-portmon.php');

$debug=1;

## took 10min to run on 8/23/2012

$pidfile = '/var/run/portmon-macro-mgr-cron-script.pid';
pidCk();

$start_time = date('D H:i');

// set to 1 if you had to stop midway through and dont want to traverse the same hosts twice.
$resume=0;

$host_log_file = 'host-macros-updated.log';

$already_updated_hosts = array();

if ($resume == 1) {
   $fmode = 'a';
   $lines = file($host_log_file);
   if (isset($lines)) {
      foreach ($lines as $a=>$b) {
         $b = trim($b);
         list($udate,$uhost) = split(',', $b);
         array_push($already_updated_hosts, $uhost);
      }
   }
}
$fmode = ($resume == 1) ? 'a' : 'w';
$hlog = fopen($host_log_file,$fmode);

// only touch devices in these Host Groups:
$netgear_hostgroups = array('llnw-hg_net-type-fr', 'llnw-hg_net-type-swf', 'llnw-hg_net-type-swh', 'llnw-hg_net-type-swa', 'llnw-hg_net-type-dr', 'llnw-hg_net-type-mor', 'llnw-hg_net-type-mpr', 'llnw-hg_net-type-cr', 'llnw-hg_net-type-vvr', 'llnw-hg_net-type-sma');
//$netgear_hostgroups = array('llnw-hg_net-type-swf');

// only touching these interface specfic macros, dont want to mess with others that may have been created for another reason
$macro_keys['ifAlias'] = 'IFALIAS';
$macro_keys['ifDescr'] = 'IFDESCR';
$macro_keys['ifSpeed'] = 'IFSPEED';

$hgids = array();
foreach ($netgear_hostgroups as $hg) {
   $hgid = getHostGroupId($hg);
   array_push($hgids, $hgid);
}

$devices = getHostgroups($hgids);

$c=0;
foreach ($devices as $a=>$b) {
   foreach ($devices[$a]['hosts'] as $d=>$e) {
      $host   = $e['host'];
      $hostid = $e['hostid'];

      if (in_array($host, $already_updated_hosts)) {
         print "resume enabled. skipping $host. already updated in last pass.\n";
         continue;
      }

      if ($host != 'fr3.atl1.llnw.net') {
         //continue;
      }

      if ($c > 0) {
         $sec = rand(0,1);
         print "Taking a nap for $sec seconds\n";
         sleep($sec);
      }
      ++$c;

      print "$host\n";

      $q = "SELECT * FROM interface_cache WHERE device='$host'";
      $result = $db->query($q);

      $ifMacros = array();

      while($i = $result->fetch_assoc()) {
         if (isset($i)) {
            $ifMacros['ifDescr'][$i['ifIndex']] = $i['ifDescr']; // this is the port type. ie- 10GigabitEthernet1/1
            $ifMacros['ifAlias'][$i['ifIndex']] = $i['ifAlias']; // this is the port-name (human description)
            $ifMacros['ifSpeed'][$i['ifIndex']] = $i['ifSpeed']; // this is the maximum speed of the interface (10,000 = 10 Gbps)

            $ifMacros['ifDescr'][$i['ifIndex']] = preg_replace('/^"/', '', $ifMacros['ifDescr'][$i['ifIndex']]);
            $ifMacros['ifDescr'][$i['ifIndex']] = preg_replace('/"$/', '', $ifMacros['ifDescr'][$i['ifIndex']]);

            $ifMacros['ifAlias'][$i['ifIndex']] = preg_replace('/^"/', '', $ifMacros['ifAlias'][$i['ifIndex']]);
            $ifMacros['ifAlias'][$i['ifIndex']] = preg_replace('/"$/', '', $ifMacros['ifAlias'][$i['ifIndex']]);
         }
         else {
            print "WARN: $host does not exist in atlas, or db query failed.\n";
            fwrite($hlog, date('m-d-y H:i:s').','.$host."\n");
            continue;
         }
      }

      $host_macros = getMacros($hostid);

      if (isset($host_macros)) {

         $existing_macroids = array();
         $macros_to_keep    = array();
         $macros_to_add     = array();
         $macros_to_update  = array();

         $muc=0;
         $mac=0;

         foreach ($macro_keys as $ident=>$macro_key) {

            $existing_macros   = array();

            foreach ($host_macros as $n=>$ary) {
               $macroid = $ary['hostmacroid'];
               $macro   = $ary['macro'];
               $value   = $ary['value'];

               $pattern = '/^\{\$'.$macro_key.'(\d+)/';
               if (preg_match($pattern, $macro, $m)) {
                  $macro_index = $m[1];
                  array_push($existing_macroids, $macroid);
                  $existing_macros[$ident]['macro'][$macroid] = $macro;
                  $existing_macros[$ident]['value'][$macroid] = $value;
                  $existing_macros[$ident]['macro_index'][$macroid] = $macro_index;
               }
            }

            if (!isset($ifMacros[$ident])) {
               continue;
            }

            foreach ($ifMacros[$ident] as $ifIndex=>$ifValue) {
               $match=0;

               if (isset($existing_macros[$ident]['macro_index'])) {
                  foreach ($existing_macros[$ident]['macro_index'] as $macroid=>$macro_index) {
                     if ($ifIndex == $macro_index) {
                        $macro = $existing_macros[$ident]['macro'][$macroid];
                        $value = $existing_macros[$ident]['value'][$macroid];
                        array_push($macros_to_keep, $macroid);
                        $match=1;
                        print "$host: matching oid_index, keep this macro [$macroid]. ($macro)\n";

                        if ($ident == 'ifSpeed') {
                           $ifValue = speedConvertAtlasToZbx($ifValue);
                        }
                        if ($ident == 'ifAlias' && $ifValue == '') {
                            // this is temporary until atlas gets its shit together. too much missing data currently.
                           if ($value == '' || $value == 'no port-name') {
                              $ifValue = 'no port-name';
                           }
                           else {
                              $ifValue = $value;
                           }
                        }

                        if ($value != $ifValue) {
                           print "$host: macro needs updated, value has changed ($macro) from: $value new: $ifValue\n";
                           $macros_to_update[$muc]['macro'] = $macro;
                           $macros_to_update[$muc]['value'] = $ifValue;
                           $macros_to_update[$muc]['hostmacroid'] = $macroid;
                           ++$muc;
                        }
                     }
                  }
               }

               if ($match == 0) {
                  $new_macro = '{$'.$macro_key.$ifIndex.'}';
                  $macros_to_add[$mac]['macro'] = $new_macro;

                  if ($ident == 'ifSpeed') {
                     $ifValue = speedConvertAtlasToZbx($ifValue);
                  }
                  if ($ident == 'ifAlias' && $ifValue == '') {
                     $ifValue = 'no port-name';
                  }

                  $macros_to_add[$mac]['value'] = $ifValue;
                  $macros_to_add[$mac]['hostid'] = $hostid;
                  ++$mac;
               }
            }
         }

         if (count($macros_to_add) > 0) {
            print "adding new macros: ".preg_replace('/\n\s+/', ' ', print_r($macros_to_add,true))."\n";
            addHostMacros($hostid, $macros_to_add);
         }
         if (count($macros_to_update) > 0) {
            print "updating existing macros: ".preg_replace('/\n\s+/', ' ', print_r($macros_to_update,true))."\n";
            updateHostMacros($hostid, $macros_to_update);
         }

         foreach ($existing_macroids as $mid) {
           if (!in_array($mid,$macros_to_keep)) {
              print "$host: remove this unused macroid: $mid\n";
              //print "$host: would have remove this unused macroid: $mid but not until atlas has complete data set.\n";
              $mids = array($mid);
              deleteHostMacros($mids);
           }
         }
      }
      else {
         print "ERROR: $host: Failed to get macros.\n";
         exit;
      }
      fwrite($hlog, date('m-d-y H:i:s').','.$host."\n");
   }
}

$end_time = date('D H:i');

//$fh = fopen($sync_time_file, 'w');
//fwrite($fh, "Start: $start_time, End: $end_time");
//fclose($fh);

print "Peak Mem Usage: ".memory_get_peak_usage(true)." (bytes)\n";
print "Start: $start_time, End: $end_time\n";


fclose($hlog);

unlink($pidfile);
exit;

?>
