{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}
{% from slspath ~ "/map.jinja" import portmon with context %}

include:
  - sae-zabbix-infra.repo

# portmon - {{ portmon | json }}
# sls path - {{ slspath }}

sae|portmon-sync|packages:
  pkg.installed:
    - pkgs:
      - llnw-zabbixapi-perl
      - llnw-portmon-sync: 2.0.4
      - llnw-zabbix-portmon: 1.0.5
      - zabbix-sender
      - php7.0
      - php7.0-curl
      - php7.0-mysql
    - require:
      - pkgrepo: sae|zabbix-infra|repo
    - skip_verify: False

sae|portmon-sync|permissions:
  group.present:
    - name: {{ portmon.ZBXUser }}
  user.present:
    - name: {{ portmon.ZBXUser }}
    - gid_from_name: True

sae|portmon-sync|config-portmon-sync:
  file.recurse:
    - name: {{ portmon.base_dir }}etc
    - source: salt://{{slspath}}/etc
    - template: jinja
    - dir_mode: 775
    - file_mode: 644
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group
    - context:
      portmon: {{portmon|json}}

sae|portmon-sync|snmp-collector:
  file.recurse:
    - name: {{ portmon.portmon_dir }}/etc
    - source: salt://{{slspath}}/portmon
    - template: jinja
    - file_mode: 644
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - recurse:
      - user
      - group
    - context:
      portmon: {{portmon|json}}

sae|portmon-sync|config-portmon:
  file.managed:
    - name: /opt/zabbix/etc/portmon-trigger-mgr.yml
    - source: salt://{{ slspath }}/files/portmon-trigger-mgr.yml
    - template: jinja
    - mode: 644
    - user: {{ portmon.ZBXUser }}
    - group:  {{ portmon.ZBXUser }}
    - makedirs: True
    - require:
      - pkg: sae|portmon-sync|packages
    - context:
      portmon: {{portmon|json}}

sae|portmon-sync|item-mgr-php:
  file.managed:
    - name: /opt/portmon/bin/portmon-item-mgr.php
    - source: salt://{{ slspath }}/files/portmon-item-mgr.php
    - mode: 664
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group

sae|portmon-sync|macro-mgr-php:
  file.managed:
    - name: /opt/portmon/bin/portmon-macro-mgr.php
    - source: salt://{{ slspath }}/files/portmon-macro-mgr.php
    - mode: 664
    - user: {{ portmon.ZBXUser }}
    - group: {{ portmon.ZBXUser }}
    - makedirs: True
    - recurse:
      - user
      - group
