# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-poudriere/map.jinja" import llports_map, zpool with context %}

sae|poudriere|portshaker-pkg:
  pkg.installed:
    - name: portshaker

sae|poudriere|portshaker-cache-zfs:
  zfs.filesystem_present:
    - name: {{ zpool }}/{{ llports_map['build-host']['portshakercachedataset'] }}
    - properties:
        mountpoint: /{{ zpool }}/{{ llports_map['build-host']['portshakercachedataset'] }}

sae|poudriere|ports-zfs:
  zfs.filesystem_present:
    - name: {{ zpool }}/{{ llports_map['build-host']['poudrieredataset'] }}/ports

sae|poudriere|portshaker-conf:
  file.managed:
    - name: /usr/local/etc/portshaker.conf
    - source: salt://sae-poudriere/files/portshaker.conf.jinja
    - template: jinja
    - defaults:
        poudrieredataset: {{ llports_map['build-host']['poudrieredataset'] }}
        portshakercachedataset: {{ llports_map['build-host']['portshakercachedataset'] }}
        trees: {{ llports_map['merged-trees'] }}
        zpool: {{ zpool }}
    - require:
      - pkg: sae|poudriere|portshaker-pkg

# These scripts are used by portshaker to fetch a ports tree and branch/ref
{% for tree in llports_map['ports-sources'] %}
sae|poudriere|portshaker-{{ tree }}-conf:
  file.managed:
    - name: /usr/local/etc/portshaker.d/{{ tree }}
    - source: salt://sae-poudriere/files/portshaker.d/{{ llports_map['ports-sources'][tree]['method'] }}.jinja
    - mode: 755
    - template: jinja
    - defaults:
        url: {{ llports_map['ports-sources'][tree]['url'] }}
        ref: {{ llports_map['ports-sources'][tree]['ref'] }}
    - require:
      - pkg: sae|poudriere|portshaker-pkg
{% endfor %}

# Set up the poudriere ports registration, just creates some metadata
{% for tree in llports_map['merged-trees'] %}
sae|poudriere|portshaker-{{ tree }}-poudriere-register:
  cmd.run:
    - name: poudriere ports -cF -p {{ tree }}
    - unless: poudriere ports -lqn | grep {{ tree }}
{% endfor %}
