{% from "sae-prometheus/thanos/map.jinja" import thanos_config with context %}

include:
  - sae-prometheus.sudo

sae|prometheus|thanos|thanos-archive:
  archive.extracted:
    - name: /opt
    - source: http://images.llnw.net/prometheus/thanos-{{ thanos_config.thanos_version }}.linux-amd64.tar.gz
    - source_hash: http://images.llnw.net/prometheus/thanos-{{ thanos_config.thanos_version }}.linux-amd64.tar.gz.md5
    - if_missing: /opt/thanos-{{ thanos_config.thanos_version }}.linux-amd64
    - user: thanos
    - group: thanos
    - require:
      - user: sae|prometheus|thanos|thanos-user
      - group: sae|prometheus|thanos|thanos-user

sae|prometheus|thanos|thanos-symlink:
  file.symlink:
    - name: /opt/thanos
    - target: /opt/thanos-{{ thanos_config.thanos_version }}.linux-amd64
    - force: True
    - require:
      - archive: sae|prometheus|thanos|thanos-archive

sae|prometheus|thanos|thanos-sbin-symlink:
  file.symlink:
    - name: /usr/sbin/thanos
    - target: /opt/thanos-{{ thanos_config.thanos_version }}.linux-amd64/thanos
    - force: True
    - require:
      - archive: sae|prometheus|thanos|thanos-archive

sae|prometheus|thanos|thanos-user:
  group.present:
    - name: thanos
  user.present:
    - name: thanos
    - shell: /bin/false
    - gid_from_name: True
    - createhome: False
    - system: True
