{% from "sae-prometheus/thanos/map.jinja" import thanos_config with context %}
{% from "sae-prometheus/map.jinja" import prometheus_config with context %}
{% from "pepper/map.jinja" import netblocks %}

include:
  - .common
  - firewall.standard
  - sae-prometheus.exporter.node_exporter

sae|prometheus|thanos|query-firewall:
  firewall.accept:
    - tcp:
      - [ {{ thanos_config.thanos_query_port }}, {{ netblocks }} ]
    - require_in:
      - firewall: core|firewall|final-reject

sae|prometheus|thanos|thanos-query-service:
  file.managed:
    - name: /etc/systemd/system/thanos_query.service
    - source: salt://sae-prometheus/thanos/files/thanos_query.service.jinja
    - template: jinja
    - defaults:
        thanos_query_environment_file: {{ thanos_config.thanos_query_environment_file }}
        thanos_version: {{ thanos_config.thanos_version }}
    - watch_in:
      - service: sae|prometheus|thanos|thanos-query-service-running

sae|prometheus|thanos|thanos-query-service-running:
  service.running:
    - name: thanos_query
    - enable: True
    - require:
      - file: sae|prometheus|thanos|thanos-query-service
    - watch:
      - file: sae|prometheus|thanos|thanos-query-service
      - file: sae|prometheus|thanos|thanos-query-default
      - archive: sae|prometheus|thanos|thanos-archive

sae|prometheus|thanos|thanos-query-service-reload:
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /etc/systemd/system/thanos_query.service
      - file: /etc/default/thanos_query

sae|prometheus|thanos|thanos-query-default:
  file.managed:
    - name: /etc/default/thanos_query
    - source: salt://sae-prometheus/thanos/files/thanos_query_options.jinja
    - template: jinja
    - require:
      - archive: sae|prometheus|thanos|thanos-archive
    - defaults:
        thanos_query_port: {{ thanos_config.thanos_query_port }}
        thanos_query_grpc_port: {{ thanos_config.thanos_query_grpc_port }}
        thanos_sidecar_grpc_port: {{ thanos_config.thanos_sidecar_grpc_port }}
        prometheus_servers: {{ prometheus_config.prometheus_servers }}
