{% from "sae-prometheus/thanos/map.jinja" import thanos_config with context %}
{% from "sae-prometheus/map.jinja" import prometheus_config with context %}
{% from "pepper/map.jinja" import netblocks %}

include:
  - .common
  - firewall.standard

sae|prometheus|thanos|sidecar-firewall:
  firewall.accept:
    - tcp:
      - [ {{ thanos_config.thanos_sidecar_http_port }}, {{ netblocks }} ]
      - [ {{ thanos_config.thanos_sidecar_grpc_port }}, {{ netblocks }} ]
    - require_in:
      - firewall: core|firewall|final-reject

sae|prometheus|thanos|thanos-sidecar-service:
  file.managed:
    - name: /etc/systemd/system/thanos_sidecar.service
    - source: salt://sae-prometheus/thanos/files/thanos_sidecar.service.jinja
    - template: jinja
    - defaults:
        thanos_sidecar_environment_file: {{ thanos_config.thanos_sidecar_environment_file }}
        thanos_version: {{ thanos_config.thanos_version }}
    - watch_in:
      - service: sae|prometheus|thanos|thanos-sidecar-service-running

sae|prometheus|thanos|thanos-sidecar-service-running:
  service.running:
    - name: thanos_sidecar
    - enable: True
    - require:
      - file: sae|prometheus|thanos|thanos-sidecar-service
    - watch:
      - file: sae|prometheus|thanos|thanos-sidecar-service
      - archive: sae|prometheus|thanos|thanos-archive

sae|prometheus|thanos|thanos-sidecar-service-reload:
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /etc/systemd/system/thanos_sidecar.service
      - file: /etc/default/thanos_sidecar

sae|prometheus|thanos|thanos-sidecar-default:
  file.managed:
    - name: /etc/default/thanos_sidecar
    - source: salt://sae-prometheus/thanos/files/thanos_sidecar_options.jinja
    - template: jinja
    - require:
      - archive: sae|prometheus|thanos|thanos-archive
    - defaults:
        config_file: {{ prometheus_config.config_file }}
        server_port: {{ prometheus_config.server_port }}
        thanos_sidecar_http_port: {{ thanos_config.thanos_sidecar_http_port }}
        thanos_sidecar_grpc_port: {{ thanos_config.thanos_sidecar_grpc_port }}
