# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - firewall.standard
  - firewall.web
  - sae-sudoers.ms-ops-admin
  - sae-sudoers.implementation-admin
  - pepper.nobluekey
  - .lsyncd
  - .web

sae|pxemaster|xfer:
  group:
    - name: xfer
    - present
    - system: true
  user:
    - name: xfer
    - present
    - system: true
    - createhome: true
    - gid_from_name: true
    - fullname: "Xfer user from Salt"
    - shell: /bin/false
    - groups:
      - xfer
    - require:
      - group: xfer

sae|pxemaster|tftp-dist-dir:
  file.directory:
    - name: /opt/tftp-dist
    - user: xfer
    - group: posix-ms-ops-admin
    - mode: '2775'
    - makedirs: True
    - require:
      - user: sae|pxemaster|xfer

sae|pxemaster|tftp-dist-dir-neteng:
  file.directory:
    - name: /opt/tftp-dist/net-eng
    - user: xfer
    - group: ops-neteng
    - mode: '2775'
    - makedirs: True
    - recurse:
      - group
    - require:
      - file: sae|pxemaster|tftp-dist-dir

sae|pxemaster|xfer-ssh-dir:
  file.directory:
    - name: /home/xfer/.ssh
    - user: xfer
    - group: xfer
    - mode: 700
    - makedirs: True
    - require:
      - user: sae|pxemaster|xfer

sae|pxemaster|authorized-key-xfer:
  file.managed:
    - name: /home/xfer/.ssh/xfer_id_dsa
    - contents_pillar: secrets:sae-pxemaster:xfer_ssh_key
    - user: xfer
    - group: xfer
    - mode: 600

sae|pxemaster|root-ssh-config:
  file.managed:
    - name: /root/.ssh/config
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-pxemaster/files/config
