sae|pxemaster|lsyncd-pkg:
  pkg.latest:
    - names:
      - lsyncd

sae|pxemaster|lsyncd-conf-dir:
  file.directory:
    - name: /etc/lsyncd
    - user: root
    - group: root
    - mode: 644
    - makedirs: True
    - require:
      - pkg: sae|pxemaster|lsyncd-pkg

sae|pxemaster|lsyncd-conf-lua:
  file.managed:
    - name: /etc/lsyncd/lsyncd.conf.lua
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-pxemaster/templates/lsyncd.conf.lua
    - template: jinja
    - require:
      - pkg: sae|pxemaster|lsyncd-pkg
    - watch_in:
      - pkg: sae|pxemaster|lsyncd-service

sae|pxemaster|lsyncd-service:
  service.running:
    - name: lsyncd
    - enable: True
    - full_restart: True
    - require:
      - pkg: sae|pxemaster|lsyncd-pkg

# excludes file, not sure why we need this but apparently we do
sae|pxemaster|rsync-exclude:
  file.managed:
    - name: /opt/tftp-dist/rsync.exclude
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-pxemaster/files/rsync.exclude
    - template: jinja
    - watch_in:
      - pkg: sae|pxemaster|lsyncd-service
    - require:
      - file: sae|pxemaster|tftp-dist-dir
