include:
  - apache2
  - apache2.acl
  - base_repos

sae|pxemaster|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/production/pxemaster/ {{ grains['oscodename'] }}/
    - file: /etc/apt/sources.list.d/llnw.pxemaster.{{ grains['oscodename'] }}.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

sae|pxemaster|pxe-api-pkg:
  pkg.latest:
    - names:
      - llnw-pxemaster-api
    - require:
      - pkgrepo: sae|pxemaster|repo

sae|pxemaster|a2enmod-rewrite:
  cmd.run:
    - name: "a2enmod rewrite"
    - unless: test -L /etc/apache2/mods-enabled/rewrite.load
    - require:
      - pkg: core|apache2|pkg
    - watch_in:
      - service: core|apache2|service

sae|pxemaster|a2enmod-cgid:
  cmd.run:
    - name: "a2enmod cgid"
    - unless: test -L /etc/apache2/mods-enabled/cgid.load
    - require:
      - pkg: core|apache2|pkg
    - watch_in:
      - service: core|apache2|service

sae|pxemaster|pxemaster-apache-vhost:
  apache.configfile:
    - name: /etc/apache2/sites-enabled/pxemaster.conf
    - config:
      - VirtualHost:
          this: '*:80'
          ErrorLog: /var/log/apache2/pxemaster-error_log
          CustomLog: /var/log/apache2/pxemaster-access_log combined
          DocumentRoot: /var/www/
          Directory:
            this: /var/www/
            Order: Deny,Allow
            Include: /etc/apache2/apache.allow.llnw
            Options:
              - Indexes
              - FollowSymlinks
              - Includes
              - ExecCGI
            AllowOverride: None
          AddHandler: cgi-script .pl 
          RewriteEngine: On
          RewriteRule: ^/([a-zA-Z]+)(\?(.*))?$ /symlinker.pl?query_type=$1&$3 [QSA]
    - watch_in: core|apache2|service
