# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-rancid/map.jinja" import rancid_conf with context %}

{% set repo_env = salt['grains.filter_by'](
  {
    'production': 'production',
    'qa': 'qa',
    'staging': 'staging',
    'dev': 'testing'
  },
  default='dev',
  grain='team_env')
%}

include:
  - base_repos

sae|rancid|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ repo_env }}/rancid/ {{ grains['oscodename'] }}/
    - file: /etc/apt/sources.list.d/llnw.rancid.{{ grains['oscodename'] }}.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db
    - clean_file: true

# rancid package postinst creates the rancid user and group
sae|rancid|pkgs:
  pkg.installed:
    - pkgs:
      - git
      - rancid: {{ rancid_conf['rancid_version'] }}
      - llnw-cornerstone-rancid-sync: {{ rancid_conf['utils_version'] }}
