# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks, egblocks with context %}
{% from "sae-repo-legacy/map.jinja" import a2conf with context %}
{% from 'certs/map.jinja' import cert_path with context %}

include:
  - apache2
  - apache2.ssl
  - apache2.rewrite # Might be unneeded
  - firewall.standard
  - firewall.web
  - certs

sae|repo-legacy|apache|repo-web-dir:
  file.directory:
    - names:
      - /opt/repo/www
    - user: root
    - group: root
    - dir_mode: 755
    - makedirs: True

sae|repo-legacy|apache|root-index:
  file.managed:
    - name: /opt/repo/www/index.html
    - source: salt://{{ slspath }}/files/root.index.html
    - require:
      - sae|repo-legacy|apache|repo-web-dir

# make a hostname file to easily see which side of the cluster we are talking to
sae|repo-legacy|repo-link-hostname:
  file.managed:
    - name: /opt/repo/www/hostname
    - user: root
    - group: root
    - mode: 644
    - contents:
      - '{{ grains['fqdn'] }}'

sae|repo-legacy|apache|site-conf:
  file.managed:
    - name: /etc/apache2/sites-available/repo.conf
    - source: salt://{{ slspath }}/templates/repo.conf.jinja
    - template: jinja
    - defaults:
        a2conf: {{ a2conf }}
        netblocks: {{ netblocks + egblocks }}
        cert: {{ cert_path['certdir'] }}/{{ cert_path['certname'] }}.crt
        key: {{ cert_path['keydir'] }}/{{ cert_path['certname'] }}.key
    - require:
      - pkg: core|apache2|pkg
    - watch_in:
      - service: core|apache2|service

sae|repo-legacy|apache|site-enable:
  apache_site.enabled:
    - name: repo
    - require:
      - file: sae|repo-legacy|apache|site-conf
    - watch_in:
      - service: core|apache2|service
