{%- if 'role-sae-rtapp.master' in salt['grains.get']('cornerstone:tags', {}) and not 'dev' in grains['team_env'] %}

  sae|rtapp|rt-email-digest-daily:
    cron.present:
      - name: /opt/rt3/sbin/rt-email-digest -m daily
      - user: root
      - minute: 0
      - hour: 0
      - identifier: rt_email_digest_daily

  sae|rtapp|rt-email-digest-weekly:
    cron.present:
      - name: /opt/rt3/sbin/rt-email-digest -m weekly
      - user: root
      - minute: 0
      - hour: 0
      - dayweek: 0
      - identifier: rt_email_digest_weekly

  sae|rtapp|rt-email-dashboards:
    cron.present:
      - name: /opt/rt3/sbin/rt-email-dashboards
      - user: root
      - minute: 0
      - identifier: rt_email_dashboards

  sae|rtapp|rt-synccontacts:
    cron.present:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight/bin/synccontacts > /dev/null 2>&1
      - user: root
      - minute: 04,24,44
      - identifier: rt_synccontacts

  sae|rtapp|rt-buildstats:
    cron.present:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight-Reports/bin/buildstats > /dev/null 2>&1
      - user: root
      - minute: 01
      - hour: 01
      - identifier: rt_buildstats

  sae|rtapp|rt-buildstats-extra:
    cron.present:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight-Reports/bin/buildstats -b 'CF-Root Cause' > /dev/null 2>&1
      - user: root
      - minute: 05
      - hour: 01
      - identifier: rt_buildstats_extra

  sae|rtapp|rt-autoclose:
    cron.present:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight/bin/autoclose
      - user: root
      - minute: 01
      - identifier: rt_autoclose

  sae|rtapp|rt-clean-sessions:
    cron.present:
      - name: /opt/rt3/sbin/rt-clean-sessions
      - user: root
      - minute: 15
      - hour: 2
      - identifier: rt_clean_sessions

  sae|rtapp|rt-clean-tmp:
    cron.present:
      - name: www-data /opt/rt3/local/bin/clean-rt-tmp
      - user: root
      - minute: 0
      - hour: 2
      - identifier: rt_clean_tmp

{% else %}
# Is it better to use cron.present here, with the action/name commented out?
  sae|rtapp|rt-email-digest-daily-absent:
    cron.absent:
      - name: /opt/rt3/sbin/rt-email-digest -m daily
      - user: root
      - identifier: rt_email_digest_daily

  sae|rtapp|rt-email-digest-weekly-absent:
    cron.absent:
      - name: /opt/rt3/sbin/rt-email-digest -m weekly
      - user: root
      - identifier: rt_email_digest_weekly

  sae|rtapp|rt-email-dashboards-absent:
    cron.absent:
      - name: /opt/rt3/sbin/rt-email-dashboards
      - user: root
      - identifier: rt_email_dashboards

  sae|rtapp|rt-synccontacts-absent:
    cron.absent:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight/bin/synccontacts > /dev/null 2>&1
      - user: root
      - identifier: rt_synccontacts

  sae|rtapp|rt-buildstats-absent:
    cron.absent:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight-Reports/bin/buildstats > /dev/null 2>&1
      - user: root
      - identifier: rt_buildstats

  sae|rtapp|rt-buildstats-extra-absent:
    cron.absent:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight-Reports/bin/buildstats -b 'CF-Root Cause' > /dev/null 2>&1
      - user: root
      - identifier: rt_buildstats_extra

  sae|rtapp|rt-autoclose-absent:
    cron.absent:
      - name: /opt/rt3/local/plugins/RT-Site-Limelight/bin/autoclose
      - user: root
      - identifier: rt_autoclose

  sae|rtapp|rt-clean-sessions-absent:
    cron.absent:
      - name: /opt/rt3/sbin/rt-clean-sessions
      - user: root
      - identifier: rt_clean_sessions

  sae|rtapp|rt-clean-tmp-absent:
    cron.absent:
      - name: www-data /opt/rt3/local/bin/clean-rt-tmp
      - user: root
      - identifier: rt_clean_tmp
{% endif %}
