# vim: sts=2 ts=2 sw=2 et ai
{% set servercap = salt['grains.filter_by']({
  'dev': {
    'repo_env': 'testing',
    'pkg_version': '1.0-31'
  },
  'qa': {
    'repo_env': 'qa',
    'pkg_version': '1.0-31'
  },
  'production': {
    'repo_env': 'production',
    'pkg_version': '1.0-31'
  }
}, grain='team_env', default='dev') %}

include:
  - splunkforwarder
  - firewall.standard

sae|servercap|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ servercap.repo_env }}/servercap/ {{ salt['grains.get']('oscodename') }}/
    - file: /etc/apt/sources.list.d/llnw.servercap.{{ salt['grains.get']('oscodename') }}.list

sae|servercap|pkg:
  pkg.installed:
    - pkgs:
      - servercap: {{ servercap.pkg_version }}
    - skip_verify: True
    - require:
      - pkgrepo: sae|servercap|repo

