include:
    - base_repos
    - sae-shoutcast.xfer

sae|shoutcast|source-list-add:
    pkgrepo.managed:
        - name: deb http://repo.llnw.net/llnw/ubuntu/production/icecast trusty/
        - file: /etc/apt/sources.list.d/llnw-shoutcast.list
        - clean_file: True
        - watch_in:
            - module: core|base_repos|apt-refresh-db

sae|shoutcast|install-limecast:
    pkg.installed:
        - name: limecast64
        - require:
            - pkgrepo: sae|shoutcast|source-list-add

sae|shoutcast|install-libssl:
    pkg.installed:
        - name: libssl-dev
        - install_recommends: False
        - require:
            - pkgrepo: sae|shoutcast|source-list-add

sae|shoutcast|link-libcrypto:
    file.symlink:
        - name: /lib/x86_64-linux-gnu/libcrypto.so.6
        - target: /lib/x86_64-linux-gnu/libcrypto.so.1.0.0
        - mode: 644

sae|shoutcast|link-libssl:
    file.symlink:
        - name: /lib/x86_64-linux-gnu/libssl.so.6
        - target: /lib/x86_64-linux-gnu/libssl.so.1.0.0
        - mode: 644

sae|shoutcast|nobody_user:
    group.present:
        - name: nobody
    user.present:
        - fullname: nobody
        - name: nobody
        - groups:
            - nobody

sae|shoutcast|link-icecast-logs:
    file.symlink:
        - name: /usr/local/icecast/logs
        - target: /logs/icecast/
        - mode: 755
        - watch:
            - pkg: sae|shoutcast|install-limecast

sae|shoutcast|kill-all-cron:
    cmd.wait:
        - name: 'killall -HUP cron'
        - user: root
        - group: root
        - watch:
            - pkg: sae|shoutcast|install-limecast

sae|shoutcast|post-chmods:
    cmd.wait:
        - name: |
            chmod +x /usr/local/icecast/icecast /usr/local/bin/logpusher /usr/local/bin/cleanup.sh /usr/local/icecast /usr/local/icecast/conf /usr/local/icecast/core /logs /logs/icecast /logs/icecast/old
            chmod 644 /etc/logpusher.conf /etc/cron.d/limecast /etc/init/limecast.conf /etc/init/logpusher.conf
            chmod 755 /etc/update-motd.d/20-sc-help-text
        - user: root
        - group: root
        - watch:
            - pkg: sae|shoutcast|install-limecast

sae|shoutcast|post-chowns:
    cmd.wait:
        - name: |
            chown root:root /etc/logpusher.conf /etc/cron.d/limecast /etc/init/limecast.conf /etc/init/logpusher.conf /etc/update-motd.d/20-sc-help-text
            chown xfer:xfer /usr/local/icecast/conf/icecast.xml.sample /usr/local/icecast/icecast /usr/local/icecast/conf/
            chown -R nobody:nobody /logs/icecast /usr/local/icecast/core
        - user: root
        - group: root
        - require:
            - user: sae|shoutcast|nobody_user
        - watch:
            - pkg: sae|shoutcast|install-limecast

sae|shoutcast|service-limecast:
    service.running:
        - name: limecast
        - enable: True
        - restart: True
        - watch:
            - pkg: sae|shoutcast|install-limecast

sae|shoutcast|service-logpusher:
    service.running:
        - name: logpusher
        - enable: True
        - restart: True
        - watch:
            - pkg: sae|shoutcast|install-limecast

sae|shoutcast|final-check:
    cmd.run:
        - name: ps aux | grep -E 'logp|icecast'
        - order: last
