{% from "pepper/map.jinja" import defaults with context %}

{% set os = salt['grains.get']('os', '') %}

{% if os == 'Ubuntu' %}
{%   set kernelrelease = salt['grains.get']('kernelrelease', '') %}

sae|sirperfulous|pkg-deps:
  pkg.installed:
    - pkgs:
      - linux-tools-common
      - linux-tools-{{ kernelrelease }}

{# Used for Perf (ie: Linux) #}

sae|sirperfulous|stackcollapse-perf:
  file.managed:
    - name: /usr/local/bin/stackcollapse-perf.pl
    - source: salt://{{ slspath }}/files/stackcollapse-perf.pl
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - makedirs: True

{% elif os == 'FreeBSD' %}

{# Used for DTrace #}
sae|sirperfulous|stackcollapse:
  file.managed:
    - name: /usr/local/bin/stackcollapse.pl
    - source: salt://{{ slspath }}/files/stackcollapse.pl
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - makedirs: True

{# Used for pmcstat #}
sae|sirperfulouspmc|stackcollapse-pmc:
  file.managed:
    - name: /usr/local/bin/stackcollapse-pmc.pl
    - source: salt://{{ slspath }}/files/stackcollapse-pmc.pl
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - makedirs: True

{% endif %}

sae|sirperfulous|surperfulous:
  file.managed:
    - name: /usr/local/bin/sirperfulous.py
    - source: salt://{{ slspath }}/files/sirperfulous.py
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - makedirs: True

sae|flamegraph|flamegraph:
  file.managed:
    - name: /usr/local/bin/flamegraph.pl
    - source: salt://{{ slspath }}/files/flamegraph.pl
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - makedirs: True

# removed in favor of sirperfulous.py
sae|sirperfulous|old-sirperfulous-script|last-rites:
  file.absent:
    - name: /usr/local/bin/sirperfulous
