# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - base_repos
  - resolver
  - .slb_repo
  - .modules
  - .packages
  - .sysctls
  - .quagga
  - .keepalived
  - .conf_update
  - .rclocal
  - .tools
  - .disable_services
  - .grub
  - .cxgb4
  - .slb_tools
  - .slb_tools_netdata
  - .nginx
  - sae-prometheus.exporter.netdata_nofw
  - sae-sudoers.sre-all
  - sae-sudoers.OpsEngGroup
  - sae-sudoers.slb-admin
  - sae-sudoers.ops-sysops
  - sae-sudoers.system-popvalidation


sae|slb|sudoers-slb-noc:
  file.managed:
    - name: {{ sudo_map.includedir }}/slb-noc
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%ops-noc ALL=(ALL) NOPASSWD: ALL,!/sbin/halt,!/sbin/poweroff,!/sbin/reboot,!/sbin/shutdown'
    - require:
      - file: core|sudoers|includedir

{% if 'slb-lab' in salt['grains.get']('cornerstone:tags', {}) %}
{# only in lab environment -- permit slb-lab-admin sudo access #}
sae|slb|sudoers-slb-lab-admin:
  file.managed:
    - name: {{ sudo_map.includedir }}/slb-lab-admin
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%slb-lab-admin ALL=(ALL) NOPASSWD: ALL'
    - require:
      - file: core|sudoers|includedir
{% endif %}
