# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% set oscodename = salt['grains.get']('oscodename', '') %}

#Install Quagga package and config files
sae|slb|quagga-pkg:
  pkg.installed:
    - name: quagga
{% if oscodename in ['xenial'] %}
    - version: 1.0.20160315-2ubuntu0.1
{% elif oscodename in ['bionic'] %}
    - version: 1.2.4-1
{% endif %}

sae|slb|quagga-daemons-conf:
  file.managed:
    - name: /etc/quagga/daemons
    - user: quagga
    - group: quagga
    - mode: 644
    - source: salt://{{ slspath }}/files/quagga-daemons
    - require:
      - pkg: sae|slb|quagga-pkg

sae|slb|quagga-debian-conf:
  file.managed:
    - name: /etc/quagga/debian.conf
    - user: quagga
    - group: quagga
    - mode: 644
    - source: salt://{{ slspath }}/files/quagga-debian.conf
    - require:
      - pkg: sae|slb|quagga-pkg

sae|slb|quagga-vtysh-conf:
  file.managed:
    - name: /etc/quagga/vtysh.conf
    - user: quagga
    - group: quagga
    - mode: 644
    - source: salt://{{ slspath }}/templates/quagga-vtysh.conf.jinja
    - template: jinja
    - require:
      - pkg: sae|slb|quagga-pkg

sae|slb|quagga-zebra-conf:
  file.managed:
    - name: /etc/quagga/zebra.conf
    - user: quagga
    - group: quagga
    - mode: 644
    - require:
      - pkg: sae|slb|quagga-pkg

sae|slb|vtysh-environment:
  file.append:
    - name: /etc/environment
    - text: 'VTYSH_PAGER=more'
    - require:
      - pkg: sae|slb|quagga-pkg

sae|slb|quagga-bgpd-conf:
  cmd.run:
    - name: /etc/quagga/gen_bgp_config
    - creates: /etc/quagga/bgpd.conf
