# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% set oscodename = salt['grains.get']('oscodename', '') %}

include:
  - base_repos

# Add in the repo to the sources list that has the newer software lb deb packages 
sae|slb|repo:
  pkgrepo.managed:
    - name: deb [ trusted=yes ] http://repo.llnw.net/llnw/ubuntu/production/softlb/ {{ oscodename }}/
    - file: /etc/apt/sources.list.d/llnw.softlb.{{ oscodename }}.list
    - watch_in:
      - module: core|base_repos|apt-refresh-db

{% if 'slb-lab' in salt['grains.get']('cornerstone:tags', {}) %}
sae|slb|repo_dev:
  pkgrepo.managed:
    - name: deb [ trusted=yes ] http://repo.llnw.net/llnw/ubuntu/dev/softlb/ {{ oscodename }}/
    - file: /etc/apt/sources.list.d/llnw.softlb.{{ oscodename }}.list
    - watch_in:
      - module: core|base_repos|apt-refresh-db
{% endif %}

{% if oscodename in ['xenial'] %}
{%   set datelocked_repo = "2019-02-27-SLB" %}
{% elif oscodename in ['bionic'] %}
{%   set datelocked_repo = "2020-01-31-SLB" %}
{% endif %}

{% for repo in [oscodename+"-updates", oscodename, oscodename+"-security"] %}
{%   for comp in ["main", "multiverse", "restricted", "universe"] %}
{%     for src in ["", "-src"] %}
sae|slb|datelocked-repo{{ src }}|{{ repo }}|{{ comp }}:
  pkgrepo.managed:
    - name: deb{{ src }} http://llnwsae.vo.llnwd.net/v1/packages/mirrors/{{ datelocked_repo }}/debian/archive.ubuntu.com/ubuntu {{ repo }} {{ comp }}
    - file: /etc/apt/sources.list.d/{{ oscodename }}-{{ comp }}-{{ datelocked_repo }}.list
    - order: 1
    - watch_in:
      - module: core|base_repos|apt-refresh-db
{%    endfor %}
{%  endfor %}
{% endfor %}
