# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% set city = salt['grains.get']('cornerstone:building_group_name') %}

{% set edge_conf_cdn = 'http://test.vo.llnwd.net/cdn-edge-config/econfigs' %}
{% set edge_conf_secret = salt['pillar.get']('secrets:sae:edge_conf_cdn_mediavault_secret') %}

sae|slb|slb_conf_yml:
  file.managed:
    - name: /etc/keepalived/slb_conf.yml
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://sae-slb/files/{{ city }}-slb_conf.yml

sae|slb|run_config_update:
  cmd.run:
    - name: /etc/keepalived/scripts/gen_slb_configs.pl; echo $? > /tmp/gen_slb_configs.status
    - onchanges:
      - file: sae|slb|slb_conf_yml

{% for edge_conf in ['servers.dat', 'downservers.dat'] %}
{%   set edge_conf_mediavault_url = salt['mediavault.buildurl'](
         edge_conf_secret,
         '%s/%s'|format(edge_conf_cdn, edge_conf), 0)
%}
{%   set edge_conf_csum_mediavault_url = salt['mediavault.buildurl'](
         edge_conf_secret,
         '%s/%s.md5'|format(edge_conf_cdn, edge_conf), 0)
%}

sae|slb|slb-config-{{ edge_conf }}:
  file.managed:
    - name: /etc/keepalived/{{ edge_conf }}
    - user: root
    - group: root
    - makedirs: True
    - source: {{ edge_conf_mediavault_url }}
    - source_hash: {{ edge_conf_csum_mediavault_url }}
    - onchanges_in:
      - cmd: sae|slb|run_config_update
{% endfor %}
