# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% set kernel_version = salt['cmd.shell']('uname -r') %}
{% set has_cxgb4 = salt['cmd.shell']('lsmod | grep cxgb4 | awk \'{print $1}\'') %}

{% if kernel_version == '4.4.0-98-generic' and has_cxgb4 == 'cxgb4' and 'slb-llnw-cxgb4' in salt['grains.get']('cornerstone:tags', {}) %}

sae|slb|irqbalance-disable:
  service.dead:
    - name: irqbalance
    - enable: false

sae|slb|set-cpu-affinity:
  file.managed:
    - name: /usr/local/bin/set-cpu-affinity.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: '0755'
    - source: salt://{{ slspath }}/scripts/set-cpu-affinity.sh
    - require_in:
      - file: sae|slb|slb-rc-local

sae|slb|llnw-cxgb4-install:
  pkg.installed:
    - names:
      - llnw-cxgb4
    - require:
      - pkgrepo: sae|slb|repo

{% else %}

sae|slb|llnw-cxgb4-purge:
  pkg.purged:
    - pkgs:
      - llnw-cxgb4

sae|slb|irqbalance-enable:
  service.running:
    - name: irqbalance
    - enable: true

{% endif %}
