# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - crontab

sae|slb|slb_scan:
  file.managed:
    - name: /usr/local/bin/slb_scan.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://{{ slspath }}/scripts/slb_scan.sh

sae|slb|cli:
  file.managed:
    - name: /usr/local/bin/cli
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://{{ slspath }}/scripts/cli

sae|slb|slb_scan|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        0 * * * * root /usr/local/bin/slb_scan.sh -s
    - require:
      - file: sae|slb|slb_scan
    - require_in:
      - file: core|crontab|base

sae|slb|vip_traffic:
  file.managed:
    - name: /usr/local/bin/vip_traffic.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://{{ slspath }}/scripts/vip_traffic.pl

sae|slb|vip_traffic|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        */5 * * * * root /usr/local/bin/vip_traffic.pl
    - require:
      - file: sae|slb|vip_traffic
    - require_in:
      - file: core|crontab|base

sae|slb|softnet:
  file.managed:
    - name: /usr/local/bin/softnet.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://{{ slspath }}/scripts/softnet.sh

sae|slb|tsdb_collector:
  file.managed:
    - name: /usr/local/bin/tsdb_collector.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://{{ slspath }}/scripts/tsdb_collector.sh

sae|slb|tsdb_collector|crontab:
  file.accumulated:
    - filename: /etc/crontab
    - text: |
        */5 * * * * root /usr/local/bin/tsdb_collector.sh
    - require:
      - file: sae|slb|tsdb_collector
    - require_in:
      - file: core|crontab|base
