# vim: sts=2 ts=2 sw=2 et ai
{% from "pepper/map.jinja" import defaults with context %}
{% if salt['grains.get']('team_env','production') in ['dynamic'] %}
{#   this hack is only sufficent to test the salt in vagrant, not run a vagrant slb #}
{%   set hostname = 'slb01.lab.llnw.net' %}
{%   set city = 'PHX' %}
{% else %}
{%   set hostname = grains['fqdn']%}
{%   set city = salt['grains.get']('cornerstone:building_group_name') %}
{% endif %}
{% import_yaml "sae-slb/files/" + city + "-slb_conf.yml" as slb_map %}
{% set gateway = slb_map[hostname]['slb_config']['gateway'] %}
{% set v6_gateway = slb_map[hostname]['slb_config']['v6_gateway'] %}
{% set kernel_version = salt['cmd.shell']('uname -r') %}
{% set has_cxgb4 = salt['cmd.shell']('lsmod | grep cxgb4 | awk \'{print $1}\'') %}

sae|slb|slb-rc-local:
  file.managed:
    - name: /etc/rc.local
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - contents: |
        #!/bin/sh -e
        route add default gw {{ gateway }}
        /etc/keepalived/scripts/gen_network_configs.pl -B
        route add -A inet6 default gw {{ v6_gateway }}
{%- if kernel_version == '4.4.0-98-generic' and has_cxgb4 == 'cxgb4' and 'slb-llnw-cxgb4' in salt['grains.get']('cornerstone:tags', {}) %}
        /usr/local/bin/set-cpu-affinity.sh
{%- endif %}
