# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|slb|sysctl-security:
  sysctl.present:
  - names:
    - net.ipv4.conf.default.rp_filter
    - net.ipv4.conf.all.rp_filter
  - config: /etc/sysctl.d/10-network-security.conf
  - value: 0

{% macro sysctlslb(name, sysctl, value) %}
sae-slb|sysctl|sysctl-{{ name }}:
  sysctl.present:
    - name: {{ sysctl }}
    - value: {{ value }}
    - config: /etc/sysctl.conf
{%- endmacro %}

{{ sysctlslb('net-core-rmem-max', 'net.core.rmem_max', 33554432) }}
{{ sysctlslb('net-core-wmem-max', 'net.core.wmem_max', 16777216) }}
{{ sysctlslb('net-ipv4-ip-forward', 'net.ipv4.ip_forward', 1) }}
{{ sysctlslb('net-ipv6-conf-all-forwarding', 'net.ipv6.conf.all.forwarding', 1) }}
{{ sysctlslb('net-ipv4-conf-all-arp-filter', 'net.ipv4.conf.all.arp_filter', 1) }}
{{ sysctlslb('net-ipv4-vs-expire-nodest-conn', 'net.ipv4.vs.expire_nodest_conn', 1) }}
{{ sysctlslb('net-core-netdev-budget', 'net.core.netdev_budget', 600) }}
{{ sysctlslb('net-core-dev-weight', 'net.core.dev_weight', 128) }}
{{ sysctlslb('net-core-netdev-max-backlog', 'net.core.netdev_max_backlog', 25000) }}
{{ sysctlslb('net-ipv4-conf-default-rp-filter', 'net.ipv4.conf.default.rp_filter', 0) }}
{{ sysctlslb('net-ipv4-conf-all-rp-filter', 'net.ipv4.conf.all.rp_filter', 0) }}
{{ sysctlslb('net-ipv4-neigh-default-gc-thresh1', 'net.ipv4.neigh.default.gc_thresh1', 1024) }}
{{ sysctlslb('net-ipv4-neigh-default-gc-thresh2', 'net.ipv4.neigh.default.gc_thresh2', 2048) }}
{{ sysctlslb('net-ipv4-neigh-default-gc-thresh3', 'net.ipv4.neigh.default.gc_thresh3', 4096) }}
{{ sysctlslb('net-ipv6-neigh-default-gc-thresh1', 'net.ipv6.neigh.default.gc_thresh1', 1024) }}
{{ sysctlslb('net-ipv6-neigh-default-gc-thresh2', 'net.ipv6.neigh.default.gc_thresh2', 2048) }}
{{ sysctlslb('net-ipv6-neigh-default-gc-thresh3', 'net.ipv6.neigh.default.gc_thresh3', 4096) }}
{{ sysctlslb('icmp_burts', 'net.ipv4.icmp_msgs_burst', 10000) }}
{{ sysctlslb('icmp_msg_per_sec', 'net.ipv4.icmp_msgs_per_sec', 16000) }}
{{ sysctlslb('icmp_v4_ratelimit', 'net.ipv4.icmp_ratelimit', 24000) }}
{{ sysctlslb('icmp_v6_ratelimit', 'net.ipv6.icmp_ratelimit', 24000) }}
{{ sysctlslb('net-ipv4-arp-timeout', 'net.ipv4.neigh.default.gc_stale_time', 300) }}
{{ sysctlslb('net-ipv6-arp-timeout', 'net.ipv6.neigh.default.gc_stale_time', 300) }}
{{ sysctlslb('net-core-bpf-jit-enable', 'net.core.bpf_jit_enable', 1) }}
