# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from slspath ~ "/map.jinja" import kernel with context %}
{% set oscodename = salt['grains.get']('oscodename', '') %}

{# Install programs for managing ivps/lvs and network pieces #}
sae|slb|tools-pkg:
  pkg.installed:
    - pkgs:
{% if oscodename in ['xenial'] %}
      - ipvsadm: 1:1.28-3
      - vlan: 1.9-3.2ubuntu1.16.04.5
      - ifenslave: 2.7ubuntu1
      - perl: 5.22.1-9ubuntu0.6
      - libyaml-perl: 1.15-1
      - libregexp-ipv6-perl: 0.03-1
      - libnet-cidr-perl: 0.17-1
      - libnet-ip-perl: 1.26-1
      - linux-crashdump: 4.4.0.142.148
{% elif oscodename in ['bionic'] %}
      - ipvsadm: 1:1.28-3ubuntu0.18.04.1
      - vlan: 1.9-3.2ubuntu6
      - ifenslave: 2.9ubuntu1
      - perl: 5.26.1-6ubuntu0.3
      - libyaml-perl: 1.24-1
      - libregexp-ipv6-perl: 0.03-1
      - libnet-cidr-perl: 0.18-1
      - libnet-ip-perl: 1.26-1
      - linux-crashdump: 4.15.0.76.78
{% endif %}

sae|slb|kernel-pkg:
  pkg.installed:
    - pkgs:
      {% for pkg in kernel['packages'] %}
      - '{{ pkg }}'
      {% endfor %}
