# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% set has_cxgb4 = salt['cmd.shell']('lsmod | grep cxgb4 | awk \'{print $1}\'') %}

{% if has_cxgb4 == 'cxgb4' and 'slb-llnw-cxgb4' in salt['grains.get']('cornerstone:tags', {}) %}

sae|slb|irqbalance-disable:
  service.dead:
    - name: irqbalance
    - enable: false

sae|slb|set-cpu-affinity:
  file.managed:
    - name: /usr/local/bin/set-cpu-affinity.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: '0755'
    - source: salt://{{ slspath }}/scripts/set-cpu-affinity.sh
    - require_in:
      - file: sae|slb|slb-rc-local

sae|slb|cxgb4-conf:
  file.managed:
    - name: /lib/modprobe.d/cxgb4.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://{{ slspath }}/files/cxgb4.conf

sae|slb|initramfs-cxgb4-conf:
  cmd.run:
    - name: /usr/sbin/update-initramfs -u
    - onchanges:
      - file: sae|slb|cxgb4-conf

{% else %}

sae|slb|llnw-cxgb4-purge:
  pkg.purged:
    - pkgs:
      - llnw-cxgb4

sae|slb|irqbalance-enable:
  service.running:
    - name: irqbalance
    - enable: true

{% endif %}
