# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

#Add the necessary Kernel Modules to /etc/modules

sae|slb|modules:
  file.append:
   - name: /etc/modules
   - text:
     - ip_vs
     - dummy
     - 8021q
     - bonding

sae|slb|modprobe-ipvs-conf:
  file.managed:
    - name: /etc/modprobe.d/ip_vs.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://{{ slspath }}/files/modprobe-ip_vs.conf

sae|slb|blacklist:
  file.append:
   - name: /etc/modprobe.d/blacklist.conf
   - text:
     - blacklist kvm_intel
     - blacklist nfnetlink
     - blacklist nf_conntrack_ipv4
     - blacklist nf_conntrack_ipv6

sae|slb|systemd-conf:
  file.managed:
    - name: /lib/modprobe.d/systemd.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://{{ slspath }}/files/systemd.conf

sae|slb|keepalived-service:
  file.managed:
    - name: /lib/systemd/system/keepalived.service
    - user: root
    - group: root
    - mode: 644
    - source: salt://{{ slspath }}/files/keepalived.service
    