#!/usr/bin/env bash
PATH="/sbin:/bin:/usr/bin:/usr/sbin:/usr/local/sbin:/usr/local/bin"
shopt -s nocaseglob
shopt -s nocasematch

#Naive check for established bgp sessions.  If Quagga dies for some reason, we need keepalived
#to be aware of this, so it can fault the VIP.  Otherwise, we could be in a master state but
#not have the ability to advertise the route to the router.  

neighbors="$@"
neighbors_count="${#@}"

if [ "${neighbors_count}" -le 0 ]; then
  exit 0
fi

check_bgp(){
  established_counter=0

  #exit 0 if lsof not found
  if ! lsof -h 2> /dev/null; then
    exit 0
  fi

  #Need to grep for neighbor because source port or dest port could be 179
  for ip in ${neighbors}; do
    if lsof -Pn -i TCP:179 -sTCP:ESTABLISHED | grep -q ${ip} ; then
      (( established_counter++ ))
    fi
  done

  #If 0 sessions are established we are in trouble, if at least one is good then we are still good.
  if [ $established_counter -le 0 ]; then
    exit 1
  else
    exit 0
  fi
}

check_bgp ${neighbors}
