# vim: sts=2 ts=2 sw=2 et ai
{% from slspath ~ "/slb_tools_map.jinja" import slb_tools_api_conf with context %}

###
# Adds SLB python plugins to netdata.
###

include:
  - sae-prometheus.exporter.netdata_nofw

{% for _plugin in slb_tools_api_conf.netdata.plugins %}
# netdata plugin config file
sae|slb|slb_tools_netdata|{{ _plugin }}_collector_conf:
  file.managed:
    - name: /opt/netdata/usr/lib/netdata/conf.d/python.d/{{ _plugin }}.conf
    - template: jinja
    - source: salt://{{ slspath }}/templates/netdata_{{ _plugin }}.conf.jinja
    - user: netdata
    - group: netdata
    - mode: 644
    - require:
      - cmd: sae|prometheus|exporter|netdata-install
    - required_in:
      - file: sae|slb|slb_tools_netdata|disable_chart
    - watch_in:
      - service: sae|prometheus|exporter|netdata-service-running

# netdata Collector
sae|slb|slb_tools_netdata|{{ _plugin }}_collector:
  file.managed:
    - name: /opt/netdata/usr/libexec/netdata/python.d/{{ _plugin }}.chart.py
    - template: jinja
    - source: salt://{{ slspath }}/templates/netdata_{{ _plugin }}.py.jinja
    - user: netdata
    - group: netdata
    - mode: 644
    - watch_in:
      - service: sae|prometheus|exporter|netdata-service-running
    - require:
      - file: sae|slb|slb_tools_netdata|{{ _plugin }}_collector_conf
    - required_in:
      - file: sae|slb|slb_tools_netdata|disable_chart

{% endfor %}

# disable netdata exposing specific SLB related charts to prometheus 
sae|slb|slb_tools_netdata|disable_chart:
  file.managed:
    - name: /opt/netdata/usr/lib/netdata/conf.d/exporting.conf 
    - template: jinja
    - source: salt://{{ slspath }}/templates/netdata_exporting.conf.jinja
    - user: netdata 
    - group: netdata
    - context:
      prometheus_charts: '{{ slb_tools_api_conf.netdata.prometheus_charts }}'
    - mode: 644 
    - watch_in: 
      - service: sae|prometheus|exporter|netdata-service-running
