# vim: sts=2 ts=2 sw=2 et ai
{% from "pepper/map.jinja" import defaults with context %}
{% from slspath ~ "/map.jinja" import has_cxgb4, has_i40e, slb_conf with context %}

{% set gateway = slb_conf.get('gateway') %}
{% set v6_gateway = slb_conf.get('v6_gateway') %}

sae|slb|slb-rc-local:
  file.managed:
    - name: /etc/rc.local
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - contents: |
        #!/bin/sh -e
        route add default gw {{ gateway }}
{%- if v6_gateway %}
        /etc/keepalived/scripts/gen_network_configs.pl -B
        route add -A inet6 default gw {{ v6_gateway }}
{%- endif %}
{%- if has_cxgb4 and 'slb-llnw-cxgb4' in salt['grains.get']('cornerstone:tags', {}) %}
        /usr/local/bin/set-cpu-affinity.sh
{%- elif has_i40e %}
        /usr/local/bin/set-cpu-affinity.sh
{%- endif %}
