# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks with context %}
{% from "pepper/map.jinja" import egblocks %}
{%- from "sae-splunk/envs.jinja" import splunk_envs with context %}

include:
  - .init
  - firewall.standard

sae|splunk|set-deployment-server:
  file.managed:
    - name: /opt/splunk/etc/system/local/deploymentclient.conf
    - user: splunk
    - group: splunk
    - mode: 755
    - source: salt://sae-splunk/files/deploymentclient.conf
    - watch_in:
      - service: sae|splunk|service

sae|splunk|indexer-other-pkgs:
  pkg.latest:
    - names:
      - nfs-common

sae|splunk|firewall-splunk-indexer-ports:
  firewall.accept:
    - tcp:
      - [8042, {{ netblocks + egblocks }}] # Primary ingest port
      - [10001, {{ netblocks + egblocks }}] # Secondary ingest port
      - [10002, {{ netblocks + egblocks }}] # Secondary ingest port
      - [8089, 10.252.14.201] # Legacy search head
      - [8089, 10.252.14.202] # Legacy search head
      - [8089, 10.252.14.206] # Legacy deployment server
      - [8000, {{ netblocks }}] # Web port
{% for indexer in splunk_envs['indexer'] %}
      - [8089, {{ indexer }}] # Indexer 
{% endfor %}
{% for search in splunk_envs['search'] %}
      - [8089, {{ search }}] # Search heads 
{% endfor %}
{% for deploy in splunk_envs['deploy'] %}
      - [8089, {{ deploy }}] # Deployment server 
{% endfor %}
    - require_in:
      - firewall: core|firewall|final-reject
