# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks with context %}
{%- from "sae-splunk/envs.jinja" import splunk_envs with context %}

include:
  - .init
  - firewall.standard
  - firewall.web


sae|splunk|set-deployment-server:
  file.managed:
    - name: /opt/splunk/etc/system/local/deploymentclient.conf
    - user: splunk
    - group: splunk
    - mode: 755
    - source: salt://sae-splunk/files/deploymentclient.conf
    - watch_in:
      - service: sae|splunk|service

sae|splunk|set_deployment_server:
  cmd.run:
    - name: /opt/splunk/bin/splunk set deploy-poll splunk-deploy.llnw.net:8089 -auth 'admin:changeme' --answer-yes --no-prompt --accept-license
    - creates: /opt/splunk/etc/system/local/deploymentclient.conf
    - user: splunk
    - require:
      - cmd: sae|splunk|enable
    - watch_in:
      - service: sae|splunk|service

sae|splunk|firewall-splunk-search-ports:
  firewall.accept:
    - tcp:
      - [8000, {{ netblocks }}] # Web port
{% for indexer in splunk_envs['indexer'] %}
      - [8089, {{ indexer }}] # Indexer 
{% endfor %}
{% for search in splunk_envs['search'] %}
      - [8089, {{ search }}] # Search heads 
{% endfor %}
{% for deploy in splunk_envs['deploy'] %}
      - [8089, {{ deploy }}] # Deployment server 
{% endfor %}
    - require_in:
      - firewall: core|firewall|final-reject

sae|splunk|firewall-splunk-ssl-redirect:
  firewall.nat:
    - tcp:
      - [443, 8000]
    - require_in:
      - firewall: core|firewall|final-reject
