{% set building_type = salt['grains.get']('cornerstone:building_type_name', 'unknown') %}
{% set pop = salt['grains.get']('cornerstone:building_name_short', "") %}
{% set os_family = salt['grains.get']('os_family', 'unknown') %}
{% set device_class = salt['grains.get']('cornerstone:device_class_name', 'unknown')|lower %}
{# lagg VLAN is always VLAN 48 #}
{% set vlan = 48 %}
{% set ip_version = 4 %}
{% set fqdn = salt['grains.get']('fqdn', "")            %}
{% set host_ip = salt['llnetwork.get_hostbyname'](fqdn) %}
{% set subnet = salt['publish.runner']('llipam.vlan_find_subnet',[pop, vlan, ip_version]) %}
{% if subnet is not none %}
{%   set net_info = subnet.split('/') %}
{%   set network_ip = net_info[0] %}
{%   set prefix_len = net_info[1] %}
{% else %}
{%   set prefix_len = ''   %}
{%   set network_ip = ''     %}
{% endif %}
{% set bond_script_path = '/usr/local/bin/bond-ethernet-no-neg.sh' %}

# device_class={{device_class}}
# host_ip={{host_ip}}
# subnet={{subnet}}
# network_ip={{network_ip}}
# prefix_len={{prefix_len}}

{% if building_type == 'SPS' and device_class == 'cds' and prefix_len != '' and host_ip is not none %}

{%   if os_family == 'FreeBSD' %}

salt-sae|sae-sps|lagg|make|rc_conf:
  file.touch:
    - name: /etc/rc.conf

salt-sae|sae-sps|lagg|update|rc_conf:
  file.blockreplace:
    - name: /etc/rc.conf
    - marker_start: "# { lagg"
    - marker_end: "# } lagg"
    - append_if_not_found: true
    - content: |
        ifconfig_mce0="up"
        ifconfig_mce1="up"
        cloned_interfaces="${cloned_interfaces} lagg0"
        ifconfig_lagg0="laggproto lacp laggport mce0 laggport mce1 lagghash l3,l4 {{host_ip}}/{{prefix_len}} -lro -use_flowid"

    - require:
      - salt-sae|sae-sps|lagg|make|rc_conf

salt-sae|sae-sps|lagg|run|netstart:
  cmd.run:
    - name: /etc/netstart
    - onchanges:
      - file: salt-sae|sae-sps|lagg|update|rc_conf

salt-sae|sae-sps|lagg|no_exicute_chattr_bond_script:
  cmd.run:
    - name: chmod -x {{ bond_script_path }}; chflags schg {{ bond_script_path }}
    - onlyif: ls -lo {{ bond_script_path }}|grep -q -v schg

{%   else %}
{#     os_family = Debian #}

{# *** NOT IMPLEMENTED *** #}

{%   endif %}

{% endif %}

salt-sae|sae-sps|lagg|always-works:
  test.succeed_without_changes:
    - name: salt-sae|sae-sps|lagg|always-works

