{% from "sae-zabbix-infra/map.jinja" import zabbix with context %}

<?php
require_once __DIR__ . '/vendor/autoload.php';
$base_dir = '/usr/share/zabbix/llnw/';

$script_name = basename($_SERVER['PHP_SELF']);
$script_name = preg_replace('/\.php$/', '', $script_name);

$debug = 1;
$conf = array('mode' => 0600, 'timeFormat' => '%X %x');
$logfile = '/tmp/debug-'.$script_name.'.log';
$logger = Log::singleton('file', $logfile, 'LLNW', $conf);

// Zabbix API settings
$apiurl = '{{ zabbix.command.APIUrl }}';
$apiver = '2.0';
$zabbix_user = '{{ zabbix.command.APIUser }}';
$zabbix_password = "{{ zabbix.command.APIPassword }}";

$zabbix_token_file = '/tmp/zbx-api-token_'.$script_name.'.tmp';


// Zabbix DB settings
$db_host = '{{ zabbix.main.DBHost }}';
$db_name = '{{ zabbix.main.DBName }}';
$db_user = '{{ zabbix.command.DBUser }}';
$db_pass = '{{ zabbix.command.DBPassword }}';

// LLNW DB (custom api) settings
$ldb_host = '{{ zabbix.command.DBApi }}';
$ldb_name = '{{ zabbix.command.APIDBName }}';
$ldb_user = '{{ zabbix.command.APIDBUser }}';
$ldb_pass = '{{ zabbix.command.APIDBPassword }}';

include_once($base_dir.'toolbox.php');

$db = mysqli_connect($db_host, $db_user, $db_pass, $db_name);
$ldb = mysqli_connect($ldb_host, $ldb_user, $ldb_pass, $ldb_name);

?>
