{% set images_cdn_secret = salt['pillar.get']('secrets:sae:images_cdn_mediavault_secret') %}
{% set tmp_dir = '/tmp/zbx-proxy' %}
{% set zbx_proxy_tar = 'zbx_conf_proxy.tar.gz' %}
{% set zabbix_cdn = 'http://images.llnw.net/zabbix/' %}
{% set extdir = '/usr/local/zabbix/external_scripts' %}
{% set component_mediavault_url = salt['mediavault.buildurl'](
     images_cdn_secret,
     '%s/%s'|format(zabbix_cdn, zbx_proxy_tar))
%}
{% set component_csum_mediavault_url = salt['mediavault.buildurl'](
     images_cdn_secret,
     '%s/%s.md5'|format(zabbix_cdn, zbx_proxy_tar))
%}

sae|zabbix-infra|main|arch-tmpdir:
  file.directory:
    - name: {{ tmp_dir }}
    - user: root
    - group: root

sae|zabbix-infra|main|zbx_conf_extract:
  file.managed:
    - name: {{ tmp_dir }}/{{ zbx_proxy_tar }}
    - source: {{ component_mediavault_url }}
    - source_hash: {{ component_csum_mediavault_url }}
  cmd.run:
    - name: tar -zxf {{ tmp_dir }}/{{ zbx_proxy_tar }} -C {{ tmp_dir }} && rsync -av --exclude=README.md --exclude=.gitignore {{ tmp_dir }}/zbx-proxy/external/ {{ extdir }}/ && rm -rf {{ tmp_dir }}

