{% from "sae-zabbix-infra/map.jinja" import zabbix with context %}

<?php
// Zabbix GUI configuration file
global $DB;

$DB["TYPE"] = 'MYSQL';
$DB["SERVER"] = '{{ zabbix.main.DBHost }}';
$DB["PORT"] = '0';
$DB["DATABASE"] = '{{ zabbix.main.DBName }}';
$DB["USER"] = '{{ zabbix.command.DBUser }}';
$DB["PASSWORD"] = '{{ zabbix.command.DBPassword }}';
// SCHEMA is relevant only for IBM_DB2 database
$DB["SCHEMA"] = '';

$ZBX_SERVER = '{{ zabbix.command.ZabbixServer }}';
$ZBX_SERVER_PORT = '10051';
$ZBX_SERVER_NAME = 'Main';

$IMAGE_FORMAT_DEFAULT	= IMAGE_FORMAT_PNG;


// // llnw super-admin role db bypass
// // llnw_rw_role: role number that grants read-write access.
// // llnw_ro_role: role number for read-only access. (e.g. local-ug_read-only-users)
global $LLNW_RW_ROLE, $LLNW_RW_ROLE;
$LLNW_RO_ROLE = '{{ zabbix.command.LLNW_RO_ROLE }}';
$LLNW_RW_ROLE = '{{ zabbix.command.LLNW_RW_ROLE }}';
// // LLNW Override (see: general.searchpage.php) for Performance link ID
global $LLNW_PERFORMANCE_LINK_ID;
$LLNW_PERFORMANCE_LINK_ID = '{{ zabbix.command.LLNW_PERFORMANCE_LINK_ID }}';


// LLNW Custom access function.
/**
 * Use the global user details to check if the user is in a RW or RO group.
 * @return boolean
 */
function _llnw_is_user_rw() {
{% if grains.virtual == 'VirtualBox' %}
	return true;
{% endif %}
	global $USER_DETAILS;
	// Consider CWebUser::getType() in place of USER_DETAILS...
	global $LLNW_RW_ROLE, $LLNW_RO_ROLE; // Global configuration role information
	// Inititalize the config...
	if (empty($LLNW_RO_ROLE)) {
		$LLNW_RO_ROLE = -1; // Assume no default role assignment.
	}
	if (empty($LLNW_RW_ROLE)) {
		$LLNW_RW_ROLE = -1;
	}

	// Find/populate our user's ID
	$userid='';
	if (!empty($USER_DETAILS['userid'])) {
		$userid = $USER_DETAILS['userid'];
	}
	else if (!empty(CApiService::$userData['userid'])) {
		$userid = CApiService::$userData['userid'];
	}

	if (empty($userid)) {
		return true; // consider the lack of a userid as anonymous
	}
	else {
		static $groups; // cache the groups per request - we only need to call the API once.
		if (empty($groups)) {
			$groups = array();
			$apigroups = API::UserGroup()->get(array('userids' => $userid, 'output' => API_OUTPUT_EXTEND));
			foreach ($apigroups as $group) {
				$groups[] = $group['usrgrpid'];
			}
		}

		// Return status based on RO,RW Role config.
		if (in_array($LLNW_RO_ROLE, $groups)) {
			return false;
		}
		if (in_array($LLNW_RW_ROLE, $groups)) {
			return true;
		}
	}
	return false; // catchall
}
?>
